enum AreaType {province, city, area}

class AreaItem {
  final String id;
  final String name;
  final AreaType type;
  final String pinyin;

  const AreaItem(this.id, this.name, this.type, this.pinyin);
}

const List<AreaItem> AreaData = [
  AreaItem('110000', '北京市', AreaType.province, 'BeiJingShi'),
  AreaItem('120000', '天津市', AreaType.province, 'TianJinShi'),
  AreaItem('130000', '河北省', AreaType.province, 'HeBeiSheng'),
  AreaItem('140000', '山西省', AreaType.province, 'ShanXiSheng'),
  AreaItem('150000', '内蒙古自治区', AreaType.province, 'NeiMengGuZiZhiQu'),
  AreaItem('210000', '辽宁省', AreaType.province, 'LiaoNingSheng'),
  AreaItem('220000', '吉林省', AreaType.province, 'JiLinSheng'),
  AreaItem('230000', '黑龙江省', AreaType.province, 'HeiLongJiangSheng'),
  AreaItem('310000', '上海市', AreaType.province, 'ShangHaiShi'),
  AreaItem('320000', '江苏省', AreaType.province, 'JiangSuSheng'),
  AreaItem('330000', '浙江省', AreaType.province, 'ZheJiangSheng'),
  AreaItem('340000', '安徽省', AreaType.province, 'AnHuiSheng'),
  AreaItem('350000', '福建省', AreaType.province, 'FuJianSheng'),
  AreaItem('360000', '江西省', AreaType.province, 'JiangXiSheng'),
  AreaItem('370000', '山东省', AreaType.province, 'ShanDongSheng'),
  AreaItem('410000', '河南省', AreaType.province, 'HeNanSheng'),
  AreaItem('420000', '湖北省', AreaType.province, 'HuBeiSheng'),
  AreaItem('430000', '湖南省', AreaType.province, 'HuNanSheng'),
  AreaItem('440000', '广东省', AreaType.province, 'GuangDongSheng'),
  AreaItem('450000', '广西壮族自治区', AreaType.province, 'GuangXiZhuangZuZiZhiQu'),
  AreaItem('460000', '海南省', AreaType.province, 'HaiNanSheng'),
  AreaItem('500000', '重庆市', AreaType.province, 'ZhongQingShi'),
  AreaItem('510000', '四川省', AreaType.province, 'SiChuanSheng'),
  AreaItem('520000', '贵州省', AreaType.province, 'GuiZhouSheng'),
  AreaItem('530000', '云南省', AreaType.province, 'YunNanSheng'),
  AreaItem('540000', '西藏自治区', AreaType.province, 'XiCangZiZhiQu'),
  AreaItem('610000', '陕西省', AreaType.province, 'ShanXiSheng'),
  AreaItem('620000', '甘肃省', AreaType.province, 'GanSuSheng'),
  AreaItem('630000', '青海省', AreaType.province, 'QingHaiSheng'),
  AreaItem('640000', '宁夏回族自治区', AreaType.province, 'NingXiaHuiZuZiZhiQu'),
  AreaItem('650000', '新疆维吾尔自治区', AreaType.province, 'XinJiangWeiWuErZiZhiQu'),
  AreaItem('710000', '台湾省', AreaType.province, 'TaiWanSheng'),
  AreaItem('810000', '香港特别行政区', AreaType.province, 'XiangGangTeBieHangZhengQu'),
  AreaItem('820000', '澳门特别行政区', AreaType.province, 'AoMenTeBieHangZhengQu'),
  AreaItem('110100', '北京市', AreaType.city, 'BeiJingShi'),
  AreaItem('120100', '天津市', AreaType.city, 'TianJinShi'),
  AreaItem('130100', '石家庄市', AreaType.city, 'ShiJiaZhuangShi'),
  AreaItem('130200', '唐山市', AreaType.city, 'TangShanShi'),
  AreaItem('130300', '秦皇岛市', AreaType.city, 'QinHuangDaoShi'),
  AreaItem('130400', '邯郸市', AreaType.city, 'HanDanShi'),
  AreaItem('130500', '邢台市', AreaType.city, 'XingTaiShi'),
  AreaItem('130600', '保定市', AreaType.city, 'BaoDingShi'),
  AreaItem('130700', '张家口市', AreaType.city, 'ZhangJiaKouShi'),
  AreaItem('130800', '承德市', AreaType.city, 'ChengDeShi'),
  AreaItem('130900', '沧州市', AreaType.city, 'CangZhouShi'),
  AreaItem('131000', '廊坊市', AreaType.city, 'LangFangShi'),
  AreaItem('131100', '衡水市', AreaType.city, 'HengShuiShi'),
  AreaItem('140100', '太原市', AreaType.city, 'TaiYuanShi'),
  AreaItem('140200', '大同市', AreaType.city, 'DaTongShi'),
  AreaItem('140300', '阳泉市', AreaType.city, 'YangQuanShi'),
  AreaItem('140400', '长治市', AreaType.city, 'ChangZhiShi'),
  AreaItem('140500', '晋城市', AreaType.city, 'JinChengShi'),
  AreaItem('140600', '朔州市', AreaType.city, 'ShuoZhouShi'),
  AreaItem('140700', '晋中市', AreaType.city, 'JinZhongShi'),
  AreaItem('140800', '运城市', AreaType.city, 'YunChengShi'),
  AreaItem('140900', '忻州市', AreaType.city, 'XinZhouShi'),
  AreaItem('141000', '临汾市', AreaType.city, 'LinFenShi'),
  AreaItem('141100', '吕梁市', AreaType.city, 'LvLiangShi'),
  AreaItem('150100', '呼和浩特市', AreaType.city, 'HuHeHaoTeShi'),
  AreaItem('150200', '包头市', AreaType.city, 'BaoTouShi'),
  AreaItem('150300', '乌海市', AreaType.city, 'WuHaiShi'),
  AreaItem('150400', '赤峰市', AreaType.city, 'ChiFengShi'),
  AreaItem('150500', '通辽市', AreaType.city, 'TongLiaoShi'),
  AreaItem('150600', '鄂尔多斯市', AreaType.city, 'EErDuoSiShi'),
  AreaItem('150700', '呼伦贝尔市', AreaType.city, 'HuLunBeiErShi'),
  AreaItem('150800', '巴彦淖尔市', AreaType.city, 'BaYanNaoErShi'),
  AreaItem('150900', '乌兰察布市', AreaType.city, 'WuLanChaBuShi'),
  AreaItem('152200', '兴安盟', AreaType.city, 'XingAnMeng'),
  AreaItem('152500', '锡林郭勒盟', AreaType.city, 'XiLinGuoLeMeng'),
  AreaItem('152900', '阿拉善盟', AreaType.city, 'ALaShanMeng'),
  AreaItem('210100', '沈阳市', AreaType.city, 'ShenYangShi'),
  AreaItem('210200', '大连市', AreaType.city, 'DaLianShi'),
  AreaItem('210300', '鞍山市', AreaType.city, 'AnShanShi'),
  AreaItem('210400', '抚顺市', AreaType.city, 'FuShunShi'),
  AreaItem('210500', '本溪市', AreaType.city, 'BenXiShi'),
  AreaItem('210600', '丹东市', AreaType.city, 'DanDongShi'),
  AreaItem('210700', '锦州市', AreaType.city, 'JinZhouShi'),
  AreaItem('210800', '营口市', AreaType.city, 'YingKouShi'),
  AreaItem('210900', '阜新市', AreaType.city, 'FuXinShi'),
  AreaItem('211000', '辽阳市', AreaType.city, 'LiaoYangShi'),
  AreaItem('211100', '盘锦市', AreaType.city, 'PanJinShi'),
  AreaItem('211200', '铁岭市', AreaType.city, 'TieLingShi'),
  AreaItem('211300', '朝阳市', AreaType.city, 'ZhaoYangShi'),
  AreaItem('211400', '葫芦岛市', AreaType.city, 'HuLuDaoShi'),
  AreaItem('220100', '长春市', AreaType.city, 'ChangChunShi'),
  AreaItem('220200', '吉林市', AreaType.city, 'JiLinShi'),
  AreaItem('220300', '四平市', AreaType.city, 'SiPingShi'),
  AreaItem('220400', '辽源市', AreaType.city, 'LiaoYuanShi'),
  AreaItem('220500', '通化市', AreaType.city, 'TongHuaShi'),
  AreaItem('220600', '白山市', AreaType.city, 'BaiShanShi'),
  AreaItem('220700', '松原市', AreaType.city, 'SongYuanShi'),
  AreaItem('220800', '白城市', AreaType.city, 'BaiChengShi'),
  AreaItem('222400', '延边朝鲜族自治州', AreaType.city, 'YanBianZhaoXianZuZiZhiZhou'),
  AreaItem('230100', '哈尔滨市', AreaType.city, 'HaErBinShi'),
  AreaItem('230200', '齐齐哈尔市', AreaType.city, 'QiQiHaErShi'),
  AreaItem('230300', '鸡西市', AreaType.city, 'JiXiShi'),
  AreaItem('230400', '鹤岗市', AreaType.city, 'HeGangShi'),
  AreaItem('230500', '双鸭山市', AreaType.city, 'ShuangYaShanShi'),
  AreaItem('230600', '大庆市', AreaType.city, 'DaQingShi'),
  AreaItem('230700', '伊春市', AreaType.city, 'YiChunShi'),
  AreaItem('230800', '佳木斯市', AreaType.city, 'JiaMuSiShi'),
  AreaItem('230900', '七台河市', AreaType.city, 'QiTaiHeShi'),
  AreaItem('231000', '牡丹江市', AreaType.city, 'MuDanJiangShi'),
  AreaItem('231100', '黑河市', AreaType.city, 'HeiHeShi'),
  AreaItem('231200', '绥化市', AreaType.city, 'SuiHuaShi'),
  AreaItem('232700', '大兴安岭地区', AreaType.city, 'DaXingAnLingDiQu'),
  AreaItem('310100', '上海市', AreaType.city, 'ShangHaiShi'),
  AreaItem('320100', '南京市', AreaType.city, 'NanJingShi'),
  AreaItem('320200', '无锡市', AreaType.city, 'WuXiShi'),
  AreaItem('320300', '徐州市', AreaType.city, 'XuZhouShi'),
  AreaItem('320400', '常州市', AreaType.city, 'ChangZhouShi'),
  AreaItem('320500', '苏州市', AreaType.city, 'SuZhouShi'),
  AreaItem('320600', '南通市', AreaType.city, 'NanTongShi'),
  AreaItem('320700', '连云港市', AreaType.city, 'LianYunGangShi'),
  AreaItem('320800', '淮安市', AreaType.city, 'HuaiAnShi'),
  AreaItem('320900', '盐城市', AreaType.city, 'YanChengShi'),
  AreaItem('321000', '扬州市', AreaType.city, 'YangZhouShi'),
  AreaItem('321100', '镇江市', AreaType.city, 'ZhenJiangShi'),
  AreaItem('321200', '泰州市', AreaType.city, 'TaiZhouShi'),
  AreaItem('321300', '宿迁市', AreaType.city, 'SuQianShi'),
  AreaItem('330100', '杭州市', AreaType.city, 'HangZhouShi'),
  AreaItem('330200', '宁波市', AreaType.city, 'NingBoShi'),
  AreaItem('330300', '温州市', AreaType.city, 'WenZhouShi'),
  AreaItem('330400', '嘉兴市', AreaType.city, 'JiaXingShi'),
  AreaItem('330500', '湖州市', AreaType.city, 'HuZhouShi'),
  AreaItem('330600', '绍兴市', AreaType.city, 'ShaoXingShi'),
  AreaItem('330700', '金华市', AreaType.city, 'JinHuaShi'),
  AreaItem('330800', '衢州市', AreaType.city, 'QuZhouShi'),
  AreaItem('330900', '舟山市', AreaType.city, 'ZhouShanShi'),
  AreaItem('331000', '台州市', AreaType.city, 'TaiZhouShi'),
  AreaItem('331100', '丽水市', AreaType.city, 'LiShuiShi'),
  AreaItem('340100', '合肥市', AreaType.city, 'HeFeiShi'),
  AreaItem('340200', '芜湖市', AreaType.city, 'WuHuShi'),
  AreaItem('340300', '蚌埠市', AreaType.city, 'BangBuShi'),
  AreaItem('340400', '淮南市', AreaType.city, 'HuaiNanShi'),
  AreaItem('340500', '马鞍山市', AreaType.city, 'MaAnShanShi'),
  AreaItem('340600', '淮北市', AreaType.city, 'HuaiBeiShi'),
  AreaItem('340700', '铜陵市', AreaType.city, 'TongLingShi'),
  AreaItem('340800', '安庆市', AreaType.city, 'AnQingShi'),
  AreaItem('341000', '黄山市', AreaType.city, 'HuangShanShi'),
  AreaItem('341100', '滁州市', AreaType.city, 'ChuZhouShi'),
  AreaItem('341200', '阜阳市', AreaType.city, 'FuYangShi'),
  AreaItem('341300', '宿州市', AreaType.city, 'SuZhouShi'),
  AreaItem('341500', '六安市', AreaType.city, 'LiuAnShi'),
  AreaItem('341600', '亳州市', AreaType.city, 'BoZhouShi'),
  AreaItem('341700', '池州市', AreaType.city, 'ChiZhouShi'),
  AreaItem('341800', '宣城市', AreaType.city, 'XuanChengShi'),
  AreaItem('350100', '福州市', AreaType.city, 'FuZhouShi'),
  AreaItem('350200', '厦门市', AreaType.city, 'ShaMenShi'),
  AreaItem('350300', '莆田市', AreaType.city, 'PuTianShi'),
  AreaItem('350400', '三明市', AreaType.city, 'SanMingShi'),
  AreaItem('350500', '泉州市', AreaType.city, 'QuanZhouShi'),
  AreaItem('350600', '漳州市', AreaType.city, 'ZhangZhouShi'),
  AreaItem('350700', '南平市', AreaType.city, 'NanPingShi'),
  AreaItem('350800', '龙岩市', AreaType.city, 'LongYanShi'),
  AreaItem('350900', '宁德市', AreaType.city, 'NingDeShi'),
  AreaItem('360100', '南昌市', AreaType.city, 'NanChangShi'),
  AreaItem('360200', '景德镇市', AreaType.city, 'JingDeZhenShi'),
  AreaItem('360300', '萍乡市', AreaType.city, 'PingXiangShi'),
  AreaItem('360400', '九江市', AreaType.city, 'JiuJiangShi'),
  AreaItem('360500', '新余市', AreaType.city, 'XinYuShi'),
  AreaItem('360600', '鹰潭市', AreaType.city, 'YingTanShi'),
  AreaItem('360700', '赣州市', AreaType.city, 'GanZhouShi'),
  AreaItem('360800', '吉安市', AreaType.city, 'JiAnShi'),
  AreaItem('360900', '宜春市', AreaType.city, 'YiChunShi'),
  AreaItem('361000', '抚州市', AreaType.city, 'FuZhouShi'),
  AreaItem('361100', '上饶市', AreaType.city, 'ShangRaoShi'),
  AreaItem('370100', '济南市', AreaType.city, 'JiNanShi'),
  AreaItem('370200', '青岛市', AreaType.city, 'QingDaoShi'),
  AreaItem('370300', '淄博市', AreaType.city, 'ZiBoShi'),
  AreaItem('370400', '枣庄市', AreaType.city, 'ZaoZhuangShi'),
  AreaItem('370500', '东营市', AreaType.city, 'DongYingShi'),
  AreaItem('370600', '烟台市', AreaType.city, 'YanTaiShi'),
  AreaItem('370700', '潍坊市', AreaType.city, 'WeiFangShi'),
  AreaItem('370800', '济宁市', AreaType.city, 'JiNingShi'),
  AreaItem('370900', '泰安市', AreaType.city, 'TaiAnShi'),
  AreaItem('371000', '威海市', AreaType.city, 'WeiHaiShi'),
  AreaItem('371100', '日照市', AreaType.city, 'RiZhaoShi'),
  AreaItem('371200', '莱芜市', AreaType.city, 'LaiWuShi'),
  AreaItem('371300', '临沂市', AreaType.city, 'LinYiShi'),
  AreaItem('371400', '德州市', AreaType.city, 'DeZhouShi'),
  AreaItem('371500', '聊城市', AreaType.city, 'LiaoChengShi'),
  AreaItem('371600', '滨州市', AreaType.city, 'BinZhouShi'),
  AreaItem('371700', '菏泽市', AreaType.city, 'HeZeShi'),
  AreaItem('410100', '郑州市', AreaType.city, 'ZhengZhouShi'),
  AreaItem('410200', '开封市', AreaType.city, 'KaiFengShi'),
  AreaItem('410300', '洛阳市', AreaType.city, 'LuoYangShi'),
  AreaItem('410400', '平顶山市', AreaType.city, 'PingDingShanShi'),
  AreaItem('410500', '安阳市', AreaType.city, 'AnYangShi'),
  AreaItem('410600', '鹤壁市', AreaType.city, 'HeBiShi'),
  AreaItem('410700', '新乡市', AreaType.city, 'XinXiangShi'),
  AreaItem('410800', '焦作市', AreaType.city, 'JiaoZuoShi'),
  AreaItem('410900', '濮阳市', AreaType.city, 'PuYangShi'),
  AreaItem('411000', '许昌市', AreaType.city, 'XuChangShi'),
  AreaItem('411100', '漯河市', AreaType.city, 'LuoHeShi'),
  AreaItem('411200', '三门峡市', AreaType.city, 'SanMenXiaShi'),
  AreaItem('411300', '南阳市', AreaType.city, 'NanYangShi'),
  AreaItem('411400', '商丘市', AreaType.city, 'ShangQiuShi'),
  AreaItem('411500', '信阳市', AreaType.city, 'XinYangShi'),
  AreaItem('411600', '周口市', AreaType.city, 'ZhouKouShi'),
  AreaItem('411700', '驻马店市', AreaType.city, 'ZhuMaDianShi'),
  AreaItem('419000', '省直辖县级行政区划', AreaType.city, 'ShengZhiXiaXianJiHangZhengQuHua'),
  AreaItem('420100', '武汉市', AreaType.city, 'WuHanShi'),
  AreaItem('420200', '黄石市', AreaType.city, 'HuangShiShi'),
  AreaItem('420300', '十堰市', AreaType.city, 'ShiYanShi'),
  AreaItem('420500', '宜昌市', AreaType.city, 'YiChangShi'),
  AreaItem('420600', '襄阳市', AreaType.city, 'XiangYangShi'),
  AreaItem('420700', '鄂州市', AreaType.city, 'EZhouShi'),
  AreaItem('420800', '荆门市', AreaType.city, 'JingMenShi'),
  AreaItem('420900', '孝感市', AreaType.city, 'XiaoGanShi'),
  AreaItem('421000', '荆州市', AreaType.city, 'JingZhouShi'),
  AreaItem('421100', '黄冈市', AreaType.city, 'HuangGangShi'),
  AreaItem('421200', '咸宁市', AreaType.city, 'XianNingShi'),
  AreaItem('421300', '随州市', AreaType.city, 'SuiZhouShi'),
  AreaItem('422800', '恩施土家族苗族自治州', AreaType.city, 'EnShiTuJiaZuMiaoZuZiZhiZhou'),
  AreaItem('429000', '省直辖县级行政区划', AreaType.city, 'ShengZhiXiaXianJiHangZhengQuHua'),
  AreaItem('430100', '长沙市', AreaType.city, 'ChangShaShi'),
  AreaItem('430200', '株洲市', AreaType.city, 'ZhuZhouShi'),
  AreaItem('430300', '湘潭市', AreaType.city, 'XiangTanShi'),
  AreaItem('430400', '衡阳市', AreaType.city, 'HengYangShi'),
  AreaItem('430500', '邵阳市', AreaType.city, 'ShaoYangShi'),
  AreaItem('430600', '岳阳市', AreaType.city, 'YueYangShi'),
  AreaItem('430700', '常德市', AreaType.city, 'ChangDeShi'),
  AreaItem('430800', '张家界市', AreaType.city, 'ZhangJiaJieShi'),
  AreaItem('430900', '益阳市', AreaType.city, 'YiYangShi'),
  AreaItem('431000', '郴州市', AreaType.city, 'ChenZhouShi'),
  AreaItem('431100', '永州市', AreaType.city, 'YongZhouShi'),
  AreaItem('431200', '怀化市', AreaType.city, 'HuaiHuaShi'),
  AreaItem('431300', '娄底市', AreaType.city, 'LouDiShi'),
  AreaItem('433100', '湘西土家族苗族自治州', AreaType.city, 'XiangXiTuJiaZuMiaoZuZiZhiZhou'),
  AreaItem('440100', '广州市', AreaType.city, 'GuangZhouShi'),
  AreaItem('440200', '韶关市', AreaType.city, 'ShaoGuanShi'),
  AreaItem('440300', '深圳市', AreaType.city, 'ShenZhenShi'),
  AreaItem('440400', '珠海市', AreaType.city, 'ZhuHaiShi'),
  AreaItem('440500', '汕头市', AreaType.city, 'ShanTouShi'),
  AreaItem('440600', '佛山市', AreaType.city, 'FoShanShi'),
  AreaItem('440700', '江门市', AreaType.city, 'JiangMenShi'),
  AreaItem('440800', '湛江市', AreaType.city, 'ZhanJiangShi'),
  AreaItem('440900', '茂名市', AreaType.city, 'MaoMingShi'),
  AreaItem('441200', '肇庆市', AreaType.city, 'ZhaoQingShi'),
  AreaItem('441300', '惠州市', AreaType.city, 'HuiZhouShi'),
  AreaItem('441400', '梅州市', AreaType.city, 'MeiZhouShi'),
  AreaItem('441500', '汕尾市', AreaType.city, 'ShanWeiShi'),
  AreaItem('441600', '河源市', AreaType.city, 'HeYuanShi'),
  AreaItem('441700', '阳江市', AreaType.city, 'YangJiangShi'),
  AreaItem('441800', '清远市', AreaType.city, 'QingYuanShi'),
  AreaItem('441900', '东莞市', AreaType.city, 'DongGuanShi'),
  AreaItem('442000', '中山市', AreaType.city, 'ZhongShanShi'),
  AreaItem('445100', '潮州市', AreaType.city, 'ChaoZhouShi'),
  AreaItem('445200', '揭阳市', AreaType.city, 'JieYangShi'),
  AreaItem('445300', '云浮市', AreaType.city, 'YunFuShi'),
  AreaItem('450100', '南宁市', AreaType.city, 'NanNingShi'),
  AreaItem('450200', '柳州市', AreaType.city, 'LiuZhouShi'),
  AreaItem('450300', '桂林市', AreaType.city, 'GuiLinShi'),
  AreaItem('450400', '梧州市', AreaType.city, 'WuZhouShi'),
  AreaItem('450500', '北海市', AreaType.city, 'BeiHaiShi'),
  AreaItem('450600', '防城港市', AreaType.city, 'FangChengGangShi'),
  AreaItem('450700', '钦州市', AreaType.city, 'QinZhouShi'),
  AreaItem('450800', '贵港市', AreaType.city, 'GuiGangShi'),
  AreaItem('450900', '玉林市', AreaType.city, 'YuLinShi'),
  AreaItem('451000', '百色市', AreaType.city, 'BaiSeShi'),
  AreaItem('451100', '贺州市', AreaType.city, 'HeZhouShi'),
  AreaItem('451200', '河池市', AreaType.city, 'HeChiShi'),
  AreaItem('451300', '来宾市', AreaType.city, 'LaiBinShi'),
  AreaItem('451400', '崇左市', AreaType.city, 'ChongZuoShi'),
  AreaItem('460100', '海口市', AreaType.city, 'HaiKouShi'),
  AreaItem('460200', '三亚市', AreaType.city, 'SanYaShi'),
  AreaItem('460300', '三沙市', AreaType.city, 'SanShaShi'),
  AreaItem('460400', '儋州市', AreaType.city, 'DanZhouShi'),
  AreaItem('469000', '省直辖县级行政区划', AreaType.city, 'ShengZhiXiaXianJiHangZhengQuHua'),
  AreaItem('500100', '重庆市', AreaType.city, 'ZhongQingShi'),
  AreaItem('500200', '县', AreaType.city, 'Xian'),
  AreaItem('510100', '成都市', AreaType.city, 'ChengDuShi'),
  AreaItem('510300', '自贡市', AreaType.city, 'ZiGongShi'),
  AreaItem('510400', '攀枝花市', AreaType.city, 'PanZhiHuaShi'),
  AreaItem('510500', '泸州市', AreaType.city, 'LuZhouShi'),
  AreaItem('510600', '德阳市', AreaType.city, 'DeYangShi'),
  AreaItem('510700', '绵阳市', AreaType.city, 'MianYangShi'),
  AreaItem('510800', '广元市', AreaType.city, 'GuangYuanShi'),
  AreaItem('510900', '遂宁市', AreaType.city, 'SuiNingShi'),
  AreaItem('511000', '内江市', AreaType.city, 'NeiJiangShi'),
  AreaItem('511100', '乐山市', AreaType.city, 'LeShanShi'),
  AreaItem('511300', '南充市', AreaType.city, 'NanChongShi'),
  AreaItem('511400', '眉山市', AreaType.city, 'MeiShanShi'),
  AreaItem('511500', '宜宾市', AreaType.city, 'YiBinShi'),
  AreaItem('511600', '广安市', AreaType.city, 'GuangAnShi'),
  AreaItem('511700', '达州市', AreaType.city, 'DaZhouShi'),
  AreaItem('511800', '雅安市', AreaType.city, 'YaAnShi'),
  AreaItem('511900', '巴中市', AreaType.city, 'BaZhongShi'),
  AreaItem('512000', '资阳市', AreaType.city, 'ZiYangShi'),
  AreaItem('513200', '阿坝藏族羌族自治州', AreaType.city, 'ABaCangZuQiangZuZiZhiZhou'),
  AreaItem('513300', '甘孜藏族自治州', AreaType.city, 'GanZiCangZuZiZhiZhou'),
  AreaItem('513400', '凉山彝族自治州', AreaType.city, 'LiangShanYiZuZiZhiZhou'),
  AreaItem('520100', '贵阳市', AreaType.city, 'GuiYangShi'),
  AreaItem('520200', '六盘水市', AreaType.city, 'LiuPanShuiShi'),
  AreaItem('520300', '遵义市', AreaType.city, 'ZunYiShi'),
  AreaItem('520400', '安顺市', AreaType.city, 'AnShunShi'),
  AreaItem('520500', '毕节市', AreaType.city, 'BiJieShi'),
  AreaItem('520600', '铜仁市', AreaType.city, 'TongRenShi'),
  AreaItem('522300', '黔西南布依族苗族自治州', AreaType.city, 'QianXiNanBuYiZuMiaoZuZiZhiZhou'),
  AreaItem('522600', '黔东南苗族侗族自治州', AreaType.city, 'QianDongNanMiaoZuDongZuZiZhiZhou'),
  AreaItem('522700', '黔南布依族苗族自治州', AreaType.city, 'QianNanBuYiZuMiaoZuZiZhiZhou'),
  AreaItem('530100', '昆明市', AreaType.city, 'KunMingShi'),
  AreaItem('530300', '曲靖市', AreaType.city, 'QuJingShi'),
  AreaItem('530400', '玉溪市', AreaType.city, 'YuXiShi'),
  AreaItem('530500', '保山市', AreaType.city, 'BaoShanShi'),
  AreaItem('530600', '昭通市', AreaType.city, 'ZhaoTongShi'),
  AreaItem('530700', '丽江市', AreaType.city, 'LiJiangShi'),
  AreaItem('530800', '普洱市', AreaType.city, 'PuErShi'),
  AreaItem('530900', '临沧市', AreaType.city, 'LinCangShi'),
  AreaItem('532300', '楚雄彝族自治州', AreaType.city, 'ChuXiongYiZuZiZhiZhou'),
  AreaItem('532500', '红河哈尼族彝族自治州', AreaType.city, 'HongHeHaNiZuYiZuZiZhiZhou'),
  AreaItem('532600', '文山壮族苗族自治州', AreaType.city, 'WenShanZhuangZuMiaoZuZiZhiZhou'),
  AreaItem('532800', '西双版纳傣族自治州', AreaType.city, 'XiShuangBanNaDaiZuZiZhiZhou'),
  AreaItem('532900', '大理白族自治州', AreaType.city, 'DaLiBaiZuZiZhiZhou'),
  AreaItem('533100', '德宏傣族景颇族自治州', AreaType.city, 'DeHongDaiZuJingPoZuZiZhiZhou'),
  AreaItem('533300', '怒江傈僳族自治州', AreaType.city, 'NuJiangLiSuZuZiZhiZhou'),
  AreaItem('533400', '迪庆藏族自治州', AreaType.city, 'DiQingCangZuZiZhiZhou'),
  AreaItem('540100', '拉萨市', AreaType.city, 'LaSaShi'),
  AreaItem('540200', '日喀则市', AreaType.city, 'RiKaZeShi'),
  AreaItem('540300', '昌都市', AreaType.city, 'ChangDuShi'),
  AreaItem('540400', '林芝市', AreaType.city, 'LinZhiShi'),
  AreaItem('540500', '山南市', AreaType.city, 'ShanNanShi'),
  AreaItem('542400', '那曲地区', AreaType.city, 'NaQuDiQu'),
  AreaItem('542500', '阿里地区', AreaType.city, 'ALiDiQu'),
  AreaItem('610100', '西安市', AreaType.city, 'XiAnShi'),
  AreaItem('610200', '铜川市', AreaType.city, 'TongChuanShi'),
  AreaItem('610300', '宝鸡市', AreaType.city, 'BaoJiShi'),
  AreaItem('610400', '咸阳市', AreaType.city, 'XianYangShi'),
  AreaItem('610500', '渭南市', AreaType.city, 'WeiNanShi'),
  AreaItem('610600', '延安市', AreaType.city, 'YanAnShi'),
  AreaItem('610700', '汉中市', AreaType.city, 'HanZhongShi'),
  AreaItem('610800', '榆林市', AreaType.city, 'YuLinShi'),
  AreaItem('610900', '安康市', AreaType.city, 'AnKangShi'),
  AreaItem('611000', '商洛市', AreaType.city, 'ShangLuoShi'),
  AreaItem('620100', '兰州市', AreaType.city, 'LanZhouShi'),
  AreaItem('620200', '嘉峪关市', AreaType.city, 'JiaYuGuanShi'),
  AreaItem('620300', '金昌市', AreaType.city, 'JinChangShi'),
  AreaItem('620400', '白银市', AreaType.city, 'BaiYinShi'),
  AreaItem('620500', '天水市', AreaType.city, 'TianShuiShi'),
  AreaItem('620600', '武威市', AreaType.city, 'WuWeiShi'),
  AreaItem('620700', '张掖市', AreaType.city, 'ZhangYeShi'),
  AreaItem('620800', '平凉市', AreaType.city, 'PingLiangShi'),
  AreaItem('620900', '酒泉市', AreaType.city, 'JiuQuanShi'),
  AreaItem('621000', '庆阳市', AreaType.city, 'QingYangShi'),
  AreaItem('621100', '定西市', AreaType.city, 'DingXiShi'),
  AreaItem('621200', '陇南市', AreaType.city, 'LongNanShi'),
  AreaItem('622900', '临夏回族自治州', AreaType.city, 'LinXiaHuiZuZiZhiZhou'),
  AreaItem('623000', '甘南藏族自治州', AreaType.city, 'GanNanCangZuZiZhiZhou'),
  AreaItem('630100', '西宁市', AreaType.city, 'XiNingShi'),
  AreaItem('630200', '海东市', AreaType.city, 'HaiDongShi'),
  AreaItem('632200', '海北藏族自治州', AreaType.city, 'HaiBeiCangZuZiZhiZhou'),
  AreaItem('632300', '黄南藏族自治州', AreaType.city, 'HuangNanCangZuZiZhiZhou'),
  AreaItem('632500', '海南藏族自治州', AreaType.city, 'HaiNanCangZuZiZhiZhou'),
  AreaItem('632600', '果洛藏族自治州', AreaType.city, 'GuoLuoCangZuZiZhiZhou'),
  AreaItem('632700', '玉树藏族自治州', AreaType.city, 'YuShuCangZuZiZhiZhou'),
  AreaItem('632800', '海西蒙古族藏族自治州', AreaType.city, 'HaiXiMengGuZuCangZuZiZhiZhou'),
  AreaItem('640100', '银川市', AreaType.city, 'YinChuanShi'),
  AreaItem('640200', '石嘴山市', AreaType.city, 'ShiZuiShanShi'),
  AreaItem('640300', '吴忠市', AreaType.city, 'WuZhongShi'),
  AreaItem('640400', '固原市', AreaType.city, 'GuYuanShi'),
  AreaItem('640500', '中卫市', AreaType.city, 'ZhongWeiShi'),
  AreaItem('650100', '乌鲁木齐市', AreaType.city, 'WuLuMuQiShi'),
  AreaItem('650200', '克拉玛依市', AreaType.city, 'KeLaMaYiShi'),
  AreaItem('650400', '吐鲁番市', AreaType.city, 'TuLuFanShi'),
  AreaItem('650500', '哈密市', AreaType.city, 'HaMiShi'),
  AreaItem('652300', '昌吉回族自治州', AreaType.city, 'ChangJiHuiZuZiZhiZhou'),
  AreaItem('652700', '博尔塔拉蒙古自治州', AreaType.city, 'BoErTaLaMengGuZiZhiZhou'),
  AreaItem('652800', '巴音郭楞蒙古自治州', AreaType.city, 'BaYinGuoLengMengGuZiZhiZhou'),
  AreaItem('652900', '阿克苏地区', AreaType.city, 'AKeSuDiQu'),
  AreaItem('653000', '克孜勒苏柯尔克孜自治州', AreaType.city, 'KeZiLeSuKeErKeZiZiZhiZhou'),
  AreaItem('653100', '喀什地区', AreaType.city, 'KaShiDiQu'),
  AreaItem('653200', '和田地区', AreaType.city, 'HeTianDiQu'),
  AreaItem('654000', '伊犁哈萨克自治州', AreaType.city, 'YiLiHaSaKeZiZhiZhou'),
  AreaItem('654200', '塔城地区', AreaType.city, 'TaChengDiQu'),
  AreaItem('654300', '阿勒泰地区', AreaType.city, 'ALeTaiDiQu'),
  AreaItem('659000', '自治区直辖县级行政区划', AreaType.city, 'ZiZhiQuZhiXiaXianJiHangZhengQuHua'),
  AreaItem('710100', '台北市', AreaType.city, 'TaiBeiShi'),
  AreaItem('710200', '高雄市', AreaType.city, 'GaoXiongShi'),
  AreaItem('710300', '台南市', AreaType.city, 'TaiNanShi'),
  AreaItem('710400', '台中市', AreaType.city, 'TaiZhongShi'),
  AreaItem('710600', '南投县', AreaType.city, 'NanTouXian'),
  AreaItem('710700', '基隆市', AreaType.city, 'JiLongShi'),
  AreaItem('710800', '新竹市', AreaType.city, 'XinZhuShi'),
  AreaItem('710900', '嘉义市', AreaType.city, 'JiaYiShi'),
  AreaItem('711100', '新北市', AreaType.city, 'XinBeiShi'),
  AreaItem('711200', '宜兰县', AreaType.city, 'YiLanXian'),
  AreaItem('711300', '新竹县', AreaType.city, 'XinZhuXian'),
  AreaItem('711400', '桃园市', AreaType.city, 'TaoYuanShi'),
  AreaItem('711500', '苗栗县', AreaType.city, 'MiaoLiXian'),
  AreaItem('711700', '彰化县', AreaType.city, 'ZhangHuaXian'),
  AreaItem('711900', '嘉义县', AreaType.city, 'JiaYiXian'),
  AreaItem('712100', '云林县', AreaType.city, 'YunLinXian'),
  AreaItem('712400', '屏东县', AreaType.city, 'PingDongXian'),
  AreaItem('712500', '台东县', AreaType.city, 'TaiDongXian'),
  AreaItem('712600', '花莲县', AreaType.city, 'HuaLianXian'),
  AreaItem('712700', '澎湖县', AreaType.city, 'PengHuXian'),
  AreaItem('810100', '香港特别行政区', AreaType.city, 'XiangGangTeBieHangZhengQu'),
  AreaItem('820100', '澳门特别行政区', AreaType.city, 'AoMenTeBieHangZhengQu'),
  AreaItem('110101', '东城区', AreaType.area, 'DongChengQu'),
  AreaItem('110102', '西城区', AreaType.area, 'XiChengQu'),
  AreaItem('110105', '朝阳区', AreaType.area, 'ZhaoYangQu'),
  AreaItem('110106', '丰台区', AreaType.area, 'FengTaiQu'),
  AreaItem('110107', '石景山区', AreaType.area, 'ShiJingShanQu'),
  AreaItem('110108', '海淀区', AreaType.area, 'HaiDianQu'),
  AreaItem('110109', '门头沟区', AreaType.area, 'MenTouGouQu'),
  AreaItem('110111', '房山区', AreaType.area, 'FangShanQu'),
  AreaItem('110112', '通州区', AreaType.area, 'TongZhouQu'),
  AreaItem('110113', '顺义区', AreaType.area, 'ShunYiQu'),
  AreaItem('110114', '昌平区', AreaType.area, 'ChangPingQu'),
  AreaItem('110115', '大兴区', AreaType.area, 'DaXingQu'),
  AreaItem('110116', '怀柔区', AreaType.area, 'HuaiRouQu'),
  AreaItem('110117', '平谷区', AreaType.area, 'PingGuQu'),
  AreaItem('110118', '密云区', AreaType.area, 'MiYunQu'),
  AreaItem('110119', '延庆区', AreaType.area, 'YanQingQu'),
  AreaItem('120101', '和平区', AreaType.area, 'HePingQu'),
  AreaItem('120102', '河东区', AreaType.area, 'HeDongQu'),
  AreaItem('120103', '河西区', AreaType.area, 'HeXiQu'),
  AreaItem('120104', '南开区', AreaType.area, 'NanKaiQu'),
  AreaItem('120105', '河北区', AreaType.area, 'HeBeiQu'),
  AreaItem('120106', '红桥区', AreaType.area, 'HongQiaoQu'),
  AreaItem('120110', '东丽区', AreaType.area, 'DongLiQu'),
  AreaItem('120111', '西青区', AreaType.area, 'XiQingQu'),
  AreaItem('120112', '津南区', AreaType.area, 'JinNanQu'),
  AreaItem('120113', '北辰区', AreaType.area, 'BeiChenQu'),
  AreaItem('120114', '武清区', AreaType.area, 'WuQingQu'),
  AreaItem('120115', '宝坻区', AreaType.area, 'BaoDiQu'),
  AreaItem('120116', '滨海新区', AreaType.area, 'BinHaiXinQu'),
  AreaItem('120117', '宁河区', AreaType.area, 'NingHeQu'),
  AreaItem('120118', '静海区', AreaType.area, 'JingHaiQu'),
  AreaItem('120119', '蓟州区', AreaType.area, 'JiZhouQu'),
  AreaItem('130102', '长安区', AreaType.area, 'ChangAnQu'),
  AreaItem('130104', '桥西区', AreaType.area, 'QiaoXiQu'),
  AreaItem('130105', '新华区', AreaType.area, 'XinHuaQu'),
  AreaItem('130107', '井陉矿区', AreaType.area, 'JingXingKuangQu'),
  AreaItem('130108', '裕华区', AreaType.area, 'YuHuaQu'),
  AreaItem('130109', '藁城区', AreaType.area, 'GaoChengQu'),
  AreaItem('130110', '鹿泉区', AreaType.area, 'LuQuanQu'),
  AreaItem('130111', '栾城区', AreaType.area, 'LuanChengQu'),
  AreaItem('130121', '井陉县', AreaType.area, 'JingXingXian'),
  AreaItem('130123', '正定县', AreaType.area, 'ZhengDingXian'),
  AreaItem('130125', '行唐县', AreaType.area, 'HangTangXian'),
  AreaItem('130126', '灵寿县', AreaType.area, 'LingShouXian'),
  AreaItem('130127', '高邑县', AreaType.area, 'GaoYiXian'),
  AreaItem('130128', '深泽县', AreaType.area, 'ShenZeXian'),
  AreaItem('130129', '赞皇县', AreaType.area, 'ZanHuangXian'),
  AreaItem('130130', '无极县', AreaType.area, 'WuJiXian'),
  AreaItem('130131', '平山县', AreaType.area, 'PingShanXian'),
  AreaItem('130132', '元氏县', AreaType.area, 'YuanShiXian'),
  AreaItem('130133', '赵县', AreaType.area, 'ZhaoXian'),
  AreaItem('130181', '辛集市', AreaType.area, 'XinJiShi'),
  AreaItem('130183', '晋州市', AreaType.area, 'JinZhouShi'),
  AreaItem('130184', '新乐市', AreaType.area, 'XinLeShi'),
  AreaItem('130202', '路南区', AreaType.area, 'LuNanQu'),
  AreaItem('130203', '路北区', AreaType.area, 'LuBeiQu'),
  AreaItem('130204', '古冶区', AreaType.area, 'GuYeQu'),
  AreaItem('130205', '开平区', AreaType.area, 'KaiPingQu'),
  AreaItem('130207', '丰南区', AreaType.area, 'FengNanQu'),
  AreaItem('130208', '丰润区', AreaType.area, 'FengRunQu'),
  AreaItem('130209', '曹妃甸区', AreaType.area, 'CaoFeiDianQu'),
  AreaItem('130223', '滦县', AreaType.area, 'LuanXian'),
  AreaItem('130224', '滦南县', AreaType.area, 'LuanNanXian'),
  AreaItem('130225', '乐亭县', AreaType.area, 'LeTingXian'),
  AreaItem('130227', '迁西县', AreaType.area, 'QianXiXian'),
  AreaItem('130229', '玉田县', AreaType.area, 'YuTianXian'),
  AreaItem('130281', '遵化市', AreaType.area, 'ZunHuaShi'),
  AreaItem('130283', '迁安市', AreaType.area, 'QianAnShi'),
  AreaItem('130302', '海港区', AreaType.area, 'HaiGangQu'),
  AreaItem('130303', '山海关区', AreaType.area, 'ShanHaiGuanQu'),
  AreaItem('130304', '北戴河区', AreaType.area, 'BeiDaiHeQu'),
  AreaItem('130306', '抚宁区', AreaType.area, 'FuNingQu'),
  AreaItem('130321', '青龙满族自治县', AreaType.area, 'QingLongManZuZiZhiXian'),
  AreaItem('130322', '昌黎县', AreaType.area, 'ChangLiXian'),
  AreaItem('130324', '卢龙县', AreaType.area, 'LuLongXian'),
  AreaItem('130402', '邯山区', AreaType.area, 'HanShanQu'),
  AreaItem('130403', '丛台区', AreaType.area, 'CongTaiQu'),
  AreaItem('130404', '复兴区', AreaType.area, 'FuXingQu'),
  AreaItem('130406', '峰峰矿区', AreaType.area, 'FengFengKuangQu'),
  AreaItem('130407', '肥乡区', AreaType.area, 'FeiXiangQu'),
  AreaItem('130408', '永年区', AreaType.area, 'YongNianQu'),
  AreaItem('130423', '临漳县', AreaType.area, 'LinZhangXian'),
  AreaItem('130424', '成安县', AreaType.area, 'ChengAnXian'),
  AreaItem('130425', '大名县', AreaType.area, 'DaMingXian'),
  AreaItem('130426', '涉县', AreaType.area, 'SheXian'),
  AreaItem('130427', '磁县', AreaType.area, 'CiXian'),
  AreaItem('130430', '邱县', AreaType.area, 'QiuXian'),
  AreaItem('130431', '鸡泽县', AreaType.area, 'JiZeXian'),
  AreaItem('130432', '广平县', AreaType.area, 'GuangPingXian'),
  AreaItem('130433', '馆陶县', AreaType.area, 'GuanTaoXian'),
  AreaItem('130434', '魏县', AreaType.area, 'WeiXian'),
  AreaItem('130435', '曲周县', AreaType.area, 'QuZhouXian'),
  AreaItem('130481', '武安市', AreaType.area, 'WuAnShi'),
  AreaItem('130502', '桥东区', AreaType.area, 'QiaoDongQu'),
  AreaItem('130503', '桥西区', AreaType.area, 'QiaoXiQu'),
  AreaItem('130521', '邢台县', AreaType.area, 'XingTaiXian'),
  AreaItem('130522', '临城县', AreaType.area, 'LinChengXian'),
  AreaItem('130523', '内丘县', AreaType.area, 'NeiQiuXian'),
  AreaItem('130524', '柏乡县', AreaType.area, 'BaiXiangXian'),
  AreaItem('130525', '隆尧县', AreaType.area, 'LongYaoXian'),
  AreaItem('130526', '任县', AreaType.area, 'RenXian'),
  AreaItem('130527', '南和区', AreaType.area, 'NanHeQu'),
  AreaItem('130528', '宁晋县', AreaType.area, 'NingJinXian'),
  AreaItem('130529', '巨鹿县', AreaType.area, 'JuLuXian'),
  AreaItem('130530', '新河县', AreaType.area, 'XinHeXian'),
  AreaItem('130531', '广宗县', AreaType.area, 'GuangZongXian'),
  AreaItem('130532', '平乡县', AreaType.area, 'PingXiangXian'),
  AreaItem('130533', '威县', AreaType.area, 'WeiXian'),
  AreaItem('130534', '清河县', AreaType.area, 'QingHeXian'),
  AreaItem('130535', '临西县', AreaType.area, 'LinXiXian'),
  AreaItem('130581', '南宫市', AreaType.area, 'NanGongShi'),
  AreaItem('130582', '沙河市', AreaType.area, 'ShaHeShi'),
  AreaItem('130602', '竞秀区', AreaType.area, 'JingXiuQu'),
  AreaItem('130606', '莲池区', AreaType.area, 'LianChiQu'),
  AreaItem('130607', '满城区', AreaType.area, 'ManChengQu'),
  AreaItem('130608', '清苑区', AreaType.area, 'QingYuanQu'),
  AreaItem('130609', '徐水区', AreaType.area, 'XuShuiQu'),
  AreaItem('130623', '涞水县', AreaType.area, 'LaiShuiXian'),
  AreaItem('130624', '阜平县', AreaType.area, 'FuPingXian'),
  AreaItem('130626', '定兴县', AreaType.area, 'DingXingXian'),
  AreaItem('130627', '唐县', AreaType.area, 'TangXian'),
  AreaItem('130628', '高阳县', AreaType.area, 'GaoYangXian'),
  AreaItem('130629', '容城县', AreaType.area, 'RongChengXian'),
  AreaItem('130630', '涞源县', AreaType.area, 'LaiYuanXian'),
  AreaItem('130631', '望都县', AreaType.area, 'WangDuXian'),
  AreaItem('130632', '安新县', AreaType.area, 'AnXinXian'),
  AreaItem('130633', '易县', AreaType.area, 'YiXian'),
  AreaItem('130634', '曲阳县', AreaType.area, 'QuYangXian'),
  AreaItem('130635', '蠡县', AreaType.area, 'LiXian'),
  AreaItem('130636', '顺平县', AreaType.area, 'ShunPingXian'),
  AreaItem('130637', '博野县', AreaType.area, 'BoYeXian'),
  AreaItem('130638', '雄县', AreaType.area, 'XiongXian'),
  AreaItem('130681', '涿州市', AreaType.area, 'ZhuoZhouShi'),
  AreaItem('130682', '定州市', AreaType.area, 'DingZhouShi'),
  AreaItem('130683', '安国市', AreaType.area, 'AnGuoShi'),
  AreaItem('130684', '高碑店市', AreaType.area, 'GaoBeiDianShi'),
  AreaItem('130702', '桥东区', AreaType.area, 'QiaoDongQu'),
  AreaItem('130703', '桥西区', AreaType.area, 'QiaoXiQu'),
  AreaItem('130705', '宣化区', AreaType.area, 'XuanHuaQu'),
  AreaItem('130706', '下花园区', AreaType.area, 'XiaHuaYuanQu'),
  AreaItem('130708', '万全区', AreaType.area, 'WanQuanQu'),
  AreaItem('130709', '崇礼区', AreaType.area, 'ChongLiQu'),
  AreaItem('130722', '张北县', AreaType.area, 'ZhangBeiXian'),
  AreaItem('130723', '康保县', AreaType.area, 'KangBaoXian'),
  AreaItem('130724', '沽源县', AreaType.area, 'GuYuanXian'),
  AreaItem('130725', '尚义县', AreaType.area, 'ShangYiXian'),
  AreaItem('130726', '蔚县', AreaType.area, 'WeiXian'),
  AreaItem('130727', '阳原县', AreaType.area, 'YangYuanXian'),
  AreaItem('130728', '怀安县', AreaType.area, 'HuaiAnXian'),
  AreaItem('130730', '怀来县', AreaType.area, 'HuaiLaiXian'),
  AreaItem('130731', '涿鹿县', AreaType.area, 'ZhuoLuXian'),
  AreaItem('130732', '赤城县', AreaType.area, 'ChiChengXian'),
  AreaItem('130802', '双桥区', AreaType.area, 'ShuangQiaoQu'),
  AreaItem('130803', '双滦区', AreaType.area, 'ShuangLuanQu'),
  AreaItem('130804', '鹰手营子矿区', AreaType.area, 'YingShouYingZiKuangQu'),
  AreaItem('130821', '承德县', AreaType.area, 'ChengDeXian'),
  AreaItem('130822', '兴隆县', AreaType.area, 'XingLongXian'),
  AreaItem('130824', '滦平县', AreaType.area, 'LuanPingXian'),
  AreaItem('130825', '隆化县', AreaType.area, 'LongHuaXian'),
  AreaItem('130826', '丰宁满族自治县', AreaType.area, 'FengNingManZuZiZhiXian'),
  AreaItem('130827', '宽城满族自治县', AreaType.area, 'KuanChengManZuZiZhiXian'),
  AreaItem('130828', '围场满族蒙古族自治县', AreaType.area, 'WeiChangManZuMengGuZuZiZhiXian'),
  AreaItem('130881', '平泉市', AreaType.area, 'PingQuanShi'),
  AreaItem('130902', '新华区', AreaType.area, 'XinHuaQu'),
  AreaItem('130903', '运河区', AreaType.area, 'YunHeQu'),
  AreaItem('130921', '沧县', AreaType.area, 'CangXian'),
  AreaItem('130922', '青县', AreaType.area, 'QingXian'),
  AreaItem('130923', '东光县', AreaType.area, 'DongGuangXian'),
  AreaItem('130924', '海兴县', AreaType.area, 'HaiXingXian'),
  AreaItem('130925', '盐山县', AreaType.area, 'YanShanXian'),
  AreaItem('130926', '肃宁县', AreaType.area, 'SuNingXian'),
  AreaItem('130927', '南皮县', AreaType.area, 'NanPiXian'),
  AreaItem('130928', '吴桥县', AreaType.area, 'WuQiaoXian'),
  AreaItem('130929', '献县', AreaType.area, 'XianXian'),
  AreaItem('130930', '孟村回族自治县', AreaType.area, 'MengCunHuiZuZiZhiXian'),
  AreaItem('130981', '泊头市', AreaType.area, 'BoTouShi'),
  AreaItem('130982', '任丘市', AreaType.area, 'RenQiuShi'),
  AreaItem('130983', '黄骅市', AreaType.area, 'HuangHuaShi'),
  AreaItem('130984', '河间市', AreaType.area, 'HeJianShi'),
  AreaItem('131002', '安次区', AreaType.area, 'AnCiQu'),
  AreaItem('131003', '广阳区', AreaType.area, 'GuangYangQu'),
  AreaItem('131022', '固安县', AreaType.area, 'GuAnXian'),
  AreaItem('131023', '永清县', AreaType.area, 'YongQingXian'),
  AreaItem('131024', '香河县', AreaType.area, 'XiangHeXian'),
  AreaItem('131025', '大城县', AreaType.area, 'DaChengXian'),
  AreaItem('131026', '文安县', AreaType.area, 'WenAnXian'),
  AreaItem('131028', '大厂回族自治县', AreaType.area, 'DaChangHuiZuZiZhiXian'),
  AreaItem('131081', '霸州市', AreaType.area, 'BaZhouShi'),
  AreaItem('131082', '三河市', AreaType.area, 'SanHeShi'),
  AreaItem('131102', '桃城区', AreaType.area, 'TaoChengQu'),
  AreaItem('131103', '冀州区', AreaType.area, 'JiZhouQu'),
  AreaItem('131121', '枣强县', AreaType.area, 'ZaoQiangXian'),
  AreaItem('131122', '武邑县', AreaType.area, 'WuYiXian'),
  AreaItem('131123', '武强县', AreaType.area, 'WuQiangXian'),
  AreaItem('131124', '饶阳县', AreaType.area, 'RaoYangXian'),
  AreaItem('131125', '安平县', AreaType.area, 'AnPingXian'),
  AreaItem('131126', '故城县', AreaType.area, 'GuChengXian'),
  AreaItem('131127', '景县', AreaType.area, 'JingXian'),
  AreaItem('131128', '阜城县', AreaType.area, 'FuChengXian'),
  AreaItem('131182', '深州市', AreaType.area, 'ShenZhouShi'),
  AreaItem('140105', '小店区', AreaType.area, 'XiaoDianQu'),
  AreaItem('140106', '迎泽区', AreaType.area, 'YingZeQu'),
  AreaItem('140107', '杏花岭区', AreaType.area, 'XingHuaLingQu'),
  AreaItem('140108', '尖草坪区', AreaType.area, 'JianCaoPingQu'),
  AreaItem('140109', '万柏林区', AreaType.area, 'WanBaiLinQu'),
  AreaItem('140110', '晋源区', AreaType.area, 'JinYuanQu'),
  AreaItem('140121', '清徐县', AreaType.area, 'QingXuXian'),
  AreaItem('140122', '阳曲县', AreaType.area, 'YangQuXian'),
  AreaItem('140123', '娄烦县', AreaType.area, 'LouFanXian'),
  AreaItem('140181', '古交市', AreaType.area, 'GuJiaoShi'),
  AreaItem('140202', '城区', AreaType.area, 'ChengQu'),
  AreaItem('140203', '矿区', AreaType.area, 'KuangQu'),
  AreaItem('140211', '南郊区', AreaType.area, 'NanJiaoQu'),
  AreaItem('140212', '新荣区', AreaType.area, 'XinRongQu'),
  AreaItem('140221', '阳高县', AreaType.area, 'YangGaoXian'),
  AreaItem('140222', '天镇县', AreaType.area, 'TianZhenXian'),
  AreaItem('140223', '广灵县', AreaType.area, 'GuangLingXian'),
  AreaItem('140224', '灵丘县', AreaType.area, 'LingQiuXian'),
  AreaItem('140225', '浑源县', AreaType.area, 'HunYuanXian'),
  AreaItem('140226', '左云县', AreaType.area, 'ZuoYunXian'),
  AreaItem('140227', '大同县', AreaType.area, 'DaTongXian'),
  AreaItem('140302', '城区', AreaType.area, 'ChengQu'),
  AreaItem('140303', '矿区', AreaType.area, 'KuangQu'),
  AreaItem('140311', '郊区', AreaType.area, 'JiaoQu'),
  AreaItem('140321', '平定县', AreaType.area, 'PingDingXian'),
  AreaItem('140322', '盂县', AreaType.area, 'YuXian'),
  AreaItem('140402', '城区', AreaType.area, 'ChengQu'),
  AreaItem('140411', '郊区', AreaType.area, 'JiaoQu'),
  AreaItem('140421', '长治县', AreaType.area, 'ChangZhiXian'),
  AreaItem('140423', '襄垣县', AreaType.area, 'XiangYuanXian'),
  AreaItem('140424', '屯留县', AreaType.area, 'TunLiuXian'),
  AreaItem('140425', '平顺县', AreaType.area, 'PingShunXian'),
  AreaItem('140426', '黎城县', AreaType.area, 'LiChengXian'),
  AreaItem('140427', '壶关县', AreaType.area, 'HuGuanXian'),
  AreaItem('140428', '长子县', AreaType.area, 'ChangZiXian'),
  AreaItem('140429', '武乡县', AreaType.area, 'WuXiangXian'),
  AreaItem('140430', '沁县', AreaType.area, 'QinXian'),
  AreaItem('140431', '沁源县', AreaType.area, 'QinYuanXian'),
  AreaItem('140481', '潞城市', AreaType.area, 'LuChengShi'),
  AreaItem('140502', '城区', AreaType.area, 'ChengQu'),
  AreaItem('140521', '沁水县', AreaType.area, 'QinShuiXian'),
  AreaItem('140522', '阳城县', AreaType.area, 'YangChengXian'),
  AreaItem('140524', '陵川县', AreaType.area, 'LingChuanXian'),
  AreaItem('140525', '泽州县', AreaType.area, 'ZeZhouXian'),
  AreaItem('140581', '高平市', AreaType.area, 'GaoPingShi'),
  AreaItem('140602', '朔城区', AreaType.area, 'ShuoChengQu'),
  AreaItem('140603', '平鲁区', AreaType.area, 'PingLuQu'),
  AreaItem('140621', '山阴县', AreaType.area, 'ShanYinXian'),
  AreaItem('140622', '应县', AreaType.area, 'YingXian'),
  AreaItem('140623', '右玉县', AreaType.area, 'YouYuXian'),
  AreaItem('140624', '怀仁县', AreaType.area, 'HuaiRenXian'),
  AreaItem('140702', '榆次区', AreaType.area, 'YuCiQu'),
  AreaItem('140721', '榆社县', AreaType.area, 'YuSheXian'),
  AreaItem('140722', '左权县', AreaType.area, 'ZuoQuanXian'),
  AreaItem('140723', '和顺县', AreaType.area, 'HeShunXian'),
  AreaItem('140724', '昔阳县', AreaType.area, 'XiYangXian'),
  AreaItem('140725', '寿阳县', AreaType.area, 'ShouYangXian'),
  AreaItem('140726', '太谷县', AreaType.area, 'TaiGuXian'),
  AreaItem('140727', '祁县', AreaType.area, 'QiXian'),
  AreaItem('140728', '平遥县', AreaType.area, 'PingYaoXian'),
  AreaItem('140729', '灵石县', AreaType.area, 'LingShiXian'),
  AreaItem('140781', '介休市', AreaType.area, 'JieXiuShi'),
  AreaItem('140802', '盐湖区', AreaType.area, 'YanHuQu'),
  AreaItem('140821', '临猗县', AreaType.area, 'LinYiXian'),
  AreaItem('140822', '万荣县', AreaType.area, 'WanRongXian'),
  AreaItem('140823', '闻喜县', AreaType.area, 'WenXiXian'),
  AreaItem('140824', '稷山县', AreaType.area, 'JiShanXian'),
  AreaItem('140825', '新绛县', AreaType.area, 'XinJiangXian'),
  AreaItem('140826', '绛县', AreaType.area, 'JiangXian'),
  AreaItem('140827', '垣曲县', AreaType.area, 'YuanQuXian'),
  AreaItem('140828', '夏县', AreaType.area, 'XiaXian'),
  AreaItem('140829', '平陆县', AreaType.area, 'PingLuXian'),
  AreaItem('140830', '芮城县', AreaType.area, 'RuiChengXian'),
  AreaItem('140881', '永济市', AreaType.area, 'YongJiShi'),
  AreaItem('140882', '河津市', AreaType.area, 'HeJinShi'),
  AreaItem('140902', '忻府区', AreaType.area, 'XinFuQu'),
  AreaItem('140921', '定襄县', AreaType.area, 'DingXiangXian'),
  AreaItem('140922', '五台县', AreaType.area, 'WuTaiXian'),
  AreaItem('140923', '代县', AreaType.area, 'DaiXian'),
  AreaItem('140924', '繁峙县', AreaType.area, 'FanZhiXian'),
  AreaItem('140925', '宁武县', AreaType.area, 'NingWuXian'),
  AreaItem('140926', '静乐县', AreaType.area, 'JingLeXian'),
  AreaItem('140927', '神池县', AreaType.area, 'ShenChiXian'),
  AreaItem('140928', '五寨县', AreaType.area, 'WuZhaiXian'),
  AreaItem('140929', '岢岚县', AreaType.area, 'KeLanXian'),
  AreaItem('140930', '河曲县', AreaType.area, 'HeQuXian'),
  AreaItem('140931', '保德县', AreaType.area, 'BaoDeXian'),
  AreaItem('140932', '偏关县', AreaType.area, 'PianGuanXian'),
  AreaItem('140981', '原平市', AreaType.area, 'YuanPingShi'),
  AreaItem('141002', '尧都区', AreaType.area, 'YaoDuQu'),
  AreaItem('141021', '曲沃县', AreaType.area, 'QuWoXian'),
  AreaItem('141022', '翼城县', AreaType.area, 'YiChengXian'),
  AreaItem('141023', '襄汾县', AreaType.area, 'XiangFenXian'),
  AreaItem('141024', '洪洞县', AreaType.area, 'HongDongXian'),
  AreaItem('141025', '古县', AreaType.area, 'GuXian'),
  AreaItem('141026', '安泽县', AreaType.area, 'AnZeXian'),
  AreaItem('141027', '浮山县', AreaType.area, 'FuShanXian'),
  AreaItem('141028', '吉县', AreaType.area, 'JiXian'),
  AreaItem('141029', '乡宁县', AreaType.area, 'XiangNingXian'),
  AreaItem('141030', '大宁县', AreaType.area, 'DaNingXian'),
  AreaItem('141031', '隰县', AreaType.area, 'XiXian'),
  AreaItem('141032', '永和县', AreaType.area, 'YongHeXian'),
  AreaItem('141033', '蒲县', AreaType.area, 'PuXian'),
  AreaItem('141034', '汾西县', AreaType.area, 'FenXiXian'),
  AreaItem('141081', '侯马市', AreaType.area, 'HouMaShi'),
  AreaItem('141082', '霍州市', AreaType.area, 'HuoZhouShi'),
  AreaItem('141102', '离石区', AreaType.area, 'LiShiQu'),
  AreaItem('141121', '文水县', AreaType.area, 'WenShuiXian'),
  AreaItem('141122', '交城县', AreaType.area, 'JiaoChengXian'),
  AreaItem('141123', '兴县', AreaType.area, 'XingXian'),
  AreaItem('141124', '临县', AreaType.area, 'LinXian'),
  AreaItem('141125', '柳林县', AreaType.area, 'LiuLinXian'),
  AreaItem('141126', '石楼县', AreaType.area, 'ShiLouXian'),
  AreaItem('141127', '岚县', AreaType.area, 'LanXian'),
  AreaItem('141128', '方山县', AreaType.area, 'FangShanXian'),
  AreaItem('141129', '中阳县', AreaType.area, 'ZhongYangXian'),
  AreaItem('141130', '交口县', AreaType.area, 'JiaoKouXian'),
  AreaItem('141181', '孝义市', AreaType.area, 'XiaoYiShi'),
  AreaItem('141182', '汾阳市', AreaType.area, 'FenYangShi'),
  AreaItem('150102', '新城区', AreaType.area, 'XinChengQu'),
  AreaItem('150103', '回民区', AreaType.area, 'HuiMinQu'),
  AreaItem('150104', '玉泉区', AreaType.area, 'YuQuanQu'),
  AreaItem('150105', '赛罕区', AreaType.area, 'SaiHanQu'),
  AreaItem('150121', '土默特左旗', AreaType.area, 'TuMoTeZuoQi'),
  AreaItem('150122', '托克托县', AreaType.area, 'TuoKeTuoXian'),
  AreaItem('150123', '和林格尔县', AreaType.area, 'HeLinGeErXian'),
  AreaItem('150124', '清水河县', AreaType.area, 'QingShuiHeXian'),
  AreaItem('150125', '武川县', AreaType.area, 'WuChuanXian'),
  AreaItem('150202', '东河区', AreaType.area, 'DongHeQu'),
  AreaItem('150203', '昆都仑区', AreaType.area, 'KunDuLunQu'),
  AreaItem('150204', '青山区', AreaType.area, 'QingShanQu'),
  AreaItem('150205', '石拐区', AreaType.area, 'ShiGuaiQu'),
  AreaItem('150206', '白云鄂博矿区', AreaType.area, 'BaiYunEBoKuangQu'),
  AreaItem('150207', '九原区', AreaType.area, 'JiuYuanQu'),
  AreaItem('150221', '土默特右旗', AreaType.area, 'TuMoTeYouQi'),
  AreaItem('150222', '固阳县', AreaType.area, 'GuYangXian'),
  AreaItem('150223', '达尔罕茂明安联合旗', AreaType.area, 'DaErHanMaoMingAnLianHeQi'),
  AreaItem('150302', '海勃湾区', AreaType.area, 'HaiBoWanQu'),
  AreaItem('150303', '海南区', AreaType.area, 'HaiNanQu'),
  AreaItem('150304', '乌达区', AreaType.area, 'WuDaQu'),
  AreaItem('150402', '红山区', AreaType.area, 'HongShanQu'),
  AreaItem('150403', '元宝山区', AreaType.area, 'YuanBaoShanQu'),
  AreaItem('150404', '松山区', AreaType.area, 'SongShanQu'),
  AreaItem('150421', '阿鲁科尔沁旗', AreaType.area, 'ALuKeErQinQi'),
  AreaItem('150422', '巴林左旗', AreaType.area, 'BaLinZuoQi'),
  AreaItem('150423', '巴林右旗', AreaType.area, 'BaLinYouQi'),
  AreaItem('150424', '林西县', AreaType.area, 'LinXiXian'),
  AreaItem('150425', '克什克腾旗', AreaType.area, 'KeShiKeTengQi'),
  AreaItem('150426', '翁牛特旗', AreaType.area, 'WengNiuTeQi'),
  AreaItem('150428', '喀喇沁旗', AreaType.area, 'KaLaQinQi'),
  AreaItem('150429', '宁城县', AreaType.area, 'NingChengXian'),
  AreaItem('150430', '敖汉旗', AreaType.area, 'AoHanQi'),
  AreaItem('150502', '科尔沁区', AreaType.area, 'KeErQinQu'),
  AreaItem('150521', '科尔沁左翼中旗', AreaType.area, 'KeErQinZuoYiZhongQi'),
  AreaItem('150522', '科尔沁左翼后旗', AreaType.area, 'KeErQinZuoYiHouQi'),
  AreaItem('150523', '开鲁县', AreaType.area, 'KaiLuXian'),
  AreaItem('150524', '库伦旗', AreaType.area, 'KuLunQi'),
  AreaItem('150525', '奈曼旗', AreaType.area, 'NaiManQi'),
  AreaItem('150526', '扎鲁特旗', AreaType.area, 'ZaLuTeQi'),
  AreaItem('150581', '霍林郭勒市', AreaType.area, 'HuoLinGuoLeShi'),
  AreaItem('150602', '东胜区', AreaType.area, 'DongShengQu'),
  AreaItem('150603', '康巴什区', AreaType.area, 'KangBaShiQu'),
  AreaItem('150621', '达拉特旗', AreaType.area, 'DaLaTeQi'),
  AreaItem('150622', '准格尔旗', AreaType.area, 'ZhunGeErQi'),
  AreaItem('150623', '鄂托克前旗', AreaType.area, 'ETuoKeQianQi'),
  AreaItem('150624', '鄂托克旗', AreaType.area, 'ETuoKeQi'),
  AreaItem('150625', '杭锦旗', AreaType.area, 'HangJinQi'),
  AreaItem('150626', '乌审旗', AreaType.area, 'WuShenQi'),
  AreaItem('150627', '伊金霍洛旗', AreaType.area, 'YiJinHuoLuoQi'),
  AreaItem('150702', '海拉尔区', AreaType.area, 'HaiLaErQu'),
  AreaItem('150703', '扎赉诺尔区', AreaType.area, 'ZaLaiNuoErQu'),
  AreaItem('150721', '阿荣旗', AreaType.area, 'ARongQi'),
  AreaItem('150722', '莫力达瓦达斡尔族自治旗', AreaType.area, 'MoLiDaWaDaWoErZuZiZhiQi'),
  AreaItem('150723', '鄂伦春自治旗', AreaType.area, 'ELunChunZiZhiQi'),
  AreaItem('150724', '鄂温克族自治旗', AreaType.area, 'EWenKeZuZiZhiQi'),
  AreaItem('150725', '陈巴尔虎旗', AreaType.area, 'ChenBaErHuQi'),
  AreaItem('150726', '新巴尔虎左旗', AreaType.area, 'XinBaErHuZuoQi'),
  AreaItem('150727', '新巴尔虎右旗', AreaType.area, 'XinBaErHuYouQi'),
  AreaItem('150781', '满洲里市', AreaType.area, 'ManZhouLiShi'),
  AreaItem('150782', '牙克石市', AreaType.area, 'YaKeShiShi'),
  AreaItem('150783', '扎兰屯市', AreaType.area, 'ZaLanTunShi'),
  AreaItem('150784', '额尔古纳市', AreaType.area, 'EErGuNaShi'),
  AreaItem('150785', '根河市', AreaType.area, 'GenHeShi'),
  AreaItem('150802', '临河区', AreaType.area, 'LinHeQu'),
  AreaItem('150821', '五原县', AreaType.area, 'WuYuanXian'),
  AreaItem('150822', '磴口县', AreaType.area, 'DengKouXian'),
  AreaItem('150823', '乌拉特前旗', AreaType.area, 'WuLaTeQianQi'),
  AreaItem('150824', '乌拉特中旗', AreaType.area, 'WuLaTeZhongQi'),
  AreaItem('150825', '乌拉特后旗', AreaType.area, 'WuLaTeHouQi'),
  AreaItem('150826', '杭锦后旗', AreaType.area, 'HangJinHouQi'),
  AreaItem('150902', '集宁区', AreaType.area, 'JiNingQu'),
  AreaItem('150921', '卓资县', AreaType.area, 'ZhuoZiXian'),
  AreaItem('150922', '化德县', AreaType.area, 'HuaDeXian'),
  AreaItem('150923', '商都县', AreaType.area, 'ShangDuXian'),
  AreaItem('150924', '兴和县', AreaType.area, 'XingHeXian'),
  AreaItem('150925', '凉城县', AreaType.area, 'LiangChengXian'),
  AreaItem('150926', '察哈尔右翼前旗', AreaType.area, 'ChaHaErYouYiQianQi'),
  AreaItem('150927', '察哈尔右翼中旗', AreaType.area, 'ChaHaErYouYiZhongQi'),
  AreaItem('150928', '察哈尔右翼后旗', AreaType.area, 'ChaHaErYouYiHouQi'),
  AreaItem('150929', '四子王旗', AreaType.area, 'SiZiWangQi'),
  AreaItem('150981', '丰镇市', AreaType.area, 'FengZhenShi'),
  AreaItem('152201', '乌兰浩特市', AreaType.area, 'WuLanHaoTeShi'),
  AreaItem('152202', '阿尔山市', AreaType.area, 'AErShanShi'),
  AreaItem('152221', '科尔沁右翼前旗', AreaType.area, 'KeErQinYouYiQianQi'),
  AreaItem('152222', '科尔沁右翼中旗', AreaType.area, 'KeErQinYouYiZhongQi'),
  AreaItem('152223', '扎赉特旗', AreaType.area, 'ZaLaiTeQi'),
  AreaItem('152224', '突泉县', AreaType.area, 'TuQuanXian'),
  AreaItem('152501', '二连浩特市', AreaType.area, 'ErLianHaoTeShi'),
  AreaItem('152502', '锡林浩特市', AreaType.area, 'XiLinHaoTeShi'),
  AreaItem('152522', '阿巴嘎旗', AreaType.area, 'ABaGaQi'),
  AreaItem('152523', '苏尼特左旗', AreaType.area, 'SuNiTeZuoQi'),
  AreaItem('152524', '苏尼特右旗', AreaType.area, 'SuNiTeYouQi'),
  AreaItem('152525', '东乌珠穆沁旗', AreaType.area, 'DongWuZhuMuQinQi'),
  AreaItem('152526', '西乌珠穆沁旗', AreaType.area, 'XiWuZhuMuQinQi'),
  AreaItem('152527', '太仆寺旗', AreaType.area, 'TaiPuSiQi'),
  AreaItem('152528', '镶黄旗', AreaType.area, 'XiangHuangQi'),
  AreaItem('152529', '正镶白旗', AreaType.area, 'ZhengXiangBaiQi'),
  AreaItem('152530', '正蓝旗', AreaType.area, 'ZhengLanQi'),
  AreaItem('152531', '多伦县', AreaType.area, 'DuoLunXian'),
  AreaItem('152921', '阿拉善左旗', AreaType.area, 'ALaShanZuoQi'),
  AreaItem('152922', '阿拉善右旗', AreaType.area, 'ALaShanYouQi'),
  AreaItem('152923', '额济纳旗', AreaType.area, 'EJiNaQi'),
  AreaItem('210102', '和平区', AreaType.area, 'HePingQu'),
  AreaItem('210103', '沈河区', AreaType.area, 'ShenHeQu'),
  AreaItem('210104', '大东区', AreaType.area, 'DaDongQu'),
  AreaItem('210105', '皇姑区', AreaType.area, 'HuangGuQu'),
  AreaItem('210106', '铁西区', AreaType.area, 'TieXiQu'),
  AreaItem('210111', '苏家屯区', AreaType.area, 'SuJiaTunQu'),
  AreaItem('210112', '浑南区', AreaType.area, 'HunNanQu'),
  AreaItem('210113', '沈北新区', AreaType.area, 'ShenBeiXinQu'),
  AreaItem('210114', '于洪区', AreaType.area, 'YuHongQu'),
  AreaItem('210115', '辽中区', AreaType.area, 'LiaoZhongQu'),
  AreaItem('210123', '康平县', AreaType.area, 'KangPingXian'),
  AreaItem('210124', '法库县', AreaType.area, 'FaKuXian'),
  AreaItem('210181', '新民市', AreaType.area, 'XinMinShi'),
  AreaItem('210202', '中山区', AreaType.area, 'ZhongShanQu'),
  AreaItem('210203', '西岗区', AreaType.area, 'XiGangQu'),
  AreaItem('210204', '沙河口区', AreaType.area, 'ShaHeKouQu'),
  AreaItem('210211', '甘井子区', AreaType.area, 'GanJingZiQu'),
  AreaItem('210212', '旅顺口区', AreaType.area, 'LvShunKouQu'),
  AreaItem('210213', '金州区', AreaType.area, 'JinZhouQu'),
  AreaItem('210214', '普兰店区', AreaType.area, 'PuLanDianQu'),
  AreaItem('210224', '长海县', AreaType.area, 'ChangHaiXian'),
  AreaItem('210281', '瓦房店市', AreaType.area, 'WaFangDianShi'),
  AreaItem('210283', '庄河市', AreaType.area, 'ZhuangHeShi'),
  AreaItem('210302', '铁东区', AreaType.area, 'TieDongQu'),
  AreaItem('210303', '铁西区', AreaType.area, 'TieXiQu'),
  AreaItem('210304', '立山区', AreaType.area, 'LiShanQu'),
  AreaItem('210311', '千山区', AreaType.area, 'QianShanQu'),
  AreaItem('210321', '台安县', AreaType.area, 'TaiAnXian'),
  AreaItem('210323', '岫岩满族自治县', AreaType.area, 'XiuYanManZuZiZhiXian'),
  AreaItem('210381', '海城市', AreaType.area, 'HaiChengShi'),
  AreaItem('210402', '新抚区', AreaType.area, 'XinFuQu'),
  AreaItem('210403', '东洲区', AreaType.area, 'DongZhouQu'),
  AreaItem('210404', '望花区', AreaType.area, 'WangHuaQu'),
  AreaItem('210411', '顺城区', AreaType.area, 'ShunChengQu'),
  AreaItem('210421', '抚顺县', AreaType.area, 'FuShunXian'),
  AreaItem('210422', '新宾满族自治县', AreaType.area, 'XinBinManZuZiZhiXian'),
  AreaItem('210423', '清原满族自治县', AreaType.area, 'QingYuanManZuZiZhiXian'),
  AreaItem('210502', '平山区', AreaType.area, 'PingShanQu'),
  AreaItem('210503', '溪湖区', AreaType.area, 'XiHuQu'),
  AreaItem('210504', '明山区', AreaType.area, 'MingShanQu'),
  AreaItem('210505', '南芬区', AreaType.area, 'NanFenQu'),
  AreaItem('210521', '本溪满族自治县', AreaType.area, 'BenXiManZuZiZhiXian'),
  AreaItem('210522', '桓仁满族自治县', AreaType.area, 'HuanRenManZuZiZhiXian'),
  AreaItem('210602', '元宝区', AreaType.area, 'YuanBaoQu'),
  AreaItem('210603', '振兴区', AreaType.area, 'ZhenXingQu'),
  AreaItem('210604', '振安区', AreaType.area, 'ZhenAnQu'),
  AreaItem('210624', '宽甸满族自治县', AreaType.area, 'KuanDianManZuZiZhiXian'),
  AreaItem('210681', '东港市', AreaType.area, 'DongGangShi'),
  AreaItem('210682', '凤城市', AreaType.area, 'FengChengShi'),
  AreaItem('210702', '古塔区', AreaType.area, 'GuTaQu'),
  AreaItem('210703', '凌河区', AreaType.area, 'LingHeQu'),
  AreaItem('210711', '太和区', AreaType.area, 'TaiHeQu'),
  AreaItem('210726', '黑山县', AreaType.area, 'HeiShanXian'),
  AreaItem('210727', '义县', AreaType.area, 'YiXian'),
  AreaItem('210781', '凌海市', AreaType.area, 'LingHaiShi'),
  AreaItem('210782', '北镇市', AreaType.area, 'BeiZhenShi'),
  AreaItem('210802', '站前区', AreaType.area, 'ZhanQianQu'),
  AreaItem('210803', '西市区', AreaType.area, 'XiShiQu'),
  AreaItem('210804', '鲅鱼圈区', AreaType.area, 'BaYuQuanQu'),
  AreaItem('210811', '老边区', AreaType.area, 'LaoBianQu'),
  AreaItem('210881', '盖州市', AreaType.area, 'GaiZhouShi'),
  AreaItem('210882', '大石桥市', AreaType.area, 'DaShiQiaoShi'),
  AreaItem('210902', '海州区', AreaType.area, 'HaiZhouQu'),
  AreaItem('210903', '新邱区', AreaType.area, 'XinQiuQu'),
  AreaItem('210904', '太平区', AreaType.area, 'TaiPingQu'),
  AreaItem('210905', '清河门区', AreaType.area, 'QingHeMenQu'),
  AreaItem('210911', '细河区', AreaType.area, 'XiHeQu'),
  AreaItem('210921', '阜新蒙古族自治县', AreaType.area, 'FuXinMengGuZuZiZhiXian'),
  AreaItem('210922', '彰武县', AreaType.area, 'ZhangWuXian'),
  AreaItem('211002', '白塔区', AreaType.area, 'BaiTaQu'),
  AreaItem('211003', '文圣区', AreaType.area, 'WenShengQu'),
  AreaItem('211004', '宏伟区', AreaType.area, 'HongWeiQu'),
  AreaItem('211005', '弓长岭区', AreaType.area, 'GongChangLingQu'),
  AreaItem('211011', '太子河区', AreaType.area, 'TaiZiHeQu'),
  AreaItem('211021', '辽阳县', AreaType.area, 'LiaoYangXian'),
  AreaItem('211081', '灯塔市', AreaType.area, 'DengTaShi'),
  AreaItem('211102', '双台子区', AreaType.area, 'ShuangTaiZiQu'),
  AreaItem('211103', '兴隆台区', AreaType.area, 'XingLongTaiQu'),
  AreaItem('211104', '大洼区', AreaType.area, 'DaWaQu'),
  AreaItem('211122', '盘山县', AreaType.area, 'PanShanXian'),
  AreaItem('211202', '银州区', AreaType.area, 'YinZhouQu'),
  AreaItem('211204', '清河区', AreaType.area, 'QingHeQu'),
  AreaItem('211221', '铁岭县', AreaType.area, 'TieLingXian'),
  AreaItem('211223', '西丰县', AreaType.area, 'XiFengXian'),
  AreaItem('211224', '昌图县', AreaType.area, 'ChangTuXian'),
  AreaItem('211281', '调兵山市', AreaType.area, 'TiaoBingShanShi'),
  AreaItem('211282', '开原市', AreaType.area, 'KaiYuanShi'),
  AreaItem('211302', '双塔区', AreaType.area, 'ShuangTaQu'),
  AreaItem('211303', '龙城区', AreaType.area, 'LongChengQu'),
  AreaItem('211321', '朝阳县', AreaType.area, 'ZhaoYangXian'),
  AreaItem('211322', '建平县', AreaType.area, 'JianPingXian'),
  AreaItem('211324', '喀喇沁左翼蒙古族自治县', AreaType.area, 'KaLaQinZuoYiMengGuZuZiZhiXian'),
  AreaItem('211381', '北票市', AreaType.area, 'BeiPiaoShi'),
  AreaItem('211382', '凌源市', AreaType.area, 'LingYuanShi'),
  AreaItem('211402', '连山区', AreaType.area, 'LianShanQu'),
  AreaItem('211403', '龙港区', AreaType.area, 'LongGangQu'),
  AreaItem('211404', '南票区', AreaType.area, 'NanPiaoQu'),
  AreaItem('211421', '绥中县', AreaType.area, 'SuiZhongXian'),
  AreaItem('211422', '建昌县', AreaType.area, 'JianChangXian'),
  AreaItem('211481', '兴城市', AreaType.area, 'XingChengShi'),
  AreaItem('220102', '南关区', AreaType.area, 'NanGuanQu'),
  AreaItem('220103', '宽城区', AreaType.area, 'KuanChengQu'),
  AreaItem('220104', '朝阳区', AreaType.area, 'ZhaoYangQu'),
  AreaItem('220105', '二道区', AreaType.area, 'ErDaoQu'),
  AreaItem('220106', '绿园区', AreaType.area, 'LvYuanQu'),
  AreaItem('220112', '双阳区', AreaType.area, 'ShuangYangQu'),
  AreaItem('220113', '九台区', AreaType.area, 'JiuTaiQu'),
  AreaItem('220122', '农安县', AreaType.area, 'NongAnXian'),
  AreaItem('220182', '榆树市', AreaType.area, 'YuShuShi'),
  AreaItem('220183', '德惠市', AreaType.area, 'DeHuiShi'),
  AreaItem('220202', '昌邑区', AreaType.area, 'ChangYiQu'),
  AreaItem('220203', '龙潭区', AreaType.area, 'LongTanQu'),
  AreaItem('220204', '船营区', AreaType.area, 'ChuanYingQu'),
  AreaItem('220211', '丰满区', AreaType.area, 'FengManQu'),
  AreaItem('220221', '永吉县', AreaType.area, 'YongJiXian'),
  AreaItem('220281', '蛟河市', AreaType.area, 'JiaoHeShi'),
  AreaItem('220282', '桦甸市', AreaType.area, 'HuaDianShi'),
  AreaItem('220283', '舒兰市', AreaType.area, 'ShuLanShi'),
  AreaItem('220284', '磐石市', AreaType.area, 'PanShiShi'),
  AreaItem('220302', '铁西区', AreaType.area, 'TieXiQu'),
  AreaItem('220303', '铁东区', AreaType.area, 'TieDongQu'),
  AreaItem('220322', '梨树县', AreaType.area, 'LiShuXian'),
  AreaItem('220323', '伊通满族自治县', AreaType.area, 'YiTongManZuZiZhiXian'),
  AreaItem('220381', '公主岭市', AreaType.area, 'GongZhuLingShi'),
  AreaItem('220382', '双辽市', AreaType.area, 'ShuangLiaoShi'),
  AreaItem('220402', '龙山区', AreaType.area, 'LongShanQu'),
  AreaItem('220403', '西安区', AreaType.area, 'XiAnQu'),
  AreaItem('220421', '东丰县', AreaType.area, 'DongFengXian'),
  AreaItem('220422', '东辽县', AreaType.area, 'DongLiaoXian'),
  AreaItem('220502', '东昌区', AreaType.area, 'DongChangQu'),
  AreaItem('220503', '二道江区', AreaType.area, 'ErDaoJiangQu'),
  AreaItem('220521', '通化县', AreaType.area, 'TongHuaXian'),
  AreaItem('220523', '辉南县', AreaType.area, 'HuiNanXian'),
  AreaItem('220524', '柳河县', AreaType.area, 'LiuHeXian'),
  AreaItem('220581', '梅河口市', AreaType.area, 'MeiHeKouShi'),
  AreaItem('220582', '集安市', AreaType.area, 'JiAnShi'),
  AreaItem('220602', '浑江区', AreaType.area, 'HunJiangQu'),
  AreaItem('220605', '江源区', AreaType.area, 'JiangYuanQu'),
  AreaItem('220621', '抚松县', AreaType.area, 'FuSongXian'),
  AreaItem('220622', '靖宇县', AreaType.area, 'JingYuXian'),
  AreaItem('220623', '长白朝鲜族自治县', AreaType.area, 'ChangBaiZhaoXianZuZiZhiXian'),
  AreaItem('220681', '临江市', AreaType.area, 'LinJiangShi'),
  AreaItem('220702', '宁江区', AreaType.area, 'NingJiangQu'),
  AreaItem('220721', '前郭尔罗斯蒙古族自治县', AreaType.area, 'QianGuoErLuoSiMengGuZuZiZhiXian'),
  AreaItem('220722', '长岭县', AreaType.area, 'ChangLingXian'),
  AreaItem('220723', '乾安县', AreaType.area, 'QianAnXian'),
  AreaItem('220781', '扶余市', AreaType.area, 'FuYuShi'),
  AreaItem('220802', '洮北区', AreaType.area, 'TaoBeiQu'),
  AreaItem('220821', '镇赉县', AreaType.area, 'ZhenLaiXian'),
  AreaItem('220822', '通榆县', AreaType.area, 'TongYuXian'),
  AreaItem('220881', '洮南市', AreaType.area, 'TaoNanShi'),
  AreaItem('220882', '大安市', AreaType.area, 'DaAnShi'),
  AreaItem('222401', '延吉市', AreaType.area, 'YanJiShi'),
  AreaItem('222402', '图们市', AreaType.area, 'TuMenShi'),
  AreaItem('222403', '敦化市', AreaType.area, 'DunHuaShi'),
  AreaItem('222404', '珲春市', AreaType.area, 'HunChunShi'),
  AreaItem('222405', '龙井市', AreaType.area, 'LongJingShi'),
  AreaItem('222406', '和龙市', AreaType.area, 'HeLongShi'),
  AreaItem('222424', '汪清县', AreaType.area, 'WangQingXian'),
  AreaItem('222426', '安图县', AreaType.area, 'AnTuXian'),
  AreaItem('230102', '道里区', AreaType.area, 'DaoLiQu'),
  AreaItem('230103', '南岗区', AreaType.area, 'NanGangQu'),
  AreaItem('230104', '道外区', AreaType.area, 'DaoWaiQu'),
  AreaItem('230108', '平房区', AreaType.area, 'PingFangQu'),
  AreaItem('230109', '松北区', AreaType.area, 'SongBeiQu'),
  AreaItem('230110', '香坊区', AreaType.area, 'XiangFangQu'),
  AreaItem('230111', '呼兰区', AreaType.area, 'HuLanQu'),
  AreaItem('230112', '阿城区', AreaType.area, 'AChengQu'),
  AreaItem('230113', '双城区', AreaType.area, 'ShuangChengQu'),
  AreaItem('230123', '依兰县', AreaType.area, 'YiLanXian'),
  AreaItem('230124', '方正县', AreaType.area, 'FangZhengXian'),
  AreaItem('230125', '宾县', AreaType.area, 'BinXian'),
  AreaItem('230126', '巴彦县', AreaType.area, 'BaYanXian'),
  AreaItem('230127', '木兰县', AreaType.area, 'MuLanXian'),
  AreaItem('230128', '通河县', AreaType.area, 'TongHeXian'),
  AreaItem('230129', '延寿县', AreaType.area, 'YanShouXian'),
  AreaItem('230183', '尚志市', AreaType.area, 'ShangZhiShi'),
  AreaItem('230184', '五常市', AreaType.area, 'WuChangShi'),
  AreaItem('230202', '龙沙区', AreaType.area, 'LongShaQu'),
  AreaItem('230203', '建华区', AreaType.area, 'JianHuaQu'),
  AreaItem('230204', '铁锋区', AreaType.area, 'TieFengQu'),
  AreaItem('230205', '昂昂溪区', AreaType.area, 'AngAngXiQu'),
  AreaItem('230206', '富拉尔基区', AreaType.area, 'FuLaErJiQu'),
  AreaItem('230207', '碾子山区', AreaType.area, 'NianZiShanQu'),
  AreaItem('230208', '梅里斯达斡尔族区', AreaType.area, 'MeiLiSiDaWoErZuQu'),
  AreaItem('230221', '龙江县', AreaType.area, 'LongJiangXian'),
  AreaItem('230223', '依安县', AreaType.area, 'YiAnXian'),
  AreaItem('230224', '泰来县', AreaType.area, 'TaiLaiXian'),
  AreaItem('230225', '甘南县', AreaType.area, 'GanNanXian'),
  AreaItem('230227', '富裕县', AreaType.area, 'FuYuXian'),
  AreaItem('230229', '克山县', AreaType.area, 'KeShanXian'),
  AreaItem('230230', '克东县', AreaType.area, 'KeDongXian'),
  AreaItem('230231', '拜泉县', AreaType.area, 'BaiQuanXian'),
  AreaItem('230281', '讷河市', AreaType.area, 'NeHeShi'),
  AreaItem('230302', '鸡冠区', AreaType.area, 'JiGuanQu'),
  AreaItem('230303', '恒山区', AreaType.area, 'HengShanQu'),
  AreaItem('230304', '滴道区', AreaType.area, 'DiDaoQu'),
  AreaItem('230305', '梨树区', AreaType.area, 'LiShuQu'),
  AreaItem('230306', '城子河区', AreaType.area, 'ChengZiHeQu'),
  AreaItem('230307', '麻山区', AreaType.area, 'MaShanQu'),
  AreaItem('230321', '鸡东县', AreaType.area, 'JiDongXian'),
  AreaItem('230381', '虎林市', AreaType.area, 'HuLinShi'),
  AreaItem('230382', '密山市', AreaType.area, 'MiShanShi'),
  AreaItem('230402', '向阳区', AreaType.area, 'XiangYangQu'),
  AreaItem('230403', '工农区', AreaType.area, 'GongNongQu'),
  AreaItem('230404', '南山区', AreaType.area, 'NanShanQu'),
  AreaItem('230405', '兴安区', AreaType.area, 'XingAnQu'),
  AreaItem('230406', '东山区', AreaType.area, 'DongShanQu'),
  AreaItem('230407', '兴山区', AreaType.area, 'XingShanQu'),
  AreaItem('230421', '萝北县', AreaType.area, 'LuoBeiXian'),
  AreaItem('230422', '绥滨县', AreaType.area, 'SuiBinXian'),
  AreaItem('230502', '尖山区', AreaType.area, 'JianShanQu'),
  AreaItem('230503', '岭东区', AreaType.area, 'LingDongQu'),
  AreaItem('230505', '四方台区', AreaType.area, 'SiFangTaiQu'),
  AreaItem('230506', '宝山区', AreaType.area, 'BaoShanQu'),
  AreaItem('230521', '集贤县', AreaType.area, 'JiXianXian'),
  AreaItem('230522', '友谊县', AreaType.area, 'YouYiXian'),
  AreaItem('230523', '宝清县', AreaType.area, 'BaoQingXian'),
  AreaItem('230524', '饶河县', AreaType.area, 'RaoHeXian'),
  AreaItem('230602', '萨尔图区', AreaType.area, 'SaErTuQu'),
  AreaItem('230603', '龙凤区', AreaType.area, 'LongFengQu'),
  AreaItem('230604', '让胡路区', AreaType.area, 'RangHuLuQu'),
  AreaItem('230605', '红岗区', AreaType.area, 'HongGangQu'),
  AreaItem('230606', '大同区', AreaType.area, 'DaTongQu'),
  AreaItem('230621', '肇州县', AreaType.area, 'ZhaoZhouXian'),
  AreaItem('230622', '肇源县', AreaType.area, 'ZhaoYuanXian'),
  AreaItem('230623', '林甸县', AreaType.area, 'LinDianXian'),
  AreaItem('230624', '杜尔伯特蒙古族自治县', AreaType.area, 'DuErBoTeMengGuZuZiZhiXian'),
  AreaItem('230702', '伊春区', AreaType.area, 'YiChunQu'),
  AreaItem('230703', '南岔区', AreaType.area, 'NanChaQu'),
  AreaItem('230704', '友好区', AreaType.area, 'YouHaoQu'),
  AreaItem('230705', '西林区', AreaType.area, 'XiLinQu'),
  AreaItem('230706', '翠峦区', AreaType.area, 'CuiLuanQu'),
  AreaItem('230707', '新青区', AreaType.area, 'XinQingQu'),
  AreaItem('230708', '美溪区', AreaType.area, 'MeiXiQu'),
  AreaItem('230709', '金山屯区', AreaType.area, 'JinShanTunQu'),
  AreaItem('230710', '五营区', AreaType.area, 'WuYingQu'),
  AreaItem('230711', '乌马河区', AreaType.area, 'WuMaHeQu'),
  AreaItem('230712', '汤旺河区', AreaType.area, 'TangWangHeQu'),
  AreaItem('230713', '带岭区', AreaType.area, 'DaiLingQu'),
  AreaItem('230714', '乌伊岭区', AreaType.area, 'WuYiLingQu'),
  AreaItem('230715', '红星区', AreaType.area, 'HongXingQu'),
  AreaItem('230716', '上甘岭区', AreaType.area, 'ShangGanLingQu'),
  AreaItem('230722', '嘉荫县', AreaType.area, 'JiaYinXian'),
  AreaItem('230781', '铁力市', AreaType.area, 'TieLiShi'),
  AreaItem('230803', '向阳区', AreaType.area, 'XiangYangQu'),
  AreaItem('230804', '前进区', AreaType.area, 'QianJinQu'),
  AreaItem('230805', '东风区', AreaType.area, 'DongFengQu'),
  AreaItem('230811', '郊区', AreaType.area, 'JiaoQu'),
  AreaItem('230822', '桦南县', AreaType.area, 'HuaNanXian'),
  AreaItem('230826', '桦川县', AreaType.area, 'HuaChuanXian'),
  AreaItem('230828', '汤原县', AreaType.area, 'TangYuanXian'),
  AreaItem('230881', '同江市', AreaType.area, 'TongJiangShi'),
  AreaItem('230882', '富锦市', AreaType.area, 'FuJinShi'),
  AreaItem('230883', '抚远市', AreaType.area, 'FuYuanShi'),
  AreaItem('230902', '新兴区', AreaType.area, 'XinXingQu'),
  AreaItem('230903', '桃山区', AreaType.area, 'TaoShanQu'),
  AreaItem('230904', '茄子河区', AreaType.area, 'QieZiHeQu'),
  AreaItem('230921', '勃利县', AreaType.area, 'BoLiXian'),
  AreaItem('231002', '东安区', AreaType.area, 'DongAnQu'),
  AreaItem('231003', '阳明区', AreaType.area, 'YangMingQu'),
  AreaItem('231004', '爱民区', AreaType.area, 'AiMinQu'),
  AreaItem('231005', '西安区', AreaType.area, 'XiAnQu'),
  AreaItem('231025', '林口县', AreaType.area, 'LinKouXian'),
  AreaItem('231081', '绥芬河市', AreaType.area, 'SuiFenHeShi'),
  AreaItem('231083', '海林市', AreaType.area, 'HaiLinShi'),
  AreaItem('231084', '宁安市', AreaType.area, 'NingAnShi'),
  AreaItem('231085', '穆棱市', AreaType.area, 'MuLengShi'),
  AreaItem('231086', '东宁市', AreaType.area, 'DongNingShi'),
  AreaItem('231102', '爱辉区', AreaType.area, 'AiHuiQu'),
  AreaItem('231121', '嫩江县', AreaType.area, 'NenJiangXian'),
  AreaItem('231123', '逊克县', AreaType.area, 'XunKeXian'),
  AreaItem('231124', '孙吴县', AreaType.area, 'SunWuXian'),
  AreaItem('231181', '北安市', AreaType.area, 'BeiAnShi'),
  AreaItem('231182', '五大连池市', AreaType.area, 'WuDaLianChiShi'),
  AreaItem('231202', '北林区', AreaType.area, 'BeiLinQu'),
  AreaItem('231221', '望奎县', AreaType.area, 'WangKuiXian'),
  AreaItem('231222', '兰西县', AreaType.area, 'LanXiXian'),
  AreaItem('231223', '青冈县', AreaType.area, 'QingGangXian'),
  AreaItem('231224', '庆安县', AreaType.area, 'QingAnXian'),
  AreaItem('231225', '明水县', AreaType.area, 'MingShuiXian'),
  AreaItem('231226', '绥棱县', AreaType.area, 'SuiLengXian'),
  AreaItem('231281', '安达市', AreaType.area, 'AnDaShi'),
  AreaItem('231282', '肇东市', AreaType.area, 'ZhaoDongShi'),
  AreaItem('231283', '海伦市', AreaType.area, 'HaiLunShi'),
  AreaItem('232701', '加格达奇区', AreaType.area, 'JiaGeDaQiQu'),
  AreaItem('232702', '松岭区', AreaType.area, 'SongLingQu'),
  AreaItem('232703', '新林区', AreaType.area, 'XinLinQu'),
  AreaItem('232704', '呼中区', AreaType.area, 'HuZhongQu'),
  AreaItem('232721', '呼玛县', AreaType.area, 'HuMaXian'),
  AreaItem('232722', '塔河县', AreaType.area, 'TaHeXian'),
  AreaItem('232723', '漠河县', AreaType.area, 'MoHeXian'),
  AreaItem('310101', '黄浦区', AreaType.area, 'HuangPuQu'),
  AreaItem('310104', '徐汇区', AreaType.area, 'XuHuiQu'),
  AreaItem('310105', '长宁区', AreaType.area, 'ChangNingQu'),
  AreaItem('310106', '静安区', AreaType.area, 'JingAnQu'),
  AreaItem('310107', '普陀区', AreaType.area, 'PuTuoQu'),
  AreaItem('310109', '虹口区', AreaType.area, 'HongKouQu'),
  AreaItem('310110', '杨浦区', AreaType.area, 'YangPuQu'),
  AreaItem('310112', '闵行区', AreaType.area, 'MinHangQu'),
  AreaItem('310113', '宝山区', AreaType.area, 'BaoShanQu'),
  AreaItem('310114', '嘉定区', AreaType.area, 'JiaDingQu'),
  AreaItem('310115', '浦东新区', AreaType.area, 'PuDongXinQu'),
  AreaItem('310116', '金山区', AreaType.area, 'JinShanQu'),
  AreaItem('310117', '松江区', AreaType.area, 'SongJiangQu'),
  AreaItem('310118', '青浦区', AreaType.area, 'QingPuQu'),
  AreaItem('310120', '奉贤区', AreaType.area, 'FengXianQu'),
  AreaItem('310151', '崇明区', AreaType.area, 'ChongMingQu'),
  AreaItem('320102', '玄武区', AreaType.area, 'XuanWuQu'),
  AreaItem('320104', '秦淮区', AreaType.area, 'QinHuaiQu'),
  AreaItem('320105', '建邺区', AreaType.area, 'JianYeQu'),
  AreaItem('320106', '鼓楼区', AreaType.area, 'GuLouQu'),
  AreaItem('320111', '浦口区', AreaType.area, 'PuKouQu'),
  AreaItem('320113', '栖霞区', AreaType.area, 'QiXiaQu'),
  AreaItem('320114', '雨花台区', AreaType.area, 'YuHuaTaiQu'),
  AreaItem('320115', '江宁区', AreaType.area, 'JiangNingQu'),
  AreaItem('320116', '六合区', AreaType.area, 'LiuHeQu'),
  AreaItem('320117', '溧水区', AreaType.area, 'LiShuiQu'),
  AreaItem('320118', '高淳区', AreaType.area, 'GaoChunQu'),
  AreaItem('320205', '锡山区', AreaType.area, 'XiShanQu'),
  AreaItem('320206', '惠山区', AreaType.area, 'HuiShanQu'),
  AreaItem('320211', '滨湖区', AreaType.area, 'BinHuQu'),
  AreaItem('320213', '梁溪区', AreaType.area, 'LiangXiQu'),
  AreaItem('320214', '新吴区', AreaType.area, 'XinWuQu'),
  AreaItem('320281', '江阴市', AreaType.area, 'JiangYinShi'),
  AreaItem('320282', '宜兴市', AreaType.area, 'YiXingShi'),
  AreaItem('320302', '鼓楼区', AreaType.area, 'GuLouQu'),
  AreaItem('320303', '云龙区', AreaType.area, 'YunLongQu'),
  AreaItem('320305', '贾汪区', AreaType.area, 'JiaWangQu'),
  AreaItem('320311', '泉山区', AreaType.area, 'QuanShanQu'),
  AreaItem('320312', '铜山区', AreaType.area, 'TongShanQu'),
  AreaItem('320321', '丰县', AreaType.area, 'FengXian'),
  AreaItem('320322', '沛县', AreaType.area, 'PeiXian'),
  AreaItem('320324', '睢宁县', AreaType.area, 'HuiNingXian'),
  AreaItem('320381', '新沂市', AreaType.area, 'XinYiShi'),
  AreaItem('320382', '邳州市', AreaType.area, 'PiZhouShi'),
  AreaItem('320402', '天宁区', AreaType.area, 'TianNingQu'),
  AreaItem('320404', '钟楼区', AreaType.area, 'ZhongLouQu'),
  AreaItem('320411', '新北区', AreaType.area, 'XinBeiQu'),
  AreaItem('320412', '武进区', AreaType.area, 'WuJinQu'),
  AreaItem('320413', '金坛区', AreaType.area, 'JinTanQu'),
  AreaItem('320481', '溧阳市', AreaType.area, 'LiYangShi'),
  AreaItem('320505', '虎丘区', AreaType.area, 'HuQiuQu'),
  AreaItem('320506', '吴中区', AreaType.area, 'WuZhongQu'),
  AreaItem('320507', '相城区', AreaType.area, 'XiangChengQu'),
  AreaItem('320508', '姑苏区', AreaType.area, 'GuSuQu'),
  AreaItem('320509', '吴江区', AreaType.area, 'WuJiangQu'),
  AreaItem('320581', '常熟市', AreaType.area, 'ChangShuShi'),
  AreaItem('320582', '张家港市', AreaType.area, 'ZhangJiaGangShi'),
  AreaItem('320583', '昆山市', AreaType.area, 'KunShanShi'),
  AreaItem('320585', '太仓市', AreaType.area, 'TaiCangShi'),
  AreaItem('320602', '崇川区', AreaType.area, 'ChongChuanQu'),
  AreaItem('320611', '港闸区', AreaType.area, 'GangZhaQu'),
  AreaItem('320612', '通州区', AreaType.area, 'TongZhouQu'),
  AreaItem('320621', '海安县', AreaType.area, 'HaiAnXian'),
  AreaItem('320623', '如东县', AreaType.area, 'RuDongXian'),
  AreaItem('320681', '启东市', AreaType.area, 'QiDongShi'),
  AreaItem('320682', '如皋市', AreaType.area, 'RuGaoShi'),
  AreaItem('320684', '海门市', AreaType.area, 'HaiMenShi'),
  AreaItem('320703', '连云区', AreaType.area, 'LianYunQu'),
  AreaItem('320706', '海州区', AreaType.area, 'HaiZhouQu'),
  AreaItem('320707', '赣榆区', AreaType.area, 'GanYuQu'),
  AreaItem('320722', '东海县', AreaType.area, 'DongHaiXian'),
  AreaItem('320723', '灌云县', AreaType.area, 'GuanYunXian'),
  AreaItem('320724', '灌南县', AreaType.area, 'GuanNanXian'),
  AreaItem('320803', '淮安区', AreaType.area, 'HuaiAnQu'),
  AreaItem('320804', '淮阴区', AreaType.area, 'HuaiYinQu'),
  AreaItem('320812', '清江浦区', AreaType.area, 'QingJiangPuQu'),
  AreaItem('320813', '洪泽区', AreaType.area, 'HongZeQu'),
  AreaItem('320826', '涟水县', AreaType.area, 'LianShuiXian'),
  AreaItem('320830', '盱眙县', AreaType.area, 'XuYiXian'),
  AreaItem('320831', '金湖县', AreaType.area, 'JinHuXian'),
  AreaItem('320902', '亭湖区', AreaType.area, 'TingHuQu'),
  AreaItem('320903', '盐都区', AreaType.area, 'YanDuQu'),
  AreaItem('320904', '大丰区', AreaType.area, 'DaFengQu'),
  AreaItem('320921', '响水县', AreaType.area, 'XiangShuiXian'),
  AreaItem('320922', '滨海县', AreaType.area, 'BinHaiXian'),
  AreaItem('320923', '阜宁县', AreaType.area, 'FuNingXian'),
  AreaItem('320924', '射阳县', AreaType.area, 'SheYangXian'),
  AreaItem('320925', '建湖县', AreaType.area, 'JianHuXian'),
  AreaItem('320981', '东台市', AreaType.area, 'DongTaiShi'),
  AreaItem('321002', '广陵区', AreaType.area, 'GuangLingQu'),
  AreaItem('321003', '邗江区', AreaType.area, 'HanJiangQu'),
  AreaItem('321012', '江都区', AreaType.area, 'JiangDuQu'),
  AreaItem('321023', '宝应县', AreaType.area, 'BaoYingXian'),
  AreaItem('321081', '仪征市', AreaType.area, 'YiZhengShi'),
  AreaItem('321084', '高邮市', AreaType.area, 'GaoYouShi'),
  AreaItem('321102', '京口区', AreaType.area, 'JingKouQu'),
  AreaItem('321111', '润州区', AreaType.area, 'RunZhouQu'),
  AreaItem('321112', '丹徒区', AreaType.area, 'DanTuQu'),
  AreaItem('321181', '丹阳市', AreaType.area, 'DanYangShi'),
  AreaItem('321182', '扬中市', AreaType.area, 'YangZhongShi'),
  AreaItem('321183', '句容市', AreaType.area, 'JuRongShi'),
  AreaItem('321202', '海陵区', AreaType.area, 'HaiLingQu'),
  AreaItem('321203', '高港区', AreaType.area, 'GaoGangQu'),
  AreaItem('321204', '姜堰区', AreaType.area, 'JiangYanQu'),
  AreaItem('321281', '兴化市', AreaType.area, 'XingHuaShi'),
  AreaItem('321282', '靖江市', AreaType.area, 'JingJiangShi'),
  AreaItem('321283', '泰兴市', AreaType.area, 'TaiXingShi'),
  AreaItem('321302', '宿城区', AreaType.area, 'SuChengQu'),
  AreaItem('321311', '宿豫区', AreaType.area, 'SuYuQu'),
  AreaItem('321322', '沭阳县', AreaType.area, 'ShuYangXian'),
  AreaItem('321323', '泗阳县', AreaType.area, 'SiYangXian'),
  AreaItem('321324', '泗洪县', AreaType.area, 'SiHongXian'),
  AreaItem('330102', '上城区', AreaType.area, 'ShangChengQu'),
  AreaItem('330103', '下城区', AreaType.area, 'XiaChengQu'),
  AreaItem('330104', '江干区', AreaType.area, 'JiangGanQu'),
  AreaItem('330105', '拱墅区', AreaType.area, 'GongShuQu'),
  AreaItem('330106', '西湖区', AreaType.area, 'XiHuQu'),
  AreaItem('330108', '滨江区', AreaType.area, 'BinJiangQu'),
  AreaItem('330109', '萧山区', AreaType.area, 'XiaoShanQu'),
  AreaItem('330110', '余杭区', AreaType.area, 'YuHangQu'),
  AreaItem('330111', '富阳区', AreaType.area, 'FuYangQu'),
  AreaItem('330112', '临安区', AreaType.area, 'LinAnQu'),
  AreaItem('330122', '桐庐县', AreaType.area, 'TongLuXian'),
  AreaItem('330127', '淳安县', AreaType.area, 'ChunAnXian'),
  AreaItem('330182', '建德市', AreaType.area, 'JianDeShi'),
  AreaItem('330203', '海曙区', AreaType.area, 'HaiShuQu'),
  AreaItem('330205', '江北区', AreaType.area, 'JiangBeiQu'),
  AreaItem('330206', '北仑区', AreaType.area, 'BeiLunQu'),
  AreaItem('330211', '镇海区', AreaType.area, 'ZhenHaiQu'),
  AreaItem('330212', '鄞州区', AreaType.area, 'YinZhouQu'),
  AreaItem('330213', '奉化区', AreaType.area, 'FengHuaQu'),
  AreaItem('330225', '象山县', AreaType.area, 'XiangShanXian'),
  AreaItem('330226', '宁海县', AreaType.area, 'NingHaiXian'),
  AreaItem('330281', '余姚市', AreaType.area, 'YuYaoShi'),
  AreaItem('330282', '慈溪市', AreaType.area, 'CiXiShi'),
  AreaItem('330302', '鹿城区', AreaType.area, 'LuChengQu'),
  AreaItem('330303', '龙湾区', AreaType.area, 'LongWanQu'),
  AreaItem('330304', '瓯海区', AreaType.area, 'OuHaiQu'),
  AreaItem('330305', '洞头区', AreaType.area, 'DongTouQu'),
  AreaItem('330324', '永嘉县', AreaType.area, 'YongJiaXian'),
  AreaItem('330326', '平阳县', AreaType.area, 'PingYangXian'),
  AreaItem('330327', '苍南县', AreaType.area, 'CangNanXian'),
  AreaItem('330328', '文成县', AreaType.area, 'WenChengXian'),
  AreaItem('330329', '泰顺县', AreaType.area, 'TaiShunXian'),
  AreaItem('330381', '瑞安市', AreaType.area, 'RuiAnShi'),
  AreaItem('330382', '乐清市', AreaType.area, 'LeQingShi'),
  AreaItem('330402', '南湖区', AreaType.area, 'NanHuQu'),
  AreaItem('330411', '秀洲区', AreaType.area, 'XiuZhouQu'),
  AreaItem('330421', '嘉善县', AreaType.area, 'JiaShanXian'),
  AreaItem('330424', '海盐县', AreaType.area, 'HaiYanXian'),
  AreaItem('330481', '海宁市', AreaType.area, 'HaiNingShi'),
  AreaItem('330482', '平湖市', AreaType.area, 'PingHuShi'),
  AreaItem('330483', '桐乡市', AreaType.area, 'TongXiangShi'),
  AreaItem('330502', '吴兴区', AreaType.area, 'WuXingQu'),
  AreaItem('330503', '南浔区', AreaType.area, 'NanXunQu'),
  AreaItem('330521', '德清县', AreaType.area, 'DeQingXian'),
  AreaItem('330522', '长兴县', AreaType.area, 'ChangXingXian'),
  AreaItem('330523', '安吉县', AreaType.area, 'AnJiXian'),
  AreaItem('330602', '越城区', AreaType.area, 'YueChengQu'),
  AreaItem('330603', '柯桥区', AreaType.area, 'KeQiaoQu'),
  AreaItem('330604', '上虞区', AreaType.area, 'ShangYuQu'),
  AreaItem('330624', '新昌县', AreaType.area, 'XinChangXian'),
  AreaItem('330681', '诸暨市', AreaType.area, 'ZhuJiShi'),
  AreaItem('330683', '嵊州市', AreaType.area, 'ShengZhouShi'),
  AreaItem('330702', '婺城区', AreaType.area, 'WuChengQu'),
  AreaItem('330703', '金东区', AreaType.area, 'JinDongQu'),
  AreaItem('330723', '武义县', AreaType.area, 'WuYiXian'),
  AreaItem('330726', '浦江县', AreaType.area, 'PuJiangXian'),
  AreaItem('330727', '磐安县', AreaType.area, 'PanAnXian'),
  AreaItem('330781', '兰溪市', AreaType.area, 'LanXiShi'),
  AreaItem('330782', '义乌市', AreaType.area, 'YiWuShi'),
  AreaItem('330783', '东阳市', AreaType.area, 'DongYangShi'),
  AreaItem('330784', '永康市', AreaType.area, 'YongKangShi'),
  AreaItem('330802', '柯城区', AreaType.area, 'KeChengQu'),
  AreaItem('330803', '衢江区', AreaType.area, 'QuJiangQu'),
  AreaItem('330822', '常山县', AreaType.area, 'ChangShanXian'),
  AreaItem('330824', '开化县', AreaType.area, 'KaiHuaXian'),
  AreaItem('330825', '龙游县', AreaType.area, 'LongYouXian'),
  AreaItem('330881', '江山市', AreaType.area, 'JiangShanShi'),
  AreaItem('330902', '定海区', AreaType.area, 'DingHaiQu'),
  AreaItem('330903', '普陀区', AreaType.area, 'PuTuoQu'),
  AreaItem('330921', '岱山县', AreaType.area, 'DaiShanXian'),
  AreaItem('330922', '嵊泗县', AreaType.area, 'ShengSiXian'),
  AreaItem('331002', '椒江区', AreaType.area, 'JiaoJiangQu'),
  AreaItem('331003', '黄岩区', AreaType.area, 'HuangYanQu'),
  AreaItem('331004', '路桥区', AreaType.area, 'LuQiaoQu'),
  AreaItem('331022', '三门县', AreaType.area, 'SanMenXian'),
  AreaItem('331023', '天台县', AreaType.area, 'TianTaiXian'),
  AreaItem('331024', '仙居县', AreaType.area, 'XianJuXian'),
  AreaItem('331081', '温岭市', AreaType.area, 'WenLingShi'),
  AreaItem('331082', '临海市', AreaType.area, 'LinHaiShi'),
  AreaItem('331083', '玉环市', AreaType.area, 'YuHuanShi'),
  AreaItem('331102', '莲都区', AreaType.area, 'LianDuQu'),
  AreaItem('331121', '青田县', AreaType.area, 'QingTianXian'),
  AreaItem('331122', '缙云县', AreaType.area, 'JinYunXian'),
  AreaItem('331123', '遂昌县', AreaType.area, 'SuiChangXian'),
  AreaItem('331124', '松阳县', AreaType.area, 'SongYangXian'),
  AreaItem('331125', '云和县', AreaType.area, 'YunHeXian'),
  AreaItem('331126', '庆元县', AreaType.area, 'QingYuanXian'),
  AreaItem('331127', '景宁畲族自治县', AreaType.area, 'JingNingSheZuZiZhiXian'),
  AreaItem('331181', '龙泉市', AreaType.area, 'LongQuanShi'),
  AreaItem('340102', '瑶海区', AreaType.area, 'YaoHaiQu'),
  AreaItem('340103', '庐阳区', AreaType.area, 'LuYangQu'),
  AreaItem('340104', '蜀山区', AreaType.area, 'ShuShanQu'),
  AreaItem('340111', '包河区', AreaType.area, 'BaoHeQu'),
  AreaItem('340121', '长丰县', AreaType.area, 'ChangFengXian'),
  AreaItem('340122', '肥东县', AreaType.area, 'FeiDongXian'),
  AreaItem('340123', '肥西县', AreaType.area, 'FeiXiXian'),
  AreaItem('340124', '庐江县', AreaType.area, 'LuJiangXian'),
  AreaItem('340181', '巢湖市', AreaType.area, 'ChaoHuShi'),
  AreaItem('340202', '镜湖区', AreaType.area, 'JingHuQu'),
  AreaItem('340203', '弋江区', AreaType.area, 'YiJiangQu'),
  AreaItem('340207', '鸠江区', AreaType.area, 'JiuJiangQu'),
  AreaItem('340208', '三山区', AreaType.area, 'SanShanQu'),
  AreaItem('340221', '芜湖县', AreaType.area, 'WuHuXian'),
  AreaItem('340222', '繁昌县', AreaType.area, 'FanChangXian'),
  AreaItem('340223', '南陵县', AreaType.area, 'NanLingXian'),
  AreaItem('340225', '无为县', AreaType.area, 'WuWeiXian'),
  AreaItem('340302', '龙子湖区', AreaType.area, 'LongZiHuQu'),
  AreaItem('340303', '蚌山区', AreaType.area, 'BangShanQu'),
  AreaItem('340304', '禹会区', AreaType.area, 'YuHuiQu'),
  AreaItem('340311', '淮上区', AreaType.area, 'HuaiShangQu'),
  AreaItem('340321', '怀远县', AreaType.area, 'HuaiYuanXian'),
  AreaItem('340322', '五河县', AreaType.area, 'WuHeXian'),
  AreaItem('340323', '固镇县', AreaType.area, 'GuZhenXian'),
  AreaItem('340402', '大通区', AreaType.area, 'DaTongQu'),
  AreaItem('340403', '田家庵区', AreaType.area, 'TianJiaAnQu'),
  AreaItem('340404', '谢家集区', AreaType.area, 'XieJiaJiQu'),
  AreaItem('340405', '八公山区', AreaType.area, 'BaGongShanQu'),
  AreaItem('340406', '潘集区', AreaType.area, 'PanJiQu'),
  AreaItem('340421', '凤台县', AreaType.area, 'FengTaiXian'),
  AreaItem('340422', '寿县', AreaType.area, 'ShouXian'),
  AreaItem('340503', '花山区', AreaType.area, 'HuaShanQu'),
  AreaItem('340504', '雨山区', AreaType.area, 'YuShanQu'),
  AreaItem('340506', '博望区', AreaType.area, 'BoWangQu'),
  AreaItem('340521', '当涂县', AreaType.area, 'DangTuXian'),
  AreaItem('340522', '含山县', AreaType.area, 'HanShanXian'),
  AreaItem('340523', '和县', AreaType.area, 'HeXian'),
  AreaItem('340602', '杜集区', AreaType.area, 'DuJiQu'),
  AreaItem('340603', '相山区', AreaType.area, 'XiangShanQu'),
  AreaItem('340604', '烈山区', AreaType.area, 'LieShanQu'),
  AreaItem('340621', '濉溪县', AreaType.area, 'SuiXiXian'),
  AreaItem('340705', '铜官区', AreaType.area, 'TongGuanQu'),
  AreaItem('340706', '义安区', AreaType.area, 'YiAnQu'),
  AreaItem('340711', '郊区', AreaType.area, 'JiaoQu'),
  AreaItem('340722', '枞阳县', AreaType.area, 'CongYangXian'),
  AreaItem('340802', '迎江区', AreaType.area, 'YingJiangQu'),
  AreaItem('340803', '大观区', AreaType.area, 'DaGuanQu'),
  AreaItem('340811', '宜秀区', AreaType.area, 'YiXiuQu'),
  AreaItem('340822', '怀宁县', AreaType.area, 'HuaiNingXian'),
  AreaItem('340824', '潜山县', AreaType.area, 'QianShanXian'),
  AreaItem('340825', '太湖县', AreaType.area, 'TaiHuXian'),
  AreaItem('340826', '宿松县', AreaType.area, 'SuSongXian'),
  AreaItem('340827', '望江县', AreaType.area, 'WangJiangXian'),
  AreaItem('340828', '岳西县', AreaType.area, 'YueXiXian'),
  AreaItem('340881', '桐城市', AreaType.area, 'TongChengShi'),
  AreaItem('341002', '屯溪区', AreaType.area, 'TunXiQu'),
  AreaItem('341003', '黄山区', AreaType.area, 'HuangShanQu'),
  AreaItem('341004', '徽州区', AreaType.area, 'HuiZhouQu'),
  AreaItem('341021', '歙县', AreaType.area, 'XiXian'),
  AreaItem('341022', '休宁县', AreaType.area, 'XiuNingXian'),
  AreaItem('341023', '黟县', AreaType.area, 'YiXian'),
  AreaItem('341024', '祁门县', AreaType.area, 'QiMenXian'),
  AreaItem('341102', '琅琊区', AreaType.area, 'LangYaQu'),
  AreaItem('341103', '南谯区', AreaType.area, 'NanQiaoQu'),
  AreaItem('341122', '来安县', AreaType.area, 'LaiAnXian'),
  AreaItem('341124', '全椒县', AreaType.area, 'QuanJiaoXian'),
  AreaItem('341125', '定远县', AreaType.area, 'DingYuanXian'),
  AreaItem('341126', '凤阳县', AreaType.area, 'FengYangXian'),
  AreaItem('341181', '天长市', AreaType.area, 'TianChangShi'),
  AreaItem('341182', '明光市', AreaType.area, 'MingGuangShi'),
  AreaItem('341202', '颍州区', AreaType.area, 'YingZhouQu'),
  AreaItem('341203', '颍东区', AreaType.area, 'YingDongQu'),
  AreaItem('341204', '颍泉区', AreaType.area, 'YingQuanQu'),
  AreaItem('341221', '临泉县', AreaType.area, 'LinQuanXian'),
  AreaItem('341222', '太和县', AreaType.area, 'TaiHeXian'),
  AreaItem('341225', '阜南县', AreaType.area, 'FuNanXian'),
  AreaItem('341226', '颍上县', AreaType.area, 'YingShangXian'),
  AreaItem('341282', '界首市', AreaType.area, 'JieShouShi'),
  AreaItem('341302', '埇桥区', AreaType.area, 'YongQiaoQu'),
  AreaItem('341321', '砀山县', AreaType.area, 'DangShanXian'),
  AreaItem('341322', '萧县', AreaType.area, 'XiaoXian'),
  AreaItem('341323', '灵璧县', AreaType.area, 'LingBiXian'),
  AreaItem('341324', '泗县', AreaType.area, 'SiXian'),
  AreaItem('341502', '金安区', AreaType.area, 'JinAnQu'),
  AreaItem('341503', '裕安区', AreaType.area, 'YuAnQu'),
  AreaItem('341504', '叶集区', AreaType.area, 'YeJiQu'),
  AreaItem('341522', '霍邱县', AreaType.area, 'HuoQiuXian'),
  AreaItem('341523', '舒城县', AreaType.area, 'ShuChengXian'),
  AreaItem('341524', '金寨县', AreaType.area, 'JinZhaiXian'),
  AreaItem('341525', '霍山县', AreaType.area, 'HuoShanXian'),
  AreaItem('341602', '谯城区', AreaType.area, 'QiaoChengQu'),
  AreaItem('341621', '涡阳县', AreaType.area, 'WoYangXian'),
  AreaItem('341622', '蒙城县', AreaType.area, 'MengChengXian'),
  AreaItem('341623', '利辛县', AreaType.area, 'LiXinXian'),
  AreaItem('341702', '贵池区', AreaType.area, 'GuiChiQu'),
  AreaItem('341721', '东至县', AreaType.area, 'DongZhiXian'),
  AreaItem('341722', '石台县', AreaType.area, 'ShiTaiXian'),
  AreaItem('341723', '青阳县', AreaType.area, 'QingYangXian'),
  AreaItem('341802', '宣州区', AreaType.area, 'XuanZhouQu'),
  AreaItem('341821', '郎溪县', AreaType.area, 'LangXiXian'),
  AreaItem('341822', '广德县', AreaType.area, 'GuangDeXian'),
  AreaItem('341823', '泾县', AreaType.area, 'JingXian'),
  AreaItem('341824', '绩溪县', AreaType.area, 'JiXiXian'),
  AreaItem('341825', '旌德县', AreaType.area, 'JingDeXian'),
  AreaItem('341881', '宁国市', AreaType.area, 'NingGuoShi'),
  AreaItem('350102', '鼓楼区', AreaType.area, 'GuLouQu'),
  AreaItem('350103', '台江区', AreaType.area, 'TaiJiangQu'),
  AreaItem('350104', '仓山区', AreaType.area, 'CangShanQu'),
  AreaItem('350105', '马尾区', AreaType.area, 'MaWeiQu'),
  AreaItem('350111', '晋安区', AreaType.area, 'JinAnQu'),
  AreaItem('350112', '长乐区', AreaType.area, 'ChangLeQu'),
  AreaItem('350121', '闽侯县', AreaType.area, 'MinHouXian'),
  AreaItem('350122', '连江县', AreaType.area, 'LianJiangXian'),
  AreaItem('350123', '罗源县', AreaType.area, 'LuoYuanXian'),
  AreaItem('350124', '闽清县', AreaType.area, 'MinQingXian'),
  AreaItem('350125', '永泰县', AreaType.area, 'YongTaiXian'),
  AreaItem('350128', '平潭县', AreaType.area, 'PingTanXian'),
  AreaItem('350181', '福清市', AreaType.area, 'FuQingShi'),
  AreaItem('350203', '思明区', AreaType.area, 'SiMingQu'),
  AreaItem('350205', '海沧区', AreaType.area, 'HaiCangQu'),
  AreaItem('350206', '湖里区', AreaType.area, 'HuLiQu'),
  AreaItem('350211', '集美区', AreaType.area, 'JiMeiQu'),
  AreaItem('350212', '同安区', AreaType.area, 'TongAnQu'),
  AreaItem('350213', '翔安区', AreaType.area, 'XiangAnQu'),
  AreaItem('350302', '城厢区', AreaType.area, 'ChengXiangQu'),
  AreaItem('350303', '涵江区', AreaType.area, 'HanJiangQu'),
  AreaItem('350304', '荔城区', AreaType.area, 'LiChengQu'),
  AreaItem('350305', '秀屿区', AreaType.area, 'XiuYuQu'),
  AreaItem('350322', '仙游县', AreaType.area, 'XianYouXian'),
  AreaItem('350402', '梅列区', AreaType.area, 'MeiLieQu'),
  AreaItem('350403', '三元区', AreaType.area, 'SanYuanQu'),
  AreaItem('350421', '明溪县', AreaType.area, 'MingXiXian'),
  AreaItem('350423', '清流县', AreaType.area, 'QingLiuXian'),
  AreaItem('350424', '宁化县', AreaType.area, 'NingHuaXian'),
  AreaItem('350425', '大田县', AreaType.area, 'DaTianXian'),
  AreaItem('350426', '尤溪县', AreaType.area, 'YouXiXian'),
  AreaItem('350427', '沙县', AreaType.area, 'ShaXian'),
  AreaItem('350428', '将乐县', AreaType.area, 'JiangLeXian'),
  AreaItem('350429', '泰宁县', AreaType.area, 'TaiNingXian'),
  AreaItem('350430', '建宁县', AreaType.area, 'JianNingXian'),
  AreaItem('350481', '永安市', AreaType.area, 'YongAnShi'),
  AreaItem('350502', '鲤城区', AreaType.area, 'LiChengQu'),
  AreaItem('350503', '丰泽区', AreaType.area, 'FengZeQu'),
  AreaItem('350504', '洛江区', AreaType.area, 'LuoJiangQu'),
  AreaItem('350505', '泉港区', AreaType.area, 'QuanGangQu'),
  AreaItem('350521', '惠安县', AreaType.area, 'HuiAnXian'),
  AreaItem('350524', '安溪县', AreaType.area, 'AnXiXian'),
  AreaItem('350525', '永春县', AreaType.area, 'YongChunXian'),
  AreaItem('350526', '德化县', AreaType.area, 'DeHuaXian'),
  AreaItem('350527', '金门县', AreaType.area, 'JinMenXian'),
  AreaItem('350581', '石狮市', AreaType.area, 'ShiShiShi'),
  AreaItem('350582', '晋江市', AreaType.area, 'JinJiangShi'),
  AreaItem('350583', '南安市', AreaType.area, 'NanAnShi'),
  AreaItem('350602', '芗城区', AreaType.area, 'XiangChengQu'),
  AreaItem('350603', '龙文区', AreaType.area, 'LongWenQu'),
  AreaItem('350622', '云霄县', AreaType.area, 'YunXiaoXian'),
  AreaItem('350623', '漳浦县', AreaType.area, 'ZhangPuXian'),
  AreaItem('350624', '诏安县', AreaType.area, 'ZhaoAnXian'),
  AreaItem('350625', '长泰县', AreaType.area, 'ChangTaiXian'),
  AreaItem('350626', '东山县', AreaType.area, 'DongShanXian'),
  AreaItem('350627', '南靖县', AreaType.area, 'NanJingXian'),
  AreaItem('350628', '平和县', AreaType.area, 'PingHeXian'),
  AreaItem('350629', '华安县', AreaType.area, 'HuaAnXian'),
  AreaItem('350681', '龙海市', AreaType.area, 'LongHaiShi'),
  AreaItem('350702', '延平区', AreaType.area, 'YanPingQu'),
  AreaItem('350703', '建阳区', AreaType.area, 'JianYangQu'),
  AreaItem('350721', '顺昌县', AreaType.area, 'ShunChangXian'),
  AreaItem('350722', '浦城县', AreaType.area, 'PuChengXian'),
  AreaItem('350723', '光泽县', AreaType.area, 'GuangZeXian'),
  AreaItem('350724', '松溪县', AreaType.area, 'SongXiXian'),
  AreaItem('350725', '政和县', AreaType.area, 'ZhengHeXian'),
  AreaItem('350781', '邵武市', AreaType.area, 'ShaoWuShi'),
  AreaItem('350782', '武夷山市', AreaType.area, 'WuYiShanShi'),
  AreaItem('350783', '建瓯市', AreaType.area, 'JianOuShi'),
  AreaItem('350802', '新罗区', AreaType.area, 'XinLuoQu'),
  AreaItem('350803', '永定区', AreaType.area, 'YongDingQu'),
  AreaItem('350821', '长汀县', AreaType.area, 'ChangTingXian'),
  AreaItem('350823', '上杭县', AreaType.area, 'ShangHangXian'),
  AreaItem('350824', '武平县', AreaType.area, 'WuPingXian'),
  AreaItem('350825', '连城县', AreaType.area, 'LianChengXian'),
  AreaItem('350881', '漳平市', AreaType.area, 'ZhangPingShi'),
  AreaItem('350902', '蕉城区', AreaType.area, 'JiaoChengQu'),
  AreaItem('350921', '霞浦县', AreaType.area, 'XiaPuXian'),
  AreaItem('350922', '古田县', AreaType.area, 'GuTianXian'),
  AreaItem('350923', '屏南县', AreaType.area, 'PingNanXian'),
  AreaItem('350924', '寿宁县', AreaType.area, 'ShouNingXian'),
  AreaItem('350925', '周宁县', AreaType.area, 'ZhouNingXian'),
  AreaItem('350926', '柘荣县', AreaType.area, 'ZheRongXian'),
  AreaItem('350981', '福安市', AreaType.area, 'FuAnShi'),
  AreaItem('350982', '福鼎市', AreaType.area, 'FuDingShi'),
  AreaItem('360102', '东湖区', AreaType.area, 'DongHuQu'),
  AreaItem('360103', '西湖区', AreaType.area, 'XiHuQu'),
  AreaItem('360104', '青云谱区', AreaType.area, 'QingYunPuQu'),
  AreaItem('360105', '湾里区', AreaType.area, 'WanLiQu'),
  AreaItem('360111', '青山湖区', AreaType.area, 'QingShanHuQu'),
  AreaItem('360112', '新建区', AreaType.area, 'XinJianQu'),
  AreaItem('360121', '南昌县', AreaType.area, 'NanChangXian'),
  AreaItem('360123', '安义县', AreaType.area, 'AnYiXian'),
  AreaItem('360124', '进贤县', AreaType.area, 'JinXianXian'),
  AreaItem('360202', '昌江区', AreaType.area, 'ChangJiangQu'),
  AreaItem('360203', '珠山区', AreaType.area, 'ZhuShanQu'),
  AreaItem('360222', '浮梁县', AreaType.area, 'FuLiangXian'),
  AreaItem('360281', '乐平市', AreaType.area, 'LePingShi'),
  AreaItem('360302', '安源区', AreaType.area, 'AnYuanQu'),
  AreaItem('360313', '湘东区', AreaType.area, 'XiangDongQu'),
  AreaItem('360321', '莲花县', AreaType.area, 'LianHuaXian'),
  AreaItem('360322', '上栗县', AreaType.area, 'ShangLiXian'),
  AreaItem('360323', '芦溪县', AreaType.area, 'LuXiXian'),
  AreaItem('360402', '濂溪区', AreaType.area, 'LianXiQu'),
  AreaItem('360403', '浔阳区', AreaType.area, 'XunYangQu'),
  AreaItem('360404', '柴桑区', AreaType.area, 'ChaiSangQu'),
  AreaItem('360423', '武宁县', AreaType.area, 'WuNingXian'),
  AreaItem('360424', '修水县', AreaType.area, 'XiuShuiXian'),
  AreaItem('360425', '永修县', AreaType.area, 'YongXiuXian'),
  AreaItem('360426', '德安县', AreaType.area, 'DeAnXian'),
  AreaItem('360428', '都昌县', AreaType.area, 'DuChangXian'),
  AreaItem('360429', '湖口县', AreaType.area, 'HuKouXian'),
  AreaItem('360430', '彭泽县', AreaType.area, 'PengZeXian'),
  AreaItem('360481', '瑞昌市', AreaType.area, 'RuiChangShi'),
  AreaItem('360482', '共青城市', AreaType.area, 'GongQingChengShi'),
  AreaItem('360483', '庐山市', AreaType.area, 'LuShanShi'),
  AreaItem('360502', '渝水区', AreaType.area, 'YuShuiQu'),
  AreaItem('360521', '分宜县', AreaType.area, 'FenYiXian'),
  AreaItem('360602', '月湖区', AreaType.area, 'YueHuQu'),
  AreaItem('360622', '余江区', AreaType.area, 'YuJiangQu'),
  AreaItem('360681', '贵溪市', AreaType.area, 'GuiXiShi'),
  AreaItem('360702', '章贡区', AreaType.area, 'ZhangGongQu'),
  AreaItem('360703', '南康区', AreaType.area, 'NanKangQu'),
  AreaItem('360704', '赣县区', AreaType.area, 'GanXianQu'),
  AreaItem('360722', '信丰县', AreaType.area, 'XinFengXian'),
  AreaItem('360723', '大余县', AreaType.area, 'DaYuXian'),
  AreaItem('360724', '上犹县', AreaType.area, 'ShangYouXian'),
  AreaItem('360725', '崇义县', AreaType.area, 'ChongYiXian'),
  AreaItem('360726', '安远县', AreaType.area, 'AnYuanXian'),
  AreaItem('360727', '龙南县', AreaType.area, 'LongNanXian'),
  AreaItem('360728', '定南县', AreaType.area, 'DingNanXian'),
  AreaItem('360729', '全南县', AreaType.area, 'QuanNanXian'),
  AreaItem('360730', '宁都县', AreaType.area, 'NingDuXian'),
  AreaItem('360731', '于都县', AreaType.area, 'YuDuXian'),
  AreaItem('360732', '兴国县', AreaType.area, 'XingGuoXian'),
  AreaItem('360733', '会昌县', AreaType.area, 'HuiChangXian'),
  AreaItem('360734', '寻乌县', AreaType.area, 'XunWuXian'),
  AreaItem('360735', '石城县', AreaType.area, 'ShiChengXian'),
  AreaItem('360781', '瑞金市', AreaType.area, 'RuiJinShi'),
  AreaItem('360802', '吉州区', AreaType.area, 'JiZhouQu'),
  AreaItem('360803', '青原区', AreaType.area, 'QingYuanQu'),
  AreaItem('360821', '吉安县', AreaType.area, 'JiAnXian'),
  AreaItem('360822', '吉水县', AreaType.area, 'JiShuiXian'),
  AreaItem('360823', '峡江县', AreaType.area, 'XiaJiangXian'),
  AreaItem('360824', '新干县', AreaType.area, 'XinGanXian'),
  AreaItem('360825', '永丰县', AreaType.area, 'YongFengXian'),
  AreaItem('360826', '泰和县', AreaType.area, 'TaiHeXian'),
  AreaItem('360827', '遂川县', AreaType.area, 'SuiChuanXian'),
  AreaItem('360828', '万安县', AreaType.area, 'WanAnXian'),
  AreaItem('360829', '安福县', AreaType.area, 'AnFuXian'),
  AreaItem('360830', '永新县', AreaType.area, 'YongXinXian'),
  AreaItem('360881', '井冈山市', AreaType.area, 'JingGangShanShi'),
  AreaItem('360902', '袁州区', AreaType.area, 'YuanZhouQu'),
  AreaItem('360921', '奉新县', AreaType.area, 'FengXinXian'),
  AreaItem('360922', '万载县', AreaType.area, 'WanZaiXian'),
  AreaItem('360923', '上高县', AreaType.area, 'ShangGaoXian'),
  AreaItem('360924', '宜丰县', AreaType.area, 'YiFengXian'),
  AreaItem('360925', '靖安县', AreaType.area, 'JingAnXian'),
  AreaItem('360926', '铜鼓县', AreaType.area, 'TongGuXian'),
  AreaItem('360981', '丰城市', AreaType.area, 'FengChengShi'),
  AreaItem('360982', '樟树市', AreaType.area, 'ZhangShuShi'),
  AreaItem('360983', '高安市', AreaType.area, 'GaoAnShi'),
  AreaItem('361002', '临川区', AreaType.area, 'LinChuanQu'),
  AreaItem('361003', '东乡区', AreaType.area, 'DongXiangQu'),
  AreaItem('361021', '南城县', AreaType.area, 'NanChengXian'),
  AreaItem('361022', '黎川县', AreaType.area, 'LiChuanXian'),
  AreaItem('361023', '南丰县', AreaType.area, 'NanFengXian'),
  AreaItem('361024', '崇仁县', AreaType.area, 'ChongRenXian'),
  AreaItem('361025', '乐安县', AreaType.area, 'LeAnXian'),
  AreaItem('361026', '宜黄县', AreaType.area, 'YiHuangXian'),
  AreaItem('361027', '金溪县', AreaType.area, 'JinXiXian'),
  AreaItem('361028', '资溪县', AreaType.area, 'ZiXiXian'),
  AreaItem('361030', '广昌县', AreaType.area, 'GuangChangXian'),
  AreaItem('361102', '信州区', AreaType.area, 'XinZhouQu'),
  AreaItem('361103', '广丰区', AreaType.area, 'GuangFengQu'),
  AreaItem('361121', '上饶县', AreaType.area, 'ShangRaoXian'),
  AreaItem('361123', '玉山县', AreaType.area, 'YuShanXian'),
  AreaItem('361124', '铅山县', AreaType.area, 'QianShanXian'),
  AreaItem('361125', '横峰县', AreaType.area, 'HengFengXian'),
  AreaItem('361126', '弋阳县', AreaType.area, 'YiYangXian'),
  AreaItem('361127', '余干县', AreaType.area, 'YuGanXian'),
  AreaItem('361128', '鄱阳县', AreaType.area, 'PoYangXian'),
  AreaItem('361129', '万年县', AreaType.area, 'WanNianXian'),
  AreaItem('361130', '婺源县', AreaType.area, 'WuYuanXian'),
  AreaItem('361181', '德兴市', AreaType.area, 'DeXingShi'),
  AreaItem('370102', '历下区', AreaType.area, 'LiXiaQu'),
  AreaItem('370103', '市中区', AreaType.area, 'ShiZhongQu'),
  AreaItem('370104', '槐荫区', AreaType.area, 'HuaiYinQu'),
  AreaItem('370105', '天桥区', AreaType.area, 'TianQiaoQu'),
  AreaItem('370112', '历城区', AreaType.area, 'LiChengQu'),
  AreaItem('370113', '长清区', AreaType.area, 'ChangQingQu'),
  AreaItem('370114', '章丘区', AreaType.area, 'ZhangQiuQu'),
  AreaItem('370124', '平阴县', AreaType.area, 'PingYinXian'),
  AreaItem('370125', '济阳县', AreaType.area, 'JiYangXian'),
  AreaItem('370126', '商河县', AreaType.area, 'ShangHeXian'),
  AreaItem('370202', '市南区', AreaType.area, 'ShiNanQu'),
  AreaItem('370203', '市北区', AreaType.area, 'ShiBeiQu'),
  AreaItem('370211', '黄岛区', AreaType.area, 'HuangDaoQu'),
  AreaItem('370212', '崂山区', AreaType.area, 'LaoShanQu'),
  AreaItem('370213', '李沧区', AreaType.area, 'LiCangQu'),
  AreaItem('370214', '城阳区', AreaType.area, 'ChengYangQu'),
  AreaItem('370215', '即墨区', AreaType.area, 'JiMoQu'),
  AreaItem('370281', '胶州市', AreaType.area, 'JiaoZhouShi'),
  AreaItem('370283', '平度市', AreaType.area, 'PingDuShi'),
  AreaItem('370285', '莱西市', AreaType.area, 'LaiXiShi'),
  AreaItem('370302', '淄川区', AreaType.area, 'ZiChuanQu'),
  AreaItem('370303', '张店区', AreaType.area, 'ZhangDianQu'),
  AreaItem('370304', '博山区', AreaType.area, 'BoShanQu'),
  AreaItem('370305', '临淄区', AreaType.area, 'LinZiQu'),
  AreaItem('370306', '周村区', AreaType.area, 'ZhouCunQu'),
  AreaItem('370321', '桓台县', AreaType.area, 'HuanTaiXian'),
  AreaItem('370322', '高青县', AreaType.area, 'GaoQingXian'),
  AreaItem('370323', '沂源县', AreaType.area, 'YiYuanXian'),
  AreaItem('370402', '市中区', AreaType.area, 'ShiZhongQu'),
  AreaItem('370403', '薛城区', AreaType.area, 'XueChengQu'),
  AreaItem('370404', '峄城区', AreaType.area, 'YiChengQu'),
  AreaItem('370405', '台儿庄区', AreaType.area, 'TaiErZhuangQu'),
  AreaItem('370406', '山亭区', AreaType.area, 'ShanTingQu'),
  AreaItem('370481', '滕州市', AreaType.area, 'TengZhouShi'),
  AreaItem('370502', '东营区', AreaType.area, 'DongYingQu'),
  AreaItem('370503', '河口区', AreaType.area, 'HeKouQu'),
  AreaItem('370505', '垦利区', AreaType.area, 'KenLiQu'),
  AreaItem('370522', '利津县', AreaType.area, 'LiJinXian'),
  AreaItem('370523', '广饶县', AreaType.area, 'GuangRaoXian'),
  AreaItem('370602', '芝罘区', AreaType.area, 'ZhiFuQu'),
  AreaItem('370611', '福山区', AreaType.area, 'FuShanQu'),
  AreaItem('370612', '牟平区', AreaType.area, 'MouPingQu'),
  AreaItem('370613', '莱山区', AreaType.area, 'LaiShanQu'),
  AreaItem('370634', '长岛县', AreaType.area, 'ChangDaoXian'),
  AreaItem('370681', '龙口市', AreaType.area, 'LongKouShi'),
  AreaItem('370682', '莱阳市', AreaType.area, 'LaiYangShi'),
  AreaItem('370683', '莱州市', AreaType.area, 'LaiZhouShi'),
  AreaItem('370684', '蓬莱市', AreaType.area, 'PengLaiShi'),
  AreaItem('370685', '招远市', AreaType.area, 'ZhaoYuanShi'),
  AreaItem('370686', '栖霞市', AreaType.area, 'QiXiaShi'),
  AreaItem('370687', '海阳市', AreaType.area, 'HaiYangShi'),
  AreaItem('370702', '潍城区', AreaType.area, 'WeiChengQu'),
  AreaItem('370703', '寒亭区', AreaType.area, 'HanTingQu'),
  AreaItem('370704', '坊子区', AreaType.area, 'FangZiQu'),
  AreaItem('370705', '奎文区', AreaType.area, 'KuiWenQu'),
  AreaItem('370724', '临朐县', AreaType.area, 'LinQuXian'),
  AreaItem('370725', '昌乐县', AreaType.area, 'ChangLeXian'),
  AreaItem('370781', '青州市', AreaType.area, 'QingZhouShi'),
  AreaItem('370782', '诸城市', AreaType.area, 'ZhuChengShi'),
  AreaItem('370783', '寿光市', AreaType.area, 'ShouGuangShi'),
  AreaItem('370784', '安丘市', AreaType.area, 'AnQiuShi'),
  AreaItem('370785', '高密市', AreaType.area, 'GaoMiShi'),
  AreaItem('370786', '昌邑市', AreaType.area, 'ChangYiShi'),
  AreaItem('370811', '任城区', AreaType.area, 'RenChengQu'),
  AreaItem('370812', '兖州区', AreaType.area, 'YanZhouQu'),
  AreaItem('370826', '微山县', AreaType.area, 'WeiShanXian'),
  AreaItem('370827', '鱼台县', AreaType.area, 'YuTaiXian'),
  AreaItem('370828', '金乡县', AreaType.area, 'JinXiangXian'),
  AreaItem('370829', '嘉祥县', AreaType.area, 'JiaXiangXian'),
  AreaItem('370830', '汶上县', AreaType.area, 'WenShangXian'),
  AreaItem('370831', '泗水县', AreaType.area, 'SiShuiXian'),
  AreaItem('370832', '梁山县', AreaType.area, 'LiangShanXian'),
  AreaItem('370881', '曲阜市', AreaType.area, 'QuFuShi'),
  AreaItem('370883', '邹城市', AreaType.area, 'ZouChengShi'),
  AreaItem('370902', '泰山区', AreaType.area, 'TaiShanQu'),
  AreaItem('370911', '岱岳区', AreaType.area, 'DaiYueQu'),
  AreaItem('370921', '宁阳县', AreaType.area, 'NingYangXian'),
  AreaItem('370923', '东平县', AreaType.area, 'DongPingXian'),
  AreaItem('370982', '新泰市', AreaType.area, 'XinTaiShi'),
  AreaItem('370983', '肥城市', AreaType.area, 'FeiChengShi'),
  AreaItem('371002', '环翠区', AreaType.area, 'HuanCuiQu'),
  AreaItem('371003', '文登区', AreaType.area, 'WenDengQu'),
  AreaItem('371082', '荣成市', AreaType.area, 'RongChengShi'),
  AreaItem('371083', '乳山市', AreaType.area, 'RuShanShi'),
  AreaItem('371102', '东港区', AreaType.area, 'DongGangQu'),
  AreaItem('371103', '岚山区', AreaType.area, 'LanShanQu'),
  AreaItem('371121', '五莲县', AreaType.area, 'WuLianXian'),
  AreaItem('371122', '莒县', AreaType.area, 'JuXian'),
  AreaItem('371202', '莱城区', AreaType.area, 'LaiChengQu'),
  AreaItem('371203', '钢城区', AreaType.area, 'GangChengQu'),
  AreaItem('371302', '兰山区', AreaType.area, 'LanShanQu'),
  AreaItem('371311', '罗庄区', AreaType.area, 'LuoZhuangQu'),
  AreaItem('371312', '河东区', AreaType.area, 'HeDongQu'),
  AreaItem('371321', '沂南县', AreaType.area, 'YiNanXian'),
  AreaItem('371322', '郯城县', AreaType.area, 'TanChengXian'),
  AreaItem('371323', '沂水县', AreaType.area, 'YiShuiXian'),
  AreaItem('371324', '兰陵县', AreaType.area, 'LanLingXian'),
  AreaItem('371325', '费县', AreaType.area, 'FeiXian'),
  AreaItem('371326', '平邑县', AreaType.area, 'PingYiXian'),
  AreaItem('371327', '莒南县', AreaType.area, 'JuNanXian'),
  AreaItem('371328', '蒙阴县', AreaType.area, 'MengYinXian'),
  AreaItem('371329', '临沭县', AreaType.area, 'LinShuXian'),
  AreaItem('371402', '德城区', AreaType.area, 'DeChengQu'),
  AreaItem('371403', '陵城区', AreaType.area, 'LingChengQu'),
  AreaItem('371422', '宁津县', AreaType.area, 'NingJinXian'),
  AreaItem('371423', '庆云县', AreaType.area, 'QingYunXian'),
  AreaItem('371424', '临邑县', AreaType.area, 'LinYiXian'),
  AreaItem('371425', '齐河县', AreaType.area, 'QiHeXian'),
  AreaItem('371426', '平原县', AreaType.area, 'PingYuanXian'),
  AreaItem('371427', '夏津县', AreaType.area, 'XiaJinXian'),
  AreaItem('371428', '武城县', AreaType.area, 'WuChengXian'),
  AreaItem('371481', '乐陵市', AreaType.area, 'LeLingShi'),
  AreaItem('371482', '禹城市', AreaType.area, 'YuChengShi'),
  AreaItem('371502', '东昌府区', AreaType.area, 'DongChangFuQu'),
  AreaItem('371521', '阳谷县', AreaType.area, 'YangGuXian'),
  AreaItem('371522', '莘县', AreaType.area, 'ShenXian'),
  AreaItem('371523', '茌平县', AreaType.area, 'ChiPingXian'),
  AreaItem('371524', '东阿县', AreaType.area, 'DongAXian'),
  AreaItem('371525', '冠县', AreaType.area, 'GuanXian'),
  AreaItem('371526', '高唐县', AreaType.area, 'GaoTangXian'),
  AreaItem('371581', '临清市', AreaType.area, 'LinQingShi'),
  AreaItem('371602', '滨城区', AreaType.area, 'BinChengQu'),
  AreaItem('371603', '沾化区', AreaType.area, 'ZhanHuaQu'),
  AreaItem('371621', '惠民县', AreaType.area, 'HuiMinXian'),
  AreaItem('371622', '阳信县', AreaType.area, 'YangXinXian'),
  AreaItem('371623', '无棣县', AreaType.area, 'WuDiXian'),
  AreaItem('371625', '博兴县', AreaType.area, 'BoXingXian'),
  AreaItem('371626', '邹平县', AreaType.area, 'ZouPingXian'),
  AreaItem('371702', '牡丹区', AreaType.area, 'MuDanQu'),
  AreaItem('371703', '定陶区', AreaType.area, 'DingTaoQu'),
  AreaItem('371721', '曹县', AreaType.area, 'CaoXian'),
  AreaItem('371722', '单县', AreaType.area, 'DanXian'),
  AreaItem('371723', '成武县', AreaType.area, 'ChengWuXian'),
  AreaItem('371724', '巨野县', AreaType.area, 'JuYeXian'),
  AreaItem('371725', '郓城县', AreaType.area, 'YunChengXian'),
  AreaItem('371726', '鄄城县', AreaType.area, 'JuanChengXian'),
  AreaItem('371728', '东明县', AreaType.area, 'DongMingXian'),
  AreaItem('410102', '中原区', AreaType.area, 'ZhongYuanQu'),
  AreaItem('410103', '二七区', AreaType.area, 'ErQiQu'),
  AreaItem('410104', '管城回族区', AreaType.area, 'GuanChengHuiZuQu'),
  AreaItem('410105', '金水区', AreaType.area, 'JinShuiQu'),
  AreaItem('410106', '上街区', AreaType.area, 'ShangJieQu'),
  AreaItem('410108', '惠济区', AreaType.area, 'HuiJiQu'),
  AreaItem('410122', '中牟县', AreaType.area, 'ZhongMouXian'),
  AreaItem('410181', '巩义市', AreaType.area, 'GongYiShi'),
  AreaItem('410182', '荥阳市', AreaType.area, 'XingYangShi'),
  AreaItem('410183', '新密市', AreaType.area, 'XinMiShi'),
  AreaItem('410184', '新郑市', AreaType.area, 'XinZhengShi'),
  AreaItem('410185', '登封市', AreaType.area, 'DengFengShi'),
  AreaItem('410202', '龙亭区', AreaType.area, 'LongTingQu'),
  AreaItem('410203', '顺河回族区', AreaType.area, 'ShunHeHuiZuQu'),
  AreaItem('410204', '鼓楼区', AreaType.area, 'GuLouQu'),
  AreaItem('410205', '禹王台区', AreaType.area, 'YuWangTaiQu'),
  AreaItem('410212', '祥符区', AreaType.area, 'XiangFuQu'),
  AreaItem('410221', '杞县', AreaType.area, 'QiXian'),
  AreaItem('410222', '通许县', AreaType.area, 'TongXuXian'),
  AreaItem('410223', '尉氏县', AreaType.area, 'WeiShiXian'),
  AreaItem('410225', '兰考县', AreaType.area, 'LanKaoXian'),
  AreaItem('410302', '老城区', AreaType.area, 'LaoChengQu'),
  AreaItem('410303', '西工区', AreaType.area, 'XiGongQu'),
  AreaItem('410304', '瀍河回族区', AreaType.area, 'ChanHeHuiZuQu'),
  AreaItem('410305', '涧西区', AreaType.area, 'JianXiQu'),
  AreaItem('410306', '吉利区', AreaType.area, 'JiLiQu'),
  AreaItem('410311', '洛龙区', AreaType.area, 'LuoLongQu'),
  AreaItem('410322', '孟津县', AreaType.area, 'MengJinXian'),
  AreaItem('410323', '新安县', AreaType.area, 'XinAnXian'),
  AreaItem('410324', '栾川县', AreaType.area, 'LuanChuanXian'),
  AreaItem('410325', '嵩县', AreaType.area, 'SongXian'),
  AreaItem('410326', '汝阳县', AreaType.area, 'RuYangXian'),
  AreaItem('410327', '宜阳县', AreaType.area, 'YiYangXian'),
  AreaItem('410328', '洛宁县', AreaType.area, 'LuoNingXian'),
  AreaItem('410329', '伊川县', AreaType.area, 'YiChuanXian'),
  AreaItem('410381', '偃师市', AreaType.area, 'YanShiShi'),
  AreaItem('410402', '新华区', AreaType.area, 'XinHuaQu'),
  AreaItem('410403', '卫东区', AreaType.area, 'WeiDongQu'),
  AreaItem('410404', '石龙区', AreaType.area, 'ShiLongQu'),
  AreaItem('410411', '湛河区', AreaType.area, 'ZhanHeQu'),
  AreaItem('410421', '宝丰县', AreaType.area, 'BaoFengXian'),
  AreaItem('410422', '叶县', AreaType.area, 'YeXian'),
  AreaItem('410423', '鲁山县', AreaType.area, 'LuShanXian'),
  AreaItem('410425', '郏县', AreaType.area, 'JiaXian'),
  AreaItem('410481', '舞钢市', AreaType.area, 'WuGangShi'),
  AreaItem('410482', '汝州市', AreaType.area, 'RuZhouShi'),
  AreaItem('410502', '文峰区', AreaType.area, 'WenFengQu'),
  AreaItem('410503', '北关区', AreaType.area, 'BeiGuanQu'),
  AreaItem('410505', '殷都区', AreaType.area, 'YinDuQu'),
  AreaItem('410506', '龙安区', AreaType.area, 'LongAnQu'),
  AreaItem('410522', '安阳县', AreaType.area, 'AnYangXian'),
  AreaItem('410523', '汤阴县', AreaType.area, 'TangYinXian'),
  AreaItem('410526', '滑县', AreaType.area, 'HuaXian'),
  AreaItem('410527', '内黄县', AreaType.area, 'NeiHuangXian'),
  AreaItem('410581', '林州市', AreaType.area, 'LinZhouShi'),
  AreaItem('410602', '鹤山区', AreaType.area, 'HeShanQu'),
  AreaItem('410603', '山城区', AreaType.area, 'ShanChengQu'),
  AreaItem('410611', '淇滨区', AreaType.area, 'QiBinQu'),
  AreaItem('410621', '浚县', AreaType.area, 'JunXian'),
  AreaItem('410622', '淇县', AreaType.area, 'QiXian'),
  AreaItem('410702', '红旗区', AreaType.area, 'HongQiQu'),
  AreaItem('410703', '卫滨区', AreaType.area, 'WeiBinQu'),
  AreaItem('410704', '凤泉区', AreaType.area, 'FengQuanQu'),
  AreaItem('410711', '牧野区', AreaType.area, 'MuYeQu'),
  AreaItem('410721', '新乡县', AreaType.area, 'XinXiangXian'),
  AreaItem('410724', '获嘉县', AreaType.area, 'HuoJiaXian'),
  AreaItem('410725', '原阳县', AreaType.area, 'YuanYangXian'),
  AreaItem('410726', '延津县', AreaType.area, 'YanJinXian'),
  AreaItem('410727', '封丘县', AreaType.area, 'FengQiuXian'),
  AreaItem('410728', '长垣县', AreaType.area, 'ChangYuanXian'),
  AreaItem('410781', '卫辉市', AreaType.area, 'WeiHuiShi'),
  AreaItem('410782', '辉县市', AreaType.area, 'HuiXianShi'),
  AreaItem('410802', '解放区', AreaType.area, 'JieFangQu'),
  AreaItem('410803', '中站区', AreaType.area, 'ZhongZhanQu'),
  AreaItem('410804', '马村区', AreaType.area, 'MaCunQu'),
  AreaItem('410811', '山阳区', AreaType.area, 'ShanYangQu'),
  AreaItem('410821', '修武县', AreaType.area, 'XiuWuXian'),
  AreaItem('410822', '博爱县', AreaType.area, 'BoAiXian'),
  AreaItem('410823', '武陟县', AreaType.area, 'WuZhiXian'),
  AreaItem('410825', '温县', AreaType.area, 'WenXian'),
  AreaItem('410882', '沁阳市', AreaType.area, 'QinYangShi'),
  AreaItem('410883', '孟州市', AreaType.area, 'MengZhouShi'),
  AreaItem('410902', '华龙区', AreaType.area, 'HuaLongQu'),
  AreaItem('410922', '清丰县', AreaType.area, 'QingFengXian'),
  AreaItem('410923', '南乐县', AreaType.area, 'NanLeXian'),
  AreaItem('410926', '范县', AreaType.area, 'FanXian'),
  AreaItem('410927', '台前县', AreaType.area, 'TaiQianXian'),
  AreaItem('410928', '濮阳县', AreaType.area, 'PuYangXian'),
  AreaItem('411002', '魏都区', AreaType.area, 'WeiDuQu'),
  AreaItem('411003', '建安区', AreaType.area, 'JianAnQu'),
  AreaItem('411024', '鄢陵县', AreaType.area, 'YanLingXian'),
  AreaItem('411025', '襄城县', AreaType.area, 'XiangChengXian'),
  AreaItem('411081', '禹州市', AreaType.area, 'YuZhouShi'),
  AreaItem('411082', '长葛市', AreaType.area, 'ChangGeShi'),
  AreaItem('411102', '源汇区', AreaType.area, 'YuanHuiQu'),
  AreaItem('411103', '郾城区', AreaType.area, 'YanChengQu'),
  AreaItem('411104', '召陵区', AreaType.area, 'ZhaoLingQu'),
  AreaItem('411121', '舞阳县', AreaType.area, 'WuYangXian'),
  AreaItem('411122', '临颍县', AreaType.area, 'LinYingXian'),
  AreaItem('411202', '湖滨区', AreaType.area, 'HuBinQu'),
  AreaItem('411203', '陕州区', AreaType.area, 'ShanZhouQu'),
  AreaItem('411221', '渑池县', AreaType.area, 'MianChiXian'),
  AreaItem('411224', '卢氏县', AreaType.area, 'LuShiXian'),
  AreaItem('411281', '义马市', AreaType.area, 'YiMaShi'),
  AreaItem('411282', '灵宝市', AreaType.area, 'LingBaoShi'),
  AreaItem('411302', '宛城区', AreaType.area, 'WanChengQu'),
  AreaItem('411303', '卧龙区', AreaType.area, 'WoLongQu'),
  AreaItem('411321', '南召县', AreaType.area, 'NanZhaoXian'),
  AreaItem('411322', '方城县', AreaType.area, 'FangChengXian'),
  AreaItem('411323', '西峡县', AreaType.area, 'XiXiaXian'),
  AreaItem('411324', '镇平县', AreaType.area, 'ZhenPingXian'),
  AreaItem('411325', '内乡县', AreaType.area, 'NeiXiangXian'),
  AreaItem('411326', '淅川县', AreaType.area, 'XiChuanXian'),
  AreaItem('411327', '社旗县', AreaType.area, 'SheQiXian'),
  AreaItem('411328', '唐河县', AreaType.area, 'TangHeXian'),
  AreaItem('411329', '新野县', AreaType.area, 'XinYeXian'),
  AreaItem('411330', '桐柏县', AreaType.area, 'TongBaiXian'),
  AreaItem('411381', '邓州市', AreaType.area, 'DengZhouShi'),
  AreaItem('411402', '梁园区', AreaType.area, 'LiangYuanQu'),
  AreaItem('411403', '睢阳区', AreaType.area, 'HuiYangQu'),
  AreaItem('411421', '民权县', AreaType.area, 'MinQuanXian'),
  AreaItem('411422', '睢县', AreaType.area, 'HuiXian'),
  AreaItem('411423', '宁陵县', AreaType.area, 'NingLingXian'),
  AreaItem('411424', '柘城县', AreaType.area, 'ZheChengXian'),
  AreaItem('411425', '虞城县', AreaType.area, 'YuChengXian'),
  AreaItem('411426', '夏邑县', AreaType.area, 'XiaYiXian'),
  AreaItem('411481', '永城市', AreaType.area, 'YongChengShi'),
  AreaItem('411502', '浉河区', AreaType.area, 'ShiHeQu'),
  AreaItem('411503', '平桥区', AreaType.area, 'PingQiaoQu'),
  AreaItem('411521', '罗山县', AreaType.area, 'LuoShanXian'),
  AreaItem('411522', '光山县', AreaType.area, 'GuangShanXian'),
  AreaItem('411523', '新县', AreaType.area, 'XinXian'),
  AreaItem('411524', '商城县', AreaType.area, 'ShangChengXian'),
  AreaItem('411525', '固始县', AreaType.area, 'GuShiXian'),
  AreaItem('411526', '潢川县', AreaType.area, 'HuangChuanXian'),
  AreaItem('411527', '淮滨县', AreaType.area, 'HuaiBinXian'),
  AreaItem('411528', '息县', AreaType.area, 'XiXian'),
  AreaItem('411602', '川汇区', AreaType.area, 'ChuanHuiQu'),
  AreaItem('411621', '扶沟县', AreaType.area, 'FuGouXian'),
  AreaItem('411622', '西华县', AreaType.area, 'XiHuaXian'),
  AreaItem('411623', '商水县', AreaType.area, 'ShangShuiXian'),
  AreaItem('411624', '沈丘县', AreaType.area, 'ShenQiuXian'),
  AreaItem('411625', '郸城县', AreaType.area, 'DanChengXian'),
  AreaItem('411626', '淮阳县', AreaType.area, 'HuaiYangXian'),
  AreaItem('411627', '太康县', AreaType.area, 'TaiKangXian'),
  AreaItem('411628', '鹿邑县', AreaType.area, 'LuYiXian'),
  AreaItem('411681', '项城市', AreaType.area, 'XiangChengShi'),
  AreaItem('411702', '驿城区', AreaType.area, 'YiChengQu'),
  AreaItem('411721', '西平县', AreaType.area, 'XiPingXian'),
  AreaItem('411722', '上蔡县', AreaType.area, 'ShangCaiXian'),
  AreaItem('411723', '平舆县', AreaType.area, 'PingYuXian'),
  AreaItem('411724', '正阳县', AreaType.area, 'ZhengYangXian'),
  AreaItem('411725', '确山县', AreaType.area, 'QueShanXian'),
  AreaItem('411726', '泌阳县', AreaType.area, 'MiYangXian'),
  AreaItem('411727', '汝南县', AreaType.area, 'RuNanXian'),
  AreaItem('411728', '遂平县', AreaType.area, 'SuiPingXian'),
  AreaItem('411729', '新蔡县', AreaType.area, 'XinCaiXian'),
  AreaItem('419001', '济源市', AreaType.area, 'JiYuanShi'),
  AreaItem('420102', '江岸区', AreaType.area, 'JiangAnQu'),
  AreaItem('420103', '江汉区', AreaType.area, 'JiangHanQu'),
  AreaItem('420104', '硚口区', AreaType.area, 'QiaoKouQu'),
  AreaItem('420105', '汉阳区', AreaType.area, 'HanYangQu'),
  AreaItem('420106', '武昌区', AreaType.area, 'WuChangQu'),
  AreaItem('420107', '青山区', AreaType.area, 'QingShanQu'),
  AreaItem('420111', '洪山区', AreaType.area, 'HongShanQu'),
  AreaItem('420112', '东西湖区', AreaType.area, 'DongXiHuQu'),
  AreaItem('420113', '汉南区', AreaType.area, 'HanNanQu'),
  AreaItem('420114', '蔡甸区', AreaType.area, 'CaiDianQu'),
  AreaItem('420115', '江夏区', AreaType.area, 'JiangXiaQu'),
  AreaItem('420116', '黄陂区', AreaType.area, 'HuangBeiQu'),
  AreaItem('420117', '新洲区', AreaType.area, 'XinZhouQu'),
  AreaItem('420202', '黄石港区', AreaType.area, 'HuangShiGangQu'),
  AreaItem('420203', '西塞山区', AreaType.area, 'XiSaiShanQu'),
  AreaItem('420204', '下陆区', AreaType.area, 'XiaLuQu'),
  AreaItem('420205', '铁山区', AreaType.area, 'TieShanQu'),
  AreaItem('420222', '阳新县', AreaType.area, 'YangXinXian'),
  AreaItem('420281', '大冶市', AreaType.area, 'DaYeShi'),
  AreaItem('420302', '茅箭区', AreaType.area, 'MaoJianQu'),
  AreaItem('420303', '张湾区', AreaType.area, 'ZhangWanQu'),
  AreaItem('420304', '郧阳区', AreaType.area, 'YunYangQu'),
  AreaItem('420322', '郧西县', AreaType.area, 'YunXiXian'),
  AreaItem('420323', '竹山县', AreaType.area, 'ZhuShanXian'),
  AreaItem('420324', '竹溪县', AreaType.area, 'ZhuXiXian'),
  AreaItem('420325', '房县', AreaType.area, 'FangXian'),
  AreaItem('420381', '丹江口市', AreaType.area, 'DanJiangKouShi'),
  AreaItem('420502', '西陵区', AreaType.area, 'XiLingQu'),
  AreaItem('420503', '伍家岗区', AreaType.area, 'WuJiaGangQu'),
  AreaItem('420504', '点军区', AreaType.area, 'DianJunQu'),
  AreaItem('420505', '猇亭区', AreaType.area, 'XiaoTingQu'),
  AreaItem('420506', '夷陵区', AreaType.area, 'YiLingQu'),
  AreaItem('420525', '远安县', AreaType.area, 'YuanAnXian'),
  AreaItem('420526', '兴山县', AreaType.area, 'XingShanXian'),
  AreaItem('420527', '秭归县', AreaType.area, 'ZiGuiXian'),
  AreaItem('420528', '长阳土家族自治县', AreaType.area, 'ChangYangTuJiaZuZiZhiXian'),
  AreaItem('420529', '五峰土家族自治县', AreaType.area, 'WuFengTuJiaZuZiZhiXian'),
  AreaItem('420581', '宜都市', AreaType.area, 'YiDuShi'),
  AreaItem('420582', '当阳市', AreaType.area, 'DangYangShi'),
  AreaItem('420583', '枝江市', AreaType.area, 'ZhiJiangShi'),
  AreaItem('420602', '襄城区', AreaType.area, 'XiangChengQu'),
  AreaItem('420606', '樊城区', AreaType.area, 'FanChengQu'),
  AreaItem('420607', '襄州区', AreaType.area, 'XiangZhouQu'),
  AreaItem('420624', '南漳县', AreaType.area, 'NanZhangXian'),
  AreaItem('420625', '谷城县', AreaType.area, 'GuChengXian'),
  AreaItem('420626', '保康县', AreaType.area, 'BaoKangXian'),
  AreaItem('420682', '老河口市', AreaType.area, 'LaoHeKouShi'),
  AreaItem('420683', '枣阳市', AreaType.area, 'ZaoYangShi'),
  AreaItem('420684', '宜城市', AreaType.area, 'YiChengShi'),
  AreaItem('420702', '梁子湖区', AreaType.area, 'LiangZiHuQu'),
  AreaItem('420703', '华容区', AreaType.area, 'HuaRongQu'),
  AreaItem('420704', '鄂城区', AreaType.area, 'EChengQu'),
  AreaItem('420802', '东宝区', AreaType.area, 'DongBaoQu'),
  AreaItem('420804', '掇刀区', AreaType.area, 'DuoDaoQu'),
  AreaItem('420821', '京山县', AreaType.area, 'JingShanXian'),
  AreaItem('420822', '沙洋县', AreaType.area, 'ShaYangXian'),
  AreaItem('420881', '钟祥市', AreaType.area, 'ZhongXiangShi'),
  AreaItem('420902', '孝南区', AreaType.area, 'XiaoNanQu'),
  AreaItem('420921', '孝昌县', AreaType.area, 'XiaoChangXian'),
  AreaItem('420922', '大悟县', AreaType.area, 'DaWuXian'),
  AreaItem('420923', '云梦县', AreaType.area, 'YunMengXian'),
  AreaItem('420981', '应城市', AreaType.area, 'YingChengShi'),
  AreaItem('420982', '安陆市', AreaType.area, 'AnLuShi'),
  AreaItem('420984', '汉川市', AreaType.area, 'HanChuanShi'),
  AreaItem('421002', '沙市区', AreaType.area, 'ShaShiQu'),
  AreaItem('421003', '荆州区', AreaType.area, 'JingZhouQu'),
  AreaItem('421022', '公安县', AreaType.area, 'GongAnXian'),
  AreaItem('421023', '监利县', AreaType.area, 'JianLiXian'),
  AreaItem('421024', '江陵县', AreaType.area, 'JiangLingXian'),
  AreaItem('421081', '石首市', AreaType.area, 'ShiShouShi'),
  AreaItem('421083', '洪湖市', AreaType.area, 'HongHuShi'),
  AreaItem('421087', '松滋市', AreaType.area, 'SongZiShi'),
  AreaItem('421102', '黄州区', AreaType.area, 'HuangZhouQu'),
  AreaItem('421121', '团风县', AreaType.area, 'TuanFengXian'),
  AreaItem('421122', '红安县', AreaType.area, 'HongAnXian'),
  AreaItem('421123', '罗田县', AreaType.area, 'LuoTianXian'),
  AreaItem('421124', '英山县', AreaType.area, 'YingShanXian'),
  AreaItem('421125', '浠水县', AreaType.area, 'XiShuiXian'),
  AreaItem('421126', '蕲春县', AreaType.area, 'QiChunXian'),
  AreaItem('421127', '黄梅县', AreaType.area, 'HuangMeiXian'),
  AreaItem('421181', '麻城市', AreaType.area, 'MaChengShi'),
  AreaItem('421182', '武穴市', AreaType.area, 'WuXueShi'),
  AreaItem('421202', '咸安区', AreaType.area, 'XianAnQu'),
  AreaItem('421221', '嘉鱼县', AreaType.area, 'JiaYuXian'),
  AreaItem('421222', '通城县', AreaType.area, 'TongChengXian'),
  AreaItem('421223', '崇阳县', AreaType.area, 'ChongYangXian'),
  AreaItem('421224', '通山县', AreaType.area, 'TongShanXian'),
  AreaItem('421281', '赤壁市', AreaType.area, 'ChiBiShi'),
  AreaItem('421303', '曾都区', AreaType.area, 'ZengDuQu'),
  AreaItem('421321', '随县', AreaType.area, 'SuiXian'),
  AreaItem('421381', '广水市', AreaType.area, 'GuangShuiShi'),
  AreaItem('422801', '恩施市', AreaType.area, 'EnShiShi'),
  AreaItem('422802', '利川市', AreaType.area, 'LiChuanShi'),
  AreaItem('422822', '建始县', AreaType.area, 'JianShiXian'),
  AreaItem('422823', '巴东县', AreaType.area, 'BaDongXian'),
  AreaItem('422825', '宣恩县', AreaType.area, 'XuanEnXian'),
  AreaItem('422826', '咸丰县', AreaType.area, 'XianFengXian'),
  AreaItem('422827', '来凤县', AreaType.area, 'LaiFengXian'),
  AreaItem('422828', '鹤峰县', AreaType.area, 'HeFengXian'),
  AreaItem('429004', '仙桃市', AreaType.area, 'XianTaoShi'),
  AreaItem('429005', '潜江市', AreaType.area, 'QianJiangShi'),
  AreaItem('429006', '天门市', AreaType.area, 'TianMenShi'),
  AreaItem('429021', '神农架林区', AreaType.area, 'ShenNongJiaLinQu'),
  AreaItem('430102', '芙蓉区', AreaType.area, 'FuRongQu'),
  AreaItem('430103', '天心区', AreaType.area, 'TianXinQu'),
  AreaItem('430104', '岳麓区', AreaType.area, 'YueLuQu'),
  AreaItem('430105', '开福区', AreaType.area, 'KaiFuQu'),
  AreaItem('430111', '雨花区', AreaType.area, 'YuHuaQu'),
  AreaItem('430112', '望城区', AreaType.area, 'WangChengQu'),
  AreaItem('430121', '长沙县', AreaType.area, 'ChangShaXian'),
  AreaItem('430181', '浏阳市', AreaType.area, 'LiuYangShi'),
  AreaItem('430182', '宁乡市', AreaType.area, 'NingXiangShi'),
  AreaItem('430202', '荷塘区', AreaType.area, 'HeTangQu'),
  AreaItem('430203', '芦淞区', AreaType.area, 'LuSongQu'),
  AreaItem('430204', '石峰区', AreaType.area, 'ShiFengQu'),
  AreaItem('430211', '天元区', AreaType.area, 'TianYuanQu'),
  AreaItem('430221', '株洲县', AreaType.area, 'ZhuZhouXian'),
  AreaItem('430223', '攸县', AreaType.area, 'YouXian'),
  AreaItem('430224', '茶陵县', AreaType.area, 'ChaLingXian'),
  AreaItem('430225', '炎陵县', AreaType.area, 'YanLingXian'),
  AreaItem('430281', '醴陵市', AreaType.area, 'LiLingShi'),
  AreaItem('430302', '雨湖区', AreaType.area, 'YuHuQu'),
  AreaItem('430304', '岳塘区', AreaType.area, 'YueTangQu'),
  AreaItem('430321', '湘潭县', AreaType.area, 'XiangTanXian'),
  AreaItem('430381', '湘乡市', AreaType.area, 'XiangXiangShi'),
  AreaItem('430382', '韶山市', AreaType.area, 'ShaoShanShi'),
  AreaItem('430405', '珠晖区', AreaType.area, 'ZhuHuiQu'),
  AreaItem('430406', '雁峰区', AreaType.area, 'YanFengQu'),
  AreaItem('430407', '石鼓区', AreaType.area, 'ShiGuQu'),
  AreaItem('430408', '蒸湘区', AreaType.area, 'ZhengXiangQu'),
  AreaItem('430412', '南岳区', AreaType.area, 'NanYueQu'),
  AreaItem('430421', '衡阳县', AreaType.area, 'HengYangXian'),
  AreaItem('430422', '衡南县', AreaType.area, 'HengNanXian'),
  AreaItem('430423', '衡山县', AreaType.area, 'HengShanXian'),
  AreaItem('430424', '衡东县', AreaType.area, 'HengDongXian'),
  AreaItem('430426', '祁东县', AreaType.area, 'QiDongXian'),
  AreaItem('430481', '耒阳市', AreaType.area, 'LeiYangShi'),
  AreaItem('430482', '常宁市', AreaType.area, 'ChangNingShi'),
  AreaItem('430502', '双清区', AreaType.area, 'ShuangQingQu'),
  AreaItem('430503', '大祥区', AreaType.area, 'DaXiangQu'),
  AreaItem('430511', '北塔区', AreaType.area, 'BeiTaQu'),
  AreaItem('430521', '邵东县', AreaType.area, 'ShaoDongXian'),
  AreaItem('430522', '新邵县', AreaType.area, 'XinShaoXian'),
  AreaItem('430523', '邵阳县', AreaType.area, 'ShaoYangXian'),
  AreaItem('430524', '隆回县', AreaType.area, 'LongHuiXian'),
  AreaItem('430525', '洞口县', AreaType.area, 'DongKouXian'),
  AreaItem('430527', '绥宁县', AreaType.area, 'SuiNingXian'),
  AreaItem('430528', '新宁县', AreaType.area, 'XinNingXian'),
  AreaItem('430529', '城步苗族自治县', AreaType.area, 'ChengBuMiaoZuZiZhiXian'),
  AreaItem('430581', '武冈市', AreaType.area, 'WuGangShi'),
  AreaItem('430602', '岳阳楼区', AreaType.area, 'YueYangLouQu'),
  AreaItem('430603', '云溪区', AreaType.area, 'YunXiQu'),
  AreaItem('430611', '君山区', AreaType.area, 'JunShanQu'),
  AreaItem('430621', '岳阳县', AreaType.area, 'YueYangXian'),
  AreaItem('430623', '华容县', AreaType.area, 'HuaRongXian'),
  AreaItem('430624', '湘阴县', AreaType.area, 'XiangYinXian'),
  AreaItem('430626', '平江县', AreaType.area, 'PingJiangXian'),
  AreaItem('430681', '汨罗市', AreaType.area, 'MiLuoShi'),
  AreaItem('430682', '临湘市', AreaType.area, 'LinXiangShi'),
  AreaItem('430702', '武陵区', AreaType.area, 'WuLingQu'),
  AreaItem('430703', '鼎城区', AreaType.area, 'DingChengQu'),
  AreaItem('430721', '安乡县', AreaType.area, 'AnXiangXian'),
  AreaItem('430722', '汉寿县', AreaType.area, 'HanShouXian'),
  AreaItem('430723', '澧县', AreaType.area, 'LiXian'),
  AreaItem('430724', '临澧县', AreaType.area, 'LinLiXian'),
  AreaItem('430725', '桃源县', AreaType.area, 'TaoYuanXian'),
  AreaItem('430726', '石门县', AreaType.area, 'ShiMenXian'),
  AreaItem('430781', '津市市', AreaType.area, 'JinShiShi'),
  AreaItem('430802', '永定区', AreaType.area, 'YongDingQu'),
  AreaItem('430811', '武陵源区', AreaType.area, 'WuLingYuanQu'),
  AreaItem('430821', '慈利县', AreaType.area, 'CiLiXian'),
  AreaItem('430822', '桑植县', AreaType.area, 'SangZhiXian'),
  AreaItem('430902', '资阳区', AreaType.area, 'ZiYangQu'),
  AreaItem('430903', '赫山区', AreaType.area, 'HeShanQu'),
  AreaItem('430921', '南县', AreaType.area, 'NanXian'),
  AreaItem('430922', '桃江县', AreaType.area, 'TaoJiangXian'),
  AreaItem('430923', '安化县', AreaType.area, 'AnHuaXian'),
  AreaItem('430981', '沅江市', AreaType.area, 'YuanJiangShi'),
  AreaItem('431002', '北湖区', AreaType.area, 'BeiHuQu'),
  AreaItem('431003', '苏仙区', AreaType.area, 'SuXianQu'),
  AreaItem('431021', '桂阳县', AreaType.area, 'GuiYangXian'),
  AreaItem('431022', '宜章县', AreaType.area, 'YiZhangXian'),
  AreaItem('431023', '永兴县', AreaType.area, 'YongXingXian'),
  AreaItem('431024', '嘉禾县', AreaType.area, 'JiaHeXian'),
  AreaItem('431025', '临武县', AreaType.area, 'LinWuXian'),
  AreaItem('431026', '汝城县', AreaType.area, 'RuChengXian'),
  AreaItem('431027', '桂东县', AreaType.area, 'GuiDongXian'),
  AreaItem('431028', '安仁县', AreaType.area, 'AnRenXian'),
  AreaItem('431081', '资兴市', AreaType.area, 'ZiXingShi'),
  AreaItem('431102', '零陵区', AreaType.area, 'LingLingQu'),
  AreaItem('431103', '冷水滩区', AreaType.area, 'LengShuiTanQu'),
  AreaItem('431121', '祁阳县', AreaType.area, 'QiYangXian'),
  AreaItem('431122', '东安县', AreaType.area, 'DongAnXian'),
  AreaItem('431123', '双牌县', AreaType.area, 'ShuangPaiXian'),
  AreaItem('431124', '道县', AreaType.area, 'DaoXian'),
  AreaItem('431125', '江永县', AreaType.area, 'JiangYongXian'),
  AreaItem('431126', '宁远县', AreaType.area, 'NingYuanXian'),
  AreaItem('431127', '蓝山县', AreaType.area, 'LanShanXian'),
  AreaItem('431128', '新田县', AreaType.area, 'XinTianXian'),
  AreaItem('431129', '江华瑶族自治县', AreaType.area, 'JiangHuaYaoZuZiZhiXian'),
  AreaItem('431202', '鹤城区', AreaType.area, 'HeChengQu'),
  AreaItem('431221', '中方县', AreaType.area, 'ZhongFangXian'),
  AreaItem('431222', '沅陵县', AreaType.area, 'YuanLingXian'),
  AreaItem('431223', '辰溪县', AreaType.area, 'ChenXiXian'),
  AreaItem('431224', '溆浦县', AreaType.area, 'XuPuXian'),
  AreaItem('431225', '会同县', AreaType.area, 'HuiTongXian'),
  AreaItem('431226', '麻阳苗族自治县', AreaType.area, 'MaYangMiaoZuZiZhiXian'),
  AreaItem('431227', '新晃侗族自治县', AreaType.area, 'XinHuangDongZuZiZhiXian'),
  AreaItem('431228', '芷江侗族自治县', AreaType.area, 'ZhiJiangDongZuZiZhiXian'),
  AreaItem('431229', '靖州苗族侗族自治县', AreaType.area, 'JingZhouMiaoZuDongZuZiZhiXian'),
  AreaItem('431230', '通道侗族自治县', AreaType.area, 'TongDaoDongZuZiZhiXian'),
  AreaItem('431281', '洪江市', AreaType.area, 'HongJiangShi'),
  AreaItem('431302', '娄星区', AreaType.area, 'LouXingQu'),
  AreaItem('431321', '双峰县', AreaType.area, 'ShuangFengXian'),
  AreaItem('431322', '新化县', AreaType.area, 'XinHuaXian'),
  AreaItem('431381', '冷水江市', AreaType.area, 'LengShuiJiangShi'),
  AreaItem('431382', '涟源市', AreaType.area, 'LianYuanShi'),
  AreaItem('433101', '吉首市', AreaType.area, 'JiShouShi'),
  AreaItem('433122', '泸溪县', AreaType.area, 'LuXiXian'),
  AreaItem('433123', '凤凰县', AreaType.area, 'FengHuangXian'),
  AreaItem('433124', '花垣县', AreaType.area, 'HuaYuanXian'),
  AreaItem('433125', '保靖县', AreaType.area, 'BaoJingXian'),
  AreaItem('433126', '古丈县', AreaType.area, 'GuZhangXian'),
  AreaItem('433127', '永顺县', AreaType.area, 'YongShunXian'),
  AreaItem('433130', '龙山县', AreaType.area, 'LongShanXian'),
  AreaItem('440103', '荔湾区', AreaType.area, 'LiWanQu'),
  AreaItem('440104', '越秀区', AreaType.area, 'YueXiuQu'),
  AreaItem('440105', '海珠区', AreaType.area, 'HaiZhuQu'),
  AreaItem('440106', '天河区', AreaType.area, 'TianHeQu'),
  AreaItem('440111', '白云区', AreaType.area, 'BaiYunQu'),
  AreaItem('440112', '黄埔区', AreaType.area, 'HuangPuQu'),
  AreaItem('440113', '番禺区', AreaType.area, 'FanYuQu'),
  AreaItem('440114', '花都区', AreaType.area, 'HuaDuQu'),
  AreaItem('440115', '南沙区', AreaType.area, 'NanShaQu'),
  AreaItem('440117', '从化区', AreaType.area, 'CongHuaQu'),
  AreaItem('440118', '增城区', AreaType.area, 'ZengChengQu'),
  AreaItem('440203', '武江区', AreaType.area, 'WuJiangQu'),
  AreaItem('440204', '浈江区', AreaType.area, 'ZhenJiangQu'),
  AreaItem('440205', '曲江区', AreaType.area, 'QuJiangQu'),
  AreaItem('440222', '始兴县', AreaType.area, 'ShiXingXian'),
  AreaItem('440224', '仁化县', AreaType.area, 'RenHuaXian'),
  AreaItem('440229', '翁源县', AreaType.area, 'WengYuanXian'),
  AreaItem('440232', '乳源瑶族自治县', AreaType.area, 'RuYuanYaoZuZiZhiXian'),
  AreaItem('440233', '新丰县', AreaType.area, 'XinFengXian'),
  AreaItem('440281', '乐昌市', AreaType.area, 'LeChangShi'),
  AreaItem('440282', '南雄市', AreaType.area, 'NanXiongShi'),
  AreaItem('440303', '罗湖区', AreaType.area, 'LuoHuQu'),
  AreaItem('440304', '福田区', AreaType.area, 'FuTianQu'),
  AreaItem('440305', '南山区', AreaType.area, 'NanShanQu'),
  AreaItem('440306', '宝安区', AreaType.area, 'BaoAnQu'),
  AreaItem('440307', '龙岗区', AreaType.area, 'LongGangQu'),
  AreaItem('440308', '盐田区', AreaType.area, 'YanTianQu'),
  AreaItem('440309', '龙华区', AreaType.area, 'LongHuaQu'),
  AreaItem('440310', '坪山区', AreaType.area, 'PingShanQu'),
  AreaItem('440402', '香洲区', AreaType.area, 'XiangZhouQu'),
  AreaItem('440403', '斗门区', AreaType.area, 'DouMenQu'),
  AreaItem('440404', '金湾区', AreaType.area, 'JinWanQu'),
  AreaItem('440507', '龙湖区', AreaType.area, 'LongHuQu'),
  AreaItem('440511', '金平区', AreaType.area, 'JinPingQu'),
  AreaItem('440512', '濠江区', AreaType.area, 'HaoJiangQu'),
  AreaItem('440513', '潮阳区', AreaType.area, 'ChaoYangQu'),
  AreaItem('440514', '潮南区', AreaType.area, 'ChaoNanQu'),
  AreaItem('440515', '澄海区', AreaType.area, 'ChengHaiQu'),
  AreaItem('440523', '南澳县', AreaType.area, 'NanAoXian'),
  AreaItem('440604', '禅城区', AreaType.area, 'ChanChengQu'),
  AreaItem('440605', '南海区', AreaType.area, 'NanHaiQu'),
  AreaItem('440606', '顺德区', AreaType.area, 'ShunDeQu'),
  AreaItem('440607', '三水区', AreaType.area, 'SanShuiQu'),
  AreaItem('440608', '高明区', AreaType.area, 'GaoMingQu'),
  AreaItem('440703', '蓬江区', AreaType.area, 'PengJiangQu'),
  AreaItem('440704', '江海区', AreaType.area, 'JiangHaiQu'),
  AreaItem('440705', '新会区', AreaType.area, 'XinHuiQu'),
  AreaItem('440781', '台山市', AreaType.area, 'TaiShanShi'),
  AreaItem('440783', '开平市', AreaType.area, 'KaiPingShi'),
  AreaItem('440784', '鹤山市', AreaType.area, 'HeShanShi'),
  AreaItem('440785', '恩平市', AreaType.area, 'EnPingShi'),
  AreaItem('440802', '赤坎区', AreaType.area, 'ChiKanQu'),
  AreaItem('440803', '霞山区', AreaType.area, 'XiaShanQu'),
  AreaItem('440804', '坡头区', AreaType.area, 'PoTouQu'),
  AreaItem('440811', '麻章区', AreaType.area, 'MaZhangQu'),
  AreaItem('440823', '遂溪县', AreaType.area, 'SuiXiXian'),
  AreaItem('440825', '徐闻县', AreaType.area, 'XuWenXian'),
  AreaItem('440881', '廉江市', AreaType.area, 'LianJiangShi'),
  AreaItem('440882', '雷州市', AreaType.area, 'LeiZhouShi'),
  AreaItem('440883', '吴川市', AreaType.area, 'WuChuanShi'),
  AreaItem('440902', '茂南区', AreaType.area, 'MaoNanQu'),
  AreaItem('440904', '电白区', AreaType.area, 'DianBaiQu'),
  AreaItem('440981', '高州市', AreaType.area, 'GaoZhouShi'),
  AreaItem('440982', '化州市', AreaType.area, 'HuaZhouShi'),
  AreaItem('440983', '信宜市', AreaType.area, 'XinYiShi'),
  AreaItem('441202', '端州区', AreaType.area, 'DuanZhouQu'),
  AreaItem('441203', '鼎湖区', AreaType.area, 'DingHuQu'),
  AreaItem('441204', '高要区', AreaType.area, 'GaoYaoQu'),
  AreaItem('441223', '广宁县', AreaType.area, 'GuangNingXian'),
  AreaItem('441224', '怀集县', AreaType.area, 'HuaiJiXian'),
  AreaItem('441225', '封开县', AreaType.area, 'FengKaiXian'),
  AreaItem('441226', '德庆县', AreaType.area, 'DeQingXian'),
  AreaItem('441284', '四会市', AreaType.area, 'SiHuiShi'),
  AreaItem('441302', '惠城区', AreaType.area, 'HuiChengQu'),
  AreaItem('441303', '惠阳区', AreaType.area, 'HuiYangQu'),
  AreaItem('441322', '博罗县', AreaType.area, 'BoLuoXian'),
  AreaItem('441323', '惠东县', AreaType.area, 'HuiDongXian'),
  AreaItem('441324', '龙门县', AreaType.area, 'LongMenXian'),
  AreaItem('441402', '梅江区', AreaType.area, 'MeiJiangQu'),
  AreaItem('441403', '梅县区', AreaType.area, 'MeiXianQu'),
  AreaItem('441422', '大埔县', AreaType.area, 'DaPuXian'),
  AreaItem('441423', '丰顺县', AreaType.area, 'FengShunXian'),
  AreaItem('441424', '五华县', AreaType.area, 'WuHuaXian'),
  AreaItem('441426', '平远县', AreaType.area, 'PingYuanXian'),
  AreaItem('441427', '蕉岭县', AreaType.area, 'JiaoLingXian'),
  AreaItem('441481', '兴宁市', AreaType.area, 'XingNingShi'),
  AreaItem('441502', '城区', AreaType.area, 'ChengQu'),
  AreaItem('441521', '海丰县', AreaType.area, 'HaiFengXian'),
  AreaItem('441523', '陆河县', AreaType.area, 'LuHeXian'),
  AreaItem('441581', '陆丰市', AreaType.area, 'LuFengShi'),
  AreaItem('441602', '源城区', AreaType.area, 'YuanChengQu'),
  AreaItem('441621', '紫金县', AreaType.area, 'ZiJinXian'),
  AreaItem('441622', '龙川县', AreaType.area, 'LongChuanXian'),
  AreaItem('441623', '连平县', AreaType.area, 'LianPingXian'),
  AreaItem('441624', '和平县', AreaType.area, 'HePingXian'),
  AreaItem('441625', '东源县', AreaType.area, 'DongYuanXian'),
  AreaItem('441702', '江城区', AreaType.area, 'JiangChengQu'),
  AreaItem('441704', '阳东区', AreaType.area, 'YangDongQu'),
  AreaItem('441721', '阳西县', AreaType.area, 'YangXiXian'),
  AreaItem('441781', '阳春市', AreaType.area, 'YangChunShi'),
  AreaItem('441802', '清城区', AreaType.area, 'QingChengQu'),
  AreaItem('441803', '清新区', AreaType.area, 'QingXinQu'),
  AreaItem('441821', '佛冈县', AreaType.area, 'FoGangXian'),
  AreaItem('441823', '阳山县', AreaType.area, 'YangShanXian'),
  AreaItem('441825', '连山壮族瑶族自治县', AreaType.area, 'LianShanZhuangZuYaoZuZiZhiXian'),
  AreaItem('441826', '连南瑶族自治县', AreaType.area, 'LianNanYaoZuZiZhiXian'),
  AreaItem('441881', '英德市', AreaType.area, 'YingDeShi'),
  AreaItem('441882', '连州市', AreaType.area, 'LianZhouShi'),
  AreaItem('441901', '东城街道', AreaType.area, 'DongChengJieDao'),
  AreaItem('441902', '南城街道', AreaType.area, 'NanChengJieDao'),
  AreaItem('441903', '万江街道', AreaType.area, 'WanJiangJieDao'),
  AreaItem('441904', '莞城街道', AreaType.area, 'GuanChengJieDao'),
  AreaItem('441905', '石碣镇', AreaType.area, 'ShiJieZhen'),
  AreaItem('441906', '石龙镇', AreaType.area, 'ShiLongZhen'),
  AreaItem('441907', '茶山镇', AreaType.area, 'ChaShanZhen'),
  AreaItem('441908', '石排镇', AreaType.area, 'ShiPaiZhen'),
  AreaItem('441909', '企石镇', AreaType.area, 'QiShiZhen'),
  AreaItem('441910', '横沥镇', AreaType.area, 'HengLiZhen'),
  AreaItem('441911', '桥头镇', AreaType.area, 'QiaoTouZhen'),
  AreaItem('441912', '谢岗镇', AreaType.area, 'XieGangZhen'),
  AreaItem('441913', '东坑镇', AreaType.area, 'DongKengZhen'),
  AreaItem('441914', '常平镇', AreaType.area, 'ChangPingZhen'),
  AreaItem('441915', '寮步镇', AreaType.area, 'LiaoBuZhen'),
  AreaItem('441916', '樟木头镇', AreaType.area, 'ZhangMuTouZhen'),
  AreaItem('441917', '大朗镇', AreaType.area, 'DaLangZhen'),
  AreaItem('441918', '黄江镇', AreaType.area, 'HuangJiangZhen'),
  AreaItem('441919', '清溪镇', AreaType.area, 'QingXiZhen'),
  AreaItem('441920', '塘厦镇', AreaType.area, 'TangShaZhen'),
  AreaItem('441921', '凤岗镇', AreaType.area, 'FengGangZhen'),
  AreaItem('441922', '大岭山镇', AreaType.area, 'DaLingShanZhen'),
  AreaItem('441923', '长安镇', AreaType.area, 'ChangAnZhen'),
  AreaItem('441924', '虎门镇', AreaType.area, 'HuMenZhen'),
  AreaItem('441925', '厚街镇', AreaType.area, 'HouJieZhen'),
  AreaItem('441926', '沙田镇', AreaType.area, 'ShaTianZhen'),
  AreaItem('441927', '道滘镇', AreaType.area, 'DaoJiaoZhen'),
  AreaItem('441928', '洪梅镇', AreaType.area, 'HongMeiZhen'),
  AreaItem('441929', '麻涌镇', AreaType.area, 'MaYongZhen'),
  AreaItem('441930', '望牛墩镇', AreaType.area, 'WangNiuDunZhen'),
  AreaItem('441931', '中堂镇', AreaType.area, 'ZhongTangZhen'),
  AreaItem('441932', '高埗镇', AreaType.area, 'GaoBuZhen'),
  AreaItem('441933', '松山湖管委会', AreaType.area, 'SongShanHuGuanWeiHui'),
  AreaItem('441934', '虎门港管委会', AreaType.area, 'HuMenGangGuanWeiHui'),
  AreaItem('441935', '东莞生态园', AreaType.area, 'DongGuanShengTaiYuan'),
  AreaItem('442001', '石岐区街道', AreaType.area, 'ShiQiQuJieDao'),
  AreaItem('442002', '东区街道', AreaType.area, 'DongQuJieDao'),
  AreaItem('442003', '火炬开发区', AreaType.area, 'HuoJuKaiFaQu'),
  AreaItem('442004', '西区街道', AreaType.area, 'XiQuJieDao'),
  AreaItem('442005', '南区街道', AreaType.area, 'NanQuJieDao'),
  AreaItem('442006', '五桂山街道', AreaType.area, 'WuGuiShanJieDao'),
  AreaItem('442007', '小榄镇', AreaType.area, 'XiaoLanZhen'),
  AreaItem('442008', '黄圃镇', AreaType.area, 'HuangPuZhen'),
  AreaItem('442009', '民众镇', AreaType.area, 'MinZhongZhen'),
  AreaItem('442010', '东凤镇', AreaType.area, 'DongFengZhen'),
  AreaItem('442011', '东升镇', AreaType.area, 'DongShengZhen'),
  AreaItem('442012', '古镇镇', AreaType.area, 'GuZhenZhen'),
  AreaItem('442013', '沙溪镇', AreaType.area, 'ShaXiZhen'),
  AreaItem('442014', '坦洲镇', AreaType.area, 'TanZhouZhen'),
  AreaItem('442015', '港口镇', AreaType.area, 'GangKouZhen'),
  AreaItem('442016', '三角镇', AreaType.area, 'SanJiaoZhen'),
  AreaItem('442017', '横栏镇', AreaType.area, 'HengLanZhen'),
  AreaItem('442018', '南头镇', AreaType.area, 'NanTouZhen'),
  AreaItem('442019', '阜沙镇', AreaType.area, 'FuShaZhen'),
  AreaItem('442020', '南朗镇', AreaType.area, 'NanLangZhen'),
  AreaItem('442021', '三乡镇', AreaType.area, 'SanXiangZhen'),
  AreaItem('442022', '板芙镇', AreaType.area, 'BanFuZhen'),
  AreaItem('442023', '大涌镇', AreaType.area, 'DaYongZhen'),
  AreaItem('442024', '神湾镇', AreaType.area, 'ShenWanZhen'),
  AreaItem('445102', '湘桥区', AreaType.area, 'XiangQiaoQu'),
  AreaItem('445103', '潮安区', AreaType.area, 'ChaoAnQu'),
  AreaItem('445122', '饶平县', AreaType.area, 'RaoPingXian'),
  AreaItem('445202', '榕城区', AreaType.area, 'RongChengQu'),
  AreaItem('445203', '揭东区', AreaType.area, 'JieDongQu'),
  AreaItem('445222', '揭西县', AreaType.area, 'JieXiXian'),
  AreaItem('445224', '惠来县', AreaType.area, 'HuiLaiXian'),
  AreaItem('445281', '普宁市', AreaType.area, 'PuNingShi'),
  AreaItem('445302', '云城区', AreaType.area, 'YunChengQu'),
  AreaItem('445303', '云安区', AreaType.area, 'YunAnQu'),
  AreaItem('445321', '新兴县', AreaType.area, 'XinXingXian'),
  AreaItem('445322', '郁南县', AreaType.area, 'YuNanXian'),
  AreaItem('445381', '罗定市', AreaType.area, 'LuoDingShi'),
  AreaItem('450102', '兴宁区', AreaType.area, 'XingNingQu'),
  AreaItem('450103', '青秀区', AreaType.area, 'QingXiuQu'),
  AreaItem('450105', '江南区', AreaType.area, 'JiangNanQu'),
  AreaItem('450107', '西乡塘区', AreaType.area, 'XiXiangTangQu'),
  AreaItem('450108', '良庆区', AreaType.area, 'LiangQingQu'),
  AreaItem('450109', '邕宁区', AreaType.area, 'YongNingQu'),
  AreaItem('450110', '武鸣区', AreaType.area, 'WuMingQu'),
  AreaItem('450123', '隆安县', AreaType.area, 'LongAnXian'),
  AreaItem('450124', '马山县', AreaType.area, 'MaShanXian'),
  AreaItem('450125', '上林县', AreaType.area, 'ShangLinXian'),
  AreaItem('450126', '宾阳县', AreaType.area, 'BinYangXian'),
  AreaItem('450127', '横县', AreaType.area, 'HengXian'),
  AreaItem('450202', '城中区', AreaType.area, 'ChengZhongQu'),
  AreaItem('450203', '鱼峰区', AreaType.area, 'YuFengQu'),
  AreaItem('450204', '柳南区', AreaType.area, 'LiuNanQu'),
  AreaItem('450205', '柳北区', AreaType.area, 'LiuBeiQu'),
  AreaItem('450206', '柳江区', AreaType.area, 'LiuJiangQu'),
  AreaItem('450222', '柳城县', AreaType.area, 'LiuChengXian'),
  AreaItem('450223', '鹿寨县', AreaType.area, 'LuZhaiXian'),
  AreaItem('450224', '融安县', AreaType.area, 'RongAnXian'),
  AreaItem('450225', '融水苗族自治县', AreaType.area, 'RongShuiMiaoZuZiZhiXian'),
  AreaItem('450226', '三江侗族自治县', AreaType.area, 'SanJiangDongZuZiZhiXian'),
  AreaItem('450302', '秀峰区', AreaType.area, 'XiuFengQu'),
  AreaItem('450303', '叠彩区', AreaType.area, 'DieCaiQu'),
  AreaItem('450304', '象山区', AreaType.area, 'XiangShanQu'),
  AreaItem('450305', '七星区', AreaType.area, 'QiXingQu'),
  AreaItem('450311', '雁山区', AreaType.area, 'YanShanQu'),
  AreaItem('450312', '临桂区', AreaType.area, 'LinGuiQu'),
  AreaItem('450321', '阳朔县', AreaType.area, 'YangShuoXian'),
  AreaItem('450323', '灵川县', AreaType.area, 'LingChuanXian'),
  AreaItem('450324', '全州县', AreaType.area, 'QuanZhouXian'),
  AreaItem('450325', '兴安县', AreaType.area, 'XingAnXian'),
  AreaItem('450326', '永福县', AreaType.area, 'YongFuXian'),
  AreaItem('450327', '灌阳县', AreaType.area, 'GuanYangXian'),
  AreaItem('450328', '龙胜各族自治县', AreaType.area, 'LongShengGeZuZiZhiXian'),
  AreaItem('450329', '资源县', AreaType.area, 'ZiYuanXian'),
  AreaItem('450330', '平乐县', AreaType.area, 'PingLeXian'),
  AreaItem('450331', '荔浦县', AreaType.area, 'LiPuXian'),
  AreaItem('450332', '恭城瑶族自治县', AreaType.area, 'GongChengYaoZuZiZhiXian'),
  AreaItem('450403', '万秀区', AreaType.area, 'WanXiuQu'),
  AreaItem('450405', '长洲区', AreaType.area, 'ChangZhouQu'),
  AreaItem('450406', '龙圩区', AreaType.area, 'LongWeiQu'),
  AreaItem('450421', '苍梧县', AreaType.area, 'CangWuXian'),
  AreaItem('450422', '藤县', AreaType.area, 'TengXian'),
  AreaItem('450423', '蒙山县', AreaType.area, 'MengShanXian'),
  AreaItem('450481', '岑溪市', AreaType.area, 'CenXiShi'),
  AreaItem('450502', '海城区', AreaType.area, 'HaiChengQu'),
  AreaItem('450503', '银海区', AreaType.area, 'YinHaiQu'),
  AreaItem('450512', '铁山港区', AreaType.area, 'TieShanGangQu'),
  AreaItem('450521', '合浦县', AreaType.area, 'HePuXian'),
  AreaItem('450602', '港口区', AreaType.area, 'GangKouQu'),
  AreaItem('450603', '防城区', AreaType.area, 'FangChengQu'),
  AreaItem('450621', '上思县', AreaType.area, 'ShangSiXian'),
  AreaItem('450681', '东兴市', AreaType.area, 'DongXingShi'),
  AreaItem('450702', '钦南区', AreaType.area, 'QinNanQu'),
  AreaItem('450703', '钦北区', AreaType.area, 'QinBeiQu'),
  AreaItem('450721', '灵山县', AreaType.area, 'LingShanXian'),
  AreaItem('450722', '浦北县', AreaType.area, 'PuBeiXian'),
  AreaItem('450802', '港北区', AreaType.area, 'GangBeiQu'),
  AreaItem('450803', '港南区', AreaType.area, 'GangNanQu'),
  AreaItem('450804', '覃塘区', AreaType.area, 'TanTangQu'),
  AreaItem('450821', '平南县', AreaType.area, 'PingNanXian'),
  AreaItem('450881', '桂平市', AreaType.area, 'GuiPingShi'),
  AreaItem('450902', '玉州区', AreaType.area, 'YuZhouQu'),
  AreaItem('450903', '福绵区', AreaType.area, 'FuMianQu'),
  AreaItem('450921', '容县', AreaType.area, 'RongXian'),
  AreaItem('450922', '陆川县', AreaType.area, 'LuChuanXian'),
  AreaItem('450923', '博白县', AreaType.area, 'BoBaiXian'),
  AreaItem('450924', '兴业县', AreaType.area, 'XingYeXian'),
  AreaItem('450981', '北流市', AreaType.area, 'BeiLiuShi'),
  AreaItem('451002', '右江区', AreaType.area, 'YouJiangQu'),
  AreaItem('451021', '田阳县', AreaType.area, 'TianYangXian'),
  AreaItem('451022', '田东县', AreaType.area, 'TianDongXian'),
  AreaItem('451023', '平果县', AreaType.area, 'PingGuoXian'),
  AreaItem('451024', '德保县', AreaType.area, 'DeBaoXian'),
  AreaItem('451026', '那坡县', AreaType.area, 'NaPoXian'),
  AreaItem('451027', '凌云县', AreaType.area, 'LingYunXian'),
  AreaItem('451028', '乐业县', AreaType.area, 'LeYeXian'),
  AreaItem('451029', '田林县', AreaType.area, 'TianLinXian'),
  AreaItem('451030', '西林县', AreaType.area, 'XiLinXian'),
  AreaItem('451031', '隆林各族自治县', AreaType.area, 'LongLinGeZuZiZhiXian'),
  AreaItem('451081', '靖西市', AreaType.area, 'JingXiShi'),
  AreaItem('451102', '八步区', AreaType.area, 'BaBuQu'),
  AreaItem('451103', '平桂区', AreaType.area, 'PingGuiQu'),
  AreaItem('451121', '昭平县', AreaType.area, 'ZhaoPingXian'),
  AreaItem('451122', '钟山县', AreaType.area, 'ZhongShanXian'),
  AreaItem('451123', '富川瑶族自治县', AreaType.area, 'FuChuanYaoZuZiZhiXian'),
  AreaItem('451202', '金城江区', AreaType.area, 'JinChengJiangQu'),
  AreaItem('451203', '宜州区', AreaType.area, 'YiZhouQu'),
  AreaItem('451221', '南丹县', AreaType.area, 'NanDanXian'),
  AreaItem('451222', '天峨县', AreaType.area, 'TianEXian'),
  AreaItem('451223', '凤山县', AreaType.area, 'FengShanXian'),
  AreaItem('451224', '东兰县', AreaType.area, 'DongLanXian'),
  AreaItem('451225', '罗城仫佬族自治县', AreaType.area, 'LuoChengMuLaoZuZiZhiXian'),
  AreaItem('451226', '环江毛南族自治县', AreaType.area, 'HuanJiangMaoNanZuZiZhiXian'),
  AreaItem('451227', '巴马瑶族自治县', AreaType.area, 'BaMaYaoZuZiZhiXian'),
  AreaItem('451228', '都安瑶族自治县', AreaType.area, 'DuAnYaoZuZiZhiXian'),
  AreaItem('451229', '大化瑶族自治县', AreaType.area, 'DaHuaYaoZuZiZhiXian'),
  AreaItem('451302', '兴宾区', AreaType.area, 'XingBinQu'),
  AreaItem('451321', '忻城县', AreaType.area, 'XinChengXian'),
  AreaItem('451322', '象州县', AreaType.area, 'XiangZhouXian'),
  AreaItem('451323', '武宣县', AreaType.area, 'WuXuanXian'),
  AreaItem('451324', '金秀瑶族自治县', AreaType.area, 'JinXiuYaoZuZiZhiXian'),
  AreaItem('451381', '合山市', AreaType.area, 'HeShanShi'),
  AreaItem('451402', '江州区', AreaType.area, 'JiangZhouQu'),
  AreaItem('451421', '扶绥县', AreaType.area, 'FuSuiXian'),
  AreaItem('451422', '宁明县', AreaType.area, 'NingMingXian'),
  AreaItem('451423', '龙州县', AreaType.area, 'LongZhouXian'),
  AreaItem('451424', '大新县', AreaType.area, 'DaXinXian'),
  AreaItem('451425', '天等县', AreaType.area, 'TianDengXian'),
  AreaItem('451481', '凭祥市', AreaType.area, 'PingXiangShi'),
  AreaItem('460105', '秀英区', AreaType.area, 'XiuYingQu'),
  AreaItem('460106', '龙华区', AreaType.area, 'LongHuaQu'),
  AreaItem('460107', '琼山区', AreaType.area, 'QiongShanQu'),
  AreaItem('460108', '美兰区', AreaType.area, 'MeiLanQu'),
  AreaItem('460202', '海棠区', AreaType.area, 'HaiTangQu'),
  AreaItem('460203', '吉阳区', AreaType.area, 'JiYangQu'),
  AreaItem('460204', '天涯区', AreaType.area, 'TianYaQu'),
  AreaItem('460205', '崖州区', AreaType.area, 'YaZhouQu'),
  AreaItem('460321', '西沙群岛', AreaType.area, 'XiShaQunDao'),
  AreaItem('460322', '南沙群岛', AreaType.area, 'NanShaQunDao'),
  AreaItem('460323', '中沙群岛的岛礁及其海域', AreaType.area, 'ZhongShaQunDaoDeDaoJiaoJiQiHaiYu'),
  AreaItem('460401', '那大镇', AreaType.area, 'NaDaZhen'),
  AreaItem('460402', '和庆镇', AreaType.area, 'HeQingZhen'),
  AreaItem('460403', '南丰镇', AreaType.area, 'NanFengZhen'),
  AreaItem('460404', '大成镇', AreaType.area, 'DaChengZhen'),
  AreaItem('460405', '雅星镇', AreaType.area, 'YaXingZhen'),
  AreaItem('460406', '兰洋镇', AreaType.area, 'LanYangZhen'),
  AreaItem('460407', '光村镇', AreaType.area, 'GuangCunZhen'),
  AreaItem('460408', '木棠镇', AreaType.area, 'MuTangZhen'),
  AreaItem('460409', '海头镇', AreaType.area, 'HaiTouZhen'),
  AreaItem('460410', '峨蔓镇', AreaType.area, 'EManZhen'),
  AreaItem('460411', '三都镇', AreaType.area, 'SanDuZhen'),
  AreaItem('460412', '王五镇', AreaType.area, 'WangWuZhen'),
  AreaItem('460413', '白马井镇', AreaType.area, 'BaiMaJingZhen'),
  AreaItem('460414', '中和镇', AreaType.area, 'ZhongHeZhen'),
  AreaItem('460415', '排浦镇', AreaType.area, 'PaiPuZhen'),
  AreaItem('460416', '东成镇', AreaType.area, 'DongChengZhen'),
  AreaItem('460417', '新州镇', AreaType.area, 'XinZhouZhen'),
  AreaItem('460418', '国营西培农场', AreaType.area, 'GuoYingXiPeiNongChang'),
  AreaItem('460419', '国营西联农场', AreaType.area, 'GuoYingXiLianNongChang'),
  AreaItem('460420', '国营蓝洋农场', AreaType.area, 'GuoYingLanYangNongChang'),
  AreaItem('460421', '国营八一农场', AreaType.area, 'GuoYingBaYiNongChang'),
  AreaItem('460422', '洋浦经济开发区', AreaType.area, 'YangPuJingJiKaiFaQu'),
  AreaItem('460423', '华南热作学院', AreaType.area, 'HuaNanReZuoXueYuan'),
  AreaItem('460424', '红岭农场', AreaType.area, 'HongLingNongChang'),
  AreaItem('469001', '五指山市', AreaType.area, 'WuZhiShanShi'),
  AreaItem('469002', '琼海市', AreaType.area, 'QiongHaiShi'),
  AreaItem('469005', '文昌市', AreaType.area, 'WenChangShi'),
  AreaItem('469006', '万宁市', AreaType.area, 'WanNingShi'),
  AreaItem('469007', '东方市', AreaType.area, 'DongFangShi'),
  AreaItem('469021', '定安县', AreaType.area, 'DingAnXian'),
  AreaItem('469022', '屯昌县', AreaType.area, 'TunChangXian'),
  AreaItem('469023', '澄迈县', AreaType.area, 'ChengMaiXian'),
  AreaItem('469024', '临高县', AreaType.area, 'LinGaoXian'),
  AreaItem('469025', '白沙黎族自治县', AreaType.area, 'BaiShaLiZuZiZhiXian'),
  AreaItem('469026', '昌江黎族自治县', AreaType.area, 'ChangJiangLiZuZiZhiXian'),
  AreaItem('469027', '乐东黎族自治县', AreaType.area, 'LeDongLiZuZiZhiXian'),
  AreaItem('469028', '陵水黎族自治县', AreaType.area, 'LingShuiLiZuZiZhiXian'),
  AreaItem('469029', '保亭黎族苗族自治县', AreaType.area, 'BaoTingLiZuMiaoZuZiZhiXian'),
  AreaItem('469030', '琼中黎族苗族自治县', AreaType.area, 'QiongZhongLiZuMiaoZuZiZhiXian'),
  AreaItem('500101', '万州区', AreaType.area, 'WanZhouQu'),
  AreaItem('500102', '涪陵区', AreaType.area, 'FuLingQu'),
  AreaItem('500103', '渝中区', AreaType.area, 'YuZhongQu'),
  AreaItem('500104', '大渡口区', AreaType.area, 'DaDuKouQu'),
  AreaItem('500105', '江北区', AreaType.area, 'JiangBeiQu'),
  AreaItem('500106', '沙坪坝区', AreaType.area, 'ShaPingBaQu'),
  AreaItem('500107', '九龙坡区', AreaType.area, 'JiuLongPoQu'),
  AreaItem('500108', '南岸区', AreaType.area, 'NanAnQu'),
  AreaItem('500109', '北碚区', AreaType.area, 'BeiBeiQu'),
  AreaItem('500110', '綦江区', AreaType.area, 'QiJiangQu'),
  AreaItem('500111', '大足区', AreaType.area, 'DaZuQu'),
  AreaItem('500112', '渝北区', AreaType.area, 'YuBeiQu'),
  AreaItem('500113', '巴南区', AreaType.area, 'BaNanQu'),
  AreaItem('500114', '黔江区', AreaType.area, 'QianJiangQu'),
  AreaItem('500115', '长寿区', AreaType.area, 'ChangShouQu'),
  AreaItem('500116', '江津区', AreaType.area, 'JiangJinQu'),
  AreaItem('500117', '合川区', AreaType.area, 'HeChuanQu'),
  AreaItem('500118', '永川区', AreaType.area, 'YongChuanQu'),
  AreaItem('500119', '南川区', AreaType.area, 'NanChuanQu'),
  AreaItem('500120', '璧山区', AreaType.area, 'BiShanQu'),
  AreaItem('500151', '铜梁区', AreaType.area, 'TongLiangQu'),
  AreaItem('500152', '潼南区', AreaType.area, 'TongNanQu'),
  AreaItem('500153', '荣昌区', AreaType.area, 'RongChangQu'),
  AreaItem('500154', '开州区', AreaType.area, 'KaiZhouQu'),
  AreaItem('500155', '梁平区', AreaType.area, 'LiangPingQu'),
  AreaItem('500156', '武隆区', AreaType.area, 'WuLongQu'),
  AreaItem('500229', '城口县', AreaType.area, 'ChengKouXian'),
  AreaItem('500230', '丰都县', AreaType.area, 'FengDuXian'),
  AreaItem('500231', '垫江县', AreaType.area, 'DianJiangXian'),
  AreaItem('500233', '忠县', AreaType.area, 'ZhongXian'),
  AreaItem('500235', '云阳县', AreaType.area, 'YunYangXian'),
  AreaItem('500236', '奉节县', AreaType.area, 'FengJieXian'),
  AreaItem('500237', '巫山县', AreaType.area, 'WuShanXian'),
  AreaItem('500238', '巫溪县', AreaType.area, 'WuXiXian'),
  AreaItem('500240', '石柱土家族自治县', AreaType.area, 'ShiZhuTuJiaZuZiZhiXian'),
  AreaItem('500241', '秀山土家族苗族自治县', AreaType.area, 'XiuShanTuJiaZuMiaoZuZiZhiXian'),
  AreaItem('500242', '酉阳土家族苗族自治县', AreaType.area, 'YouYangTuJiaZuMiaoZuZiZhiXian'),
  AreaItem('500243', '彭水苗族土家族自治县', AreaType.area, 'PengShuiMiaoZuTuJiaZuZiZhiXian'),
  AreaItem('510104', '锦江区', AreaType.area, 'JinJiangQu'),
  AreaItem('510105', '青羊区', AreaType.area, 'QingYangQu'),
  AreaItem('510106', '金牛区', AreaType.area, 'JinNiuQu'),
  AreaItem('510107', '武侯区', AreaType.area, 'WuHouQu'),
  AreaItem('510108', '成华区', AreaType.area, 'ChengHuaQu'),
  AreaItem('510112', '龙泉驿区', AreaType.area, 'LongQuanYiQu'),
  AreaItem('510113', '青白江区', AreaType.area, 'QingBaiJiangQu'),
  AreaItem('510114', '新都区', AreaType.area, 'XinDuQu'),
  AreaItem('510115', '温江区', AreaType.area, 'WenJiangQu'),
  AreaItem('510116', '双流区', AreaType.area, 'ShuangLiuQu'),
  AreaItem('510117', '郫都区', AreaType.area, 'PiDuQu'),
  AreaItem('510121', '金堂县', AreaType.area, 'JinTangXian'),
  AreaItem('510129', '大邑县', AreaType.area, 'DaYiXian'),
  AreaItem('510131', '蒲江县', AreaType.area, 'PuJiangXian'),
  AreaItem('510132', '新津县', AreaType.area, 'XinJinXian'),
  AreaItem('510181', '都江堰市', AreaType.area, 'DuJiangYanShi'),
  AreaItem('510182', '彭州市', AreaType.area, 'PengZhouShi'),
  AreaItem('510183', '邛崃市', AreaType.area, 'QiongLaiShi'),
  AreaItem('510184', '崇州市', AreaType.area, 'ChongZhouShi'),
  AreaItem('510185', '简阳市', AreaType.area, 'JianYangShi'),
  AreaItem('510302', '自流井区', AreaType.area, 'ZiLiuJingQu'),
  AreaItem('510303', '贡井区', AreaType.area, 'GongJingQu'),
  AreaItem('510304', '大安区', AreaType.area, 'DaAnQu'),
  AreaItem('510311', '沿滩区', AreaType.area, 'YanTanQu'),
  AreaItem('510321', '荣县', AreaType.area, 'RongXian'),
  AreaItem('510322', '富顺县', AreaType.area, 'FuShunXian'),
  AreaItem('510402', '东区', AreaType.area, 'DongQu'),
  AreaItem('510403', '西区', AreaType.area, 'XiQu'),
  AreaItem('510411', '仁和区', AreaType.area, 'RenHeQu'),
  AreaItem('510421', '米易县', AreaType.area, 'MiYiXian'),
  AreaItem('510422', '盐边县', AreaType.area, 'YanBianXian'),
  AreaItem('510502', '江阳区', AreaType.area, 'JiangYangQu'),
  AreaItem('510503', '纳溪区', AreaType.area, 'NaXiQu'),
  AreaItem('510504', '龙马潭区', AreaType.area, 'LongMaTanQu'),
  AreaItem('510521', '泸县', AreaType.area, 'LuXian'),
  AreaItem('510522', '合江县', AreaType.area, 'HeJiangXian'),
  AreaItem('510524', '叙永县', AreaType.area, 'XuYongXian'),
  AreaItem('510525', '古蔺县', AreaType.area, 'GuLinXian'),
  AreaItem('510603', '旌阳区', AreaType.area, 'JingYangQu'),
  AreaItem('510604', '罗江区', AreaType.area, 'LuoJiangQu'),
  AreaItem('510623', '中江县', AreaType.area, 'ZhongJiangXian'),
  AreaItem('510681', '广汉市', AreaType.area, 'GuangHanShi'),
  AreaItem('510682', '什邡市', AreaType.area, 'ShiFangShi'),
  AreaItem('510683', '绵竹市', AreaType.area, 'MianZhuShi'),
  AreaItem('510703', '涪城区', AreaType.area, 'FuChengQu'),
  AreaItem('510704', '游仙区', AreaType.area, 'YouXianQu'),
  AreaItem('510705', '安州区', AreaType.area, 'AnZhouQu'),
  AreaItem('510722', '三台县', AreaType.area, 'SanTaiXian'),
  AreaItem('510723', '盐亭县', AreaType.area, 'YanTingXian'),
  AreaItem('510725', '梓潼县', AreaType.area, 'ZiTongXian'),
  AreaItem('510726', '北川羌族自治县', AreaType.area, 'BeiChuanQiangZuZiZhiXian'),
  AreaItem('510727', '平武县', AreaType.area, 'PingWuXian'),
  AreaItem('510781', '江油市', AreaType.area, 'JiangYouShi'),
  AreaItem('510802', '利州区', AreaType.area, 'LiZhouQu'),
  AreaItem('510811', '昭化区', AreaType.area, 'ZhaoHuaQu'),
  AreaItem('510812', '朝天区', AreaType.area, 'ZhaoTianQu'),
  AreaItem('510821', '旺苍县', AreaType.area, 'WangCangXian'),
  AreaItem('510822', '青川县', AreaType.area, 'QingChuanXian'),
  AreaItem('510823', '剑阁县', AreaType.area, 'JianGeXian'),
  AreaItem('510824', '苍溪县', AreaType.area, 'CangXiXian'),
  AreaItem('510903', '船山区', AreaType.area, 'ChuanShanQu'),
  AreaItem('510904', '安居区', AreaType.area, 'AnJuQu'),
  AreaItem('510921', '蓬溪县', AreaType.area, 'PengXiXian'),
  AreaItem('510922', '射洪县', AreaType.area, 'SheHongXian'),
  AreaItem('510923', '大英县', AreaType.area, 'DaYingXian'),
  AreaItem('511002', '市中区', AreaType.area, 'ShiZhongQu'),
  AreaItem('511011', '东兴区', AreaType.area, 'DongXingQu'),
  AreaItem('511024', '威远县', AreaType.area, 'WeiYuanXian'),
  AreaItem('511025', '资中县', AreaType.area, 'ZiZhongXian'),
  AreaItem('511083', '隆昌市', AreaType.area, 'LongChangShi'),
  AreaItem('511102', '市中区', AreaType.area, 'ShiZhongQu'),
  AreaItem('511111', '沙湾区', AreaType.area, 'ShaWanQu'),
  AreaItem('511112', '五通桥区', AreaType.area, 'WuTongQiaoQu'),
  AreaItem('511113', '金口河区', AreaType.area, 'JinKouHeQu'),
  AreaItem('511123', '犍为县', AreaType.area, 'JianWeiXian'),
  AreaItem('511124', '井研县', AreaType.area, 'JingYanXian'),
  AreaItem('511126', '夹江县', AreaType.area, 'JiaJiangXian'),
  AreaItem('511129', '沐川县', AreaType.area, 'MuChuanXian'),
  AreaItem('511132', '峨边彝族自治县', AreaType.area, 'EBianYiZuZiZhiXian'),
  AreaItem('511133', '马边彝族自治县', AreaType.area, 'MaBianYiZuZiZhiXian'),
  AreaItem('511181', '峨眉山市', AreaType.area, 'EMeiShanShi'),
  AreaItem('511302', '顺庆区', AreaType.area, 'ShunQingQu'),
  AreaItem('511303', '高坪区', AreaType.area, 'GaoPingQu'),
  AreaItem('511304', '嘉陵区', AreaType.area, 'JiaLingQu'),
  AreaItem('511321', '南部县', AreaType.area, 'NanBuXian'),
  AreaItem('511322', '营山县', AreaType.area, 'YingShanXian'),
  AreaItem('511323', '蓬安县', AreaType.area, 'PengAnXian'),
  AreaItem('511324', '仪陇县', AreaType.area, 'YiLongXian'),
  AreaItem('511325', '西充县', AreaType.area, 'XiChongXian'),
  AreaItem('511381', '阆中市', AreaType.area, 'LangZhongShi'),
  AreaItem('511402', '东坡区', AreaType.area, 'DongPoQu'),
  AreaItem('511403', '彭山区', AreaType.area, 'PengShanQu'),
  AreaItem('511421', '仁寿县', AreaType.area, 'RenShouXian'),
  AreaItem('511423', '洪雅县', AreaType.area, 'HongYaXian'),
  AreaItem('511424', '丹棱县', AreaType.area, 'DanLengXian'),
  AreaItem('511425', '青神县', AreaType.area, 'QingShenXian'),
  AreaItem('511502', '翠屏区', AreaType.area, 'CuiPingQu'),
  AreaItem('511503', '南溪区', AreaType.area, 'NanXiQu'),
  AreaItem('511521', '宜宾县', AreaType.area, 'YiBinXian'),
  AreaItem('511523', '江安县', AreaType.area, 'JiangAnXian'),
  AreaItem('511524', '长宁县', AreaType.area, 'ChangNingXian'),
  AreaItem('511525', '高县', AreaType.area, 'GaoXian'),
  AreaItem('511526', '珙县', AreaType.area, 'GongXian'),
  AreaItem('511527', '筠连县', AreaType.area, 'YunLianXian'),
  AreaItem('511528', '兴文县', AreaType.area, 'XingWenXian'),
  AreaItem('511529', '屏山县', AreaType.area, 'PingShanXian'),
  AreaItem('511602', '广安区', AreaType.area, 'GuangAnQu'),
  AreaItem('511603', '前锋区', AreaType.area, 'QianFengQu'),
  AreaItem('511621', '岳池县', AreaType.area, 'YueChiXian'),
  AreaItem('511622', '武胜县', AreaType.area, 'WuShengXian'),
  AreaItem('511623', '邻水县', AreaType.area, 'LinShuiXian'),
  AreaItem('511681', '华蓥市', AreaType.area, 'HuaYingShi'),
  AreaItem('511702', '通川区', AreaType.area, 'TongChuanQu'),
  AreaItem('511703', '达川区', AreaType.area, 'DaChuanQu'),
  AreaItem('511722', '宣汉县', AreaType.area, 'XuanHanXian'),
  AreaItem('511723', '开江县', AreaType.area, 'KaiJiangXian'),
  AreaItem('511724', '大竹县', AreaType.area, 'DaZhuXian'),
  AreaItem('511725', '渠县', AreaType.area, 'QuXian'),
  AreaItem('511781', '万源市', AreaType.area, 'WanYuanShi'),
  AreaItem('511802', '雨城区', AreaType.area, 'YuChengQu'),
  AreaItem('511803', '名山区', AreaType.area, 'MingShanQu'),
  AreaItem('511822', '荥经县', AreaType.area, 'XingJingXian'),
  AreaItem('511823', '汉源县', AreaType.area, 'HanYuanXian'),
  AreaItem('511824', '石棉县', AreaType.area, 'ShiMianXian'),
  AreaItem('511825', '天全县', AreaType.area, 'TianQuanXian'),
  AreaItem('511826', '芦山县', AreaType.area, 'LuShanXian'),
  AreaItem('511827', '宝兴县', AreaType.area, 'BaoXingXian'),
  AreaItem('511902', '巴州区', AreaType.area, 'BaZhouQu'),
  AreaItem('511903', '恩阳区', AreaType.area, 'EnYangQu'),
  AreaItem('511921', '通江县', AreaType.area, 'TongJiangXian'),
  AreaItem('511922', '南江县', AreaType.area, 'NanJiangXian'),
  AreaItem('511923', '平昌县', AreaType.area, 'PingChangXian'),
  AreaItem('512002', '雁江区', AreaType.area, 'YanJiangQu'),
  AreaItem('512021', '安岳县', AreaType.area, 'AnYueXian'),
  AreaItem('512022', '乐至县', AreaType.area, 'LeZhiXian'),
  AreaItem('513201', '马尔康市', AreaType.area, 'MaErKangShi'),
  AreaItem('513221', '汶川县', AreaType.area, 'WenChuanXian'),
  AreaItem('513222', '理县', AreaType.area, 'LiXian'),
  AreaItem('513223', '茂县', AreaType.area, 'MaoXian'),
  AreaItem('513224', '松潘县', AreaType.area, 'SongPanXian'),
  AreaItem('513225', '九寨沟县', AreaType.area, 'JiuZhaiGouXian'),
  AreaItem('513226', '金川县', AreaType.area, 'JinChuanXian'),
  AreaItem('513227', '小金县', AreaType.area, 'XiaoJinXian'),
  AreaItem('513228', '黑水县', AreaType.area, 'HeiShuiXian'),
  AreaItem('513230', '壤塘县', AreaType.area, 'RangTangXian'),
  AreaItem('513231', '阿坝县', AreaType.area, 'ABaXian'),
  AreaItem('513232', '若尔盖县', AreaType.area, 'RuoErGaiXian'),
  AreaItem('513233', '红原县', AreaType.area, 'HongYuanXian'),
  AreaItem('513301', '康定市', AreaType.area, 'KangDingShi'),
  AreaItem('513322', '泸定县', AreaType.area, 'LuDingXian'),
  AreaItem('513323', '丹巴县', AreaType.area, 'DanBaXian'),
  AreaItem('513324', '九龙县', AreaType.area, 'JiuLongXian'),
  AreaItem('513325', '雅江县', AreaType.area, 'YaJiangXian'),
  AreaItem('513326', '道孚县', AreaType.area, 'DaoFuXian'),
  AreaItem('513327', '炉霍县', AreaType.area, 'LuHuoXian'),
  AreaItem('513328', '甘孜县', AreaType.area, 'GanZiXian'),
  AreaItem('513329', '新龙县', AreaType.area, 'XinLongXian'),
  AreaItem('513330', '德格县', AreaType.area, 'DeGeXian'),
  AreaItem('513331', '白玉县', AreaType.area, 'BaiYuXian'),
  AreaItem('513332', '石渠县', AreaType.area, 'ShiQuXian'),
  AreaItem('513333', '色达县', AreaType.area, 'SeDaXian'),
  AreaItem('513334', '理塘县', AreaType.area, 'LiTangXian'),
  AreaItem('513335', '巴塘县', AreaType.area, 'BaTangXian'),
  AreaItem('513336', '乡城县', AreaType.area, 'XiangChengXian'),
  AreaItem('513337', '稻城县', AreaType.area, 'DaoChengXian'),
  AreaItem('513338', '得荣县', AreaType.area, 'DeRongXian'),
  AreaItem('513401', '西昌市', AreaType.area, 'XiChangShi'),
  AreaItem('513422', '木里藏族自治县', AreaType.area, 'MuLiCangZuZiZhiXian'),
  AreaItem('513423', '盐源县', AreaType.area, 'YanYuanXian'),
  AreaItem('513424', '德昌县', AreaType.area, 'DeChangXian'),
  AreaItem('513425', '会理县', AreaType.area, 'HuiLiXian'),
  AreaItem('513426', '会东县', AreaType.area, 'HuiDongXian'),
  AreaItem('513427', '宁南县', AreaType.area, 'NingNanXian'),
  AreaItem('513428', '普格县', AreaType.area, 'PuGeXian'),
  AreaItem('513429', '布拖县', AreaType.area, 'BuTuoXian'),
  AreaItem('513430', '金阳县', AreaType.area, 'JinYangXian'),
  AreaItem('513431', '昭觉县', AreaType.area, 'ZhaoJueXian'),
  AreaItem('513432', '喜德县', AreaType.area, 'XiDeXian'),
  AreaItem('513433', '冕宁县', AreaType.area, 'MianNingXian'),
  AreaItem('513434', '越西县', AreaType.area, 'YueXiXian'),
  AreaItem('513435', '甘洛县', AreaType.area, 'GanLuoXian'),
  AreaItem('513436', '美姑县', AreaType.area, 'MeiGuXian'),
  AreaItem('513437', '雷波县', AreaType.area, 'LeiBoXian'),
  AreaItem('520102', '南明区', AreaType.area, 'NanMingQu'),
  AreaItem('520103', '云岩区', AreaType.area, 'YunYanQu'),
  AreaItem('520111', '花溪区', AreaType.area, 'HuaXiQu'),
  AreaItem('520112', '乌当区', AreaType.area, 'WuDangQu'),
  AreaItem('520113', '白云区', AreaType.area, 'BaiYunQu'),
  AreaItem('520115', '观山湖区', AreaType.area, 'GuanShanHuQu'),
  AreaItem('520121', '开阳县', AreaType.area, 'KaiYangXian'),
  AreaItem('520122', '息烽县', AreaType.area, 'XiFengXian'),
  AreaItem('520123', '修文县', AreaType.area, 'XiuWenXian'),
  AreaItem('520181', '清镇市', AreaType.area, 'QingZhenShi'),
  AreaItem('520201', '钟山区', AreaType.area, 'ZhongShanQu'),
  AreaItem('520203', '六枝特区', AreaType.area, 'LiuZhiTeQu'),
  AreaItem('520221', '水城县', AreaType.area, 'ShuiChengXian'),
  AreaItem('520281', '盘州市', AreaType.area, 'PanZhouShi'),
  AreaItem('520302', '红花岗区', AreaType.area, 'HongHuaGangQu'),
  AreaItem('520303', '汇川区', AreaType.area, 'HuiChuanQu'),
  AreaItem('520304', '播州区', AreaType.area, 'BoZhouQu'),
  AreaItem('520322', '桐梓县', AreaType.area, 'TongZiXian'),
  AreaItem('520323', '绥阳县', AreaType.area, 'SuiYangXian'),
  AreaItem('520324', '正安县', AreaType.area, 'ZhengAnXian'),
  AreaItem('520325', '道真仡佬族苗族自治县', AreaType.area, 'DaoZhenYiLaoZuMiaoZuZiZhiXian'),
  AreaItem('520326', '务川仡佬族苗族自治县', AreaType.area, 'WuChuanYiLaoZuMiaoZuZiZhiXian'),
  AreaItem('520327', '凤冈县', AreaType.area, 'FengGangXian'),
  AreaItem('520328', '湄潭县', AreaType.area, 'MeiTanXian'),
  AreaItem('520329', '余庆县', AreaType.area, 'YuQingXian'),
  AreaItem('520330', '习水县', AreaType.area, 'XiShuiXian'),
  AreaItem('520381', '赤水市', AreaType.area, 'ChiShuiShi'),
  AreaItem('520382', '仁怀市', AreaType.area, 'RenHuaiShi'),
  AreaItem('520402', '西秀区', AreaType.area, 'XiXiuQu'),
  AreaItem('520403', '平坝区', AreaType.area, 'PingBaQu'),
  AreaItem('520422', '普定县', AreaType.area, 'PuDingXian'),
  AreaItem('520423', '镇宁布依族苗族自治县', AreaType.area, 'ZhenNingBuYiZuMiaoZuZiZhiXian'),
  AreaItem('520424', '关岭布依族苗族自治县', AreaType.area, 'GuanLingBuYiZuMiaoZuZiZhiXian'),
  AreaItem('520425', '紫云苗族布依族自治县', AreaType.area, 'ZiYunMiaoZuBuYiZuZiZhiXian'),
  AreaItem('520502', '七星关区', AreaType.area, 'QiXingGuanQu'),
  AreaItem('520521', '大方县', AreaType.area, 'DaFangXian'),
  AreaItem('520522', '黔西县', AreaType.area, 'QianXiXian'),
  AreaItem('520523', '金沙县', AreaType.area, 'JinShaXian'),
  AreaItem('520524', '织金县', AreaType.area, 'ZhiJinXian'),
  AreaItem('520525', '纳雍县', AreaType.area, 'NaYongXian'),
  AreaItem('520526', '威宁彝族回族苗族自治县', AreaType.area, 'WeiNingYiZuHuiZuMiaoZuZiZhiXian'),
  AreaItem('520527', '赫章县', AreaType.area, 'HeZhangXian'),
  AreaItem('520602', '碧江区', AreaType.area, 'BiJiangQu'),
  AreaItem('520603', '万山区', AreaType.area, 'WanShanQu'),
  AreaItem('520621', '江口县', AreaType.area, 'JiangKouXian'),
  AreaItem('520622', '玉屏侗族自治县', AreaType.area, 'YuPingDongZuZiZhiXian'),
  AreaItem('520623', '石阡县', AreaType.area, 'ShiQianXian'),
  AreaItem('520624', '思南县', AreaType.area, 'SiNanXian'),
  AreaItem('520625', '印江土家族苗族自治县', AreaType.area, 'YinJiangTuJiaZuMiaoZuZiZhiXian'),
  AreaItem('520626', '德江县', AreaType.area, 'DeJiangXian'),
  AreaItem('520627', '沿河土家族自治县', AreaType.area, 'YanHeTuJiaZuZiZhiXian'),
  AreaItem('520628', '松桃苗族自治县', AreaType.area, 'SongTaoMiaoZuZiZhiXian'),
  AreaItem('522301', '兴义市', AreaType.area, 'XingYiShi'),
  AreaItem('522322', '兴仁县', AreaType.area, 'XingRenXian'),
  AreaItem('522323', '普安县', AreaType.area, 'PuAnXian'),
  AreaItem('522324', '晴隆县', AreaType.area, 'QingLongXian'),
  AreaItem('522325', '贞丰县', AreaType.area, 'ZhenFengXian'),
  AreaItem('522326', '望谟县', AreaType.area, 'WangMoXian'),
  AreaItem('522327', '册亨县', AreaType.area, 'CeHengXian'),
  AreaItem('522328', '安龙县', AreaType.area, 'AnLongXian'),
  AreaItem('522601', '凯里市', AreaType.area, 'KaiLiShi'),
  AreaItem('522622', '黄平县', AreaType.area, 'HuangPingXian'),
  AreaItem('522623', '施秉县', AreaType.area, 'ShiBingXian'),
  AreaItem('522624', '三穗县', AreaType.area, 'SanSuiXian'),
  AreaItem('522625', '镇远县', AreaType.area, 'ZhenYuanXian'),
  AreaItem('522626', '岑巩县', AreaType.area, 'CenGongXian'),
  AreaItem('522627', '天柱县', AreaType.area, 'TianZhuXian'),
  AreaItem('522628', '锦屏县', AreaType.area, 'JinPingXian'),
  AreaItem('522629', '剑河县', AreaType.area, 'JianHeXian'),
  AreaItem('522630', '台江县', AreaType.area, 'TaiJiangXian'),
  AreaItem('522631', '黎平县', AreaType.area, 'LiPingXian'),
  AreaItem('522632', '榕江县', AreaType.area, 'RongJiangXian'),
  AreaItem('522633', '从江县', AreaType.area, 'CongJiangXian'),
  AreaItem('522634', '雷山县', AreaType.area, 'LeiShanXian'),
  AreaItem('522635', '麻江县', AreaType.area, 'MaJiangXian'),
  AreaItem('522636', '丹寨县', AreaType.area, 'DanZhaiXian'),
  AreaItem('522701', '都匀市', AreaType.area, 'DuYunShi'),
  AreaItem('522702', '福泉市', AreaType.area, 'FuQuanShi'),
  AreaItem('522722', '荔波县', AreaType.area, 'LiBoXian'),
  AreaItem('522723', '贵定县', AreaType.area, 'GuiDingXian'),
  AreaItem('522725', '瓮安县', AreaType.area, 'WengAnXian'),
  AreaItem('522726', '独山县', AreaType.area, 'DuShanXian'),
  AreaItem('522727', '平塘县', AreaType.area, 'PingTangXian'),
  AreaItem('522728', '罗甸县', AreaType.area, 'LuoDianXian'),
  AreaItem('522729', '长顺县', AreaType.area, 'ChangShunXian'),
  AreaItem('522730', '龙里县', AreaType.area, 'LongLiXian'),
  AreaItem('522731', '惠水县', AreaType.area, 'HuiShuiXian'),
  AreaItem('522732', '三都水族自治县', AreaType.area, 'SanDuShuiZuZiZhiXian'),
  AreaItem('530102', '五华区', AreaType.area, 'WuHuaQu'),
  AreaItem('530103', '盘龙区', AreaType.area, 'PanLongQu'),
  AreaItem('530111', '官渡区', AreaType.area, 'GuanDuQu'),
  AreaItem('530112', '西山区', AreaType.area, 'XiShanQu'),
  AreaItem('530113', '东川区', AreaType.area, 'DongChuanQu'),
  AreaItem('530114', '呈贡区', AreaType.area, 'ChengGongQu'),
  AreaItem('530115', '晋宁区', AreaType.area, 'JinNingQu'),
  AreaItem('530124', '富民县', AreaType.area, 'FuMinXian'),
  AreaItem('530125', '宜良县', AreaType.area, 'YiLiangXian'),
  AreaItem('530126', '石林彝族自治县', AreaType.area, 'ShiLinYiZuZiZhiXian'),
  AreaItem('530127', '嵩明县', AreaType.area, 'SongMingXian'),
  AreaItem('530128', '禄劝彝族苗族自治县', AreaType.area, 'LuQuanYiZuMiaoZuZiZhiXian'),
  AreaItem('530129', '寻甸回族彝族自治县', AreaType.area, 'XunDianHuiZuYiZuZiZhiXian'),
  AreaItem('530181', '安宁市', AreaType.area, 'AnNingShi'),
  AreaItem('530302', '麒麟区', AreaType.area, 'QiLinQu'),
  AreaItem('530303', '沾益区', AreaType.area, 'ZhanYiQu'),
  AreaItem('530321', '马龙县', AreaType.area, 'MaLongXian'),
  AreaItem('530322', '陆良县', AreaType.area, 'LuLiangXian'),
  AreaItem('530323', '师宗县', AreaType.area, 'ShiZongXian'),
  AreaItem('530324', '罗平县', AreaType.area, 'LuoPingXian'),
  AreaItem('530325', '富源县', AreaType.area, 'FuYuanXian'),
  AreaItem('530326', '会泽县', AreaType.area, 'HuiZeXian'),
  AreaItem('530381', '宣威市', AreaType.area, 'XuanWeiShi'),
  AreaItem('530402', '红塔区', AreaType.area, 'HongTaQu'),
  AreaItem('530403', '江川区', AreaType.area, 'JiangChuanQu'),
  AreaItem('530422', '澄江县', AreaType.area, 'ChengJiangXian'),
  AreaItem('530423', '通海县', AreaType.area, 'TongHaiXian'),
  AreaItem('530424', '华宁县', AreaType.area, 'HuaNingXian'),
  AreaItem('530425', '易门县', AreaType.area, 'YiMenXian'),
  AreaItem('530426', '峨山彝族自治县', AreaType.area, 'EShanYiZuZiZhiXian'),
  AreaItem('530427', '新平彝族傣族自治县', AreaType.area, 'XinPingYiZuDaiZuZiZhiXian'),
  AreaItem('530428', '元江哈尼族彝族傣族自治县', AreaType.area, 'YuanJiangHaNiZuYiZuDaiZuZiZhiXian'),
  AreaItem('530502', '隆阳区', AreaType.area, 'LongYangQu'),
  AreaItem('530521', '施甸县', AreaType.area, 'ShiDianXian'),
  AreaItem('530523', '龙陵县', AreaType.area, 'LongLingXian'),
  AreaItem('530524', '昌宁县', AreaType.area, 'ChangNingXian'),
  AreaItem('530581', '腾冲市', AreaType.area, 'TengChongShi'),
  AreaItem('530602', '昭阳区', AreaType.area, 'ZhaoYangQu'),
  AreaItem('530621', '鲁甸县', AreaType.area, 'LuDianXian'),
  AreaItem('530622', '巧家县', AreaType.area, 'QiaoJiaXian'),
  AreaItem('530623', '盐津县', AreaType.area, 'YanJinXian'),
  AreaItem('530624', '大关县', AreaType.area, 'DaGuanXian'),
  AreaItem('530625', '永善县', AreaType.area, 'YongShanXian'),
  AreaItem('530626', '绥江县', AreaType.area, 'SuiJiangXian'),
  AreaItem('530627', '镇雄县', AreaType.area, 'ZhenXiongXian'),
  AreaItem('530628', '彝良县', AreaType.area, 'YiLiangXian'),
  AreaItem('530629', '威信县', AreaType.area, 'WeiXinXian'),
  AreaItem('530630', '水富县', AreaType.area, 'ShuiFuXian'),
  AreaItem('530702', '古城区', AreaType.area, 'GuChengQu'),
  AreaItem('530721', '玉龙纳西族自治县', AreaType.area, 'YuLongNaXiZuZiZhiXian'),
  AreaItem('530722', '永胜县', AreaType.area, 'YongShengXian'),
  AreaItem('530723', '华坪县', AreaType.area, 'HuaPingXian'),
  AreaItem('530724', '宁蒗彝族自治县', AreaType.area, 'NingLangYiZuZiZhiXian'),
  AreaItem('530802', '思茅区', AreaType.area, 'SiMaoQu'),
  AreaItem('530821', '宁洱哈尼族彝族自治县', AreaType.area, 'NingErHaNiZuYiZuZiZhiXian'),
  AreaItem('530822', '墨江哈尼族自治县', AreaType.area, 'MoJiangHaNiZuZiZhiXian'),
  AreaItem('530823', '景东彝族自治县', AreaType.area, 'JingDongYiZuZiZhiXian'),
  AreaItem('530824', '景谷傣族彝族自治县', AreaType.area, 'JingGuDaiZuYiZuZiZhiXian'),
  AreaItem('530825', '镇沅彝族哈尼族拉祜族自治县', AreaType.area, 'ZhenYuanYiZuHaNiZuLaHuZuZiZhiXian'),
  AreaItem('530826', '江城哈尼族彝族自治县', AreaType.area, 'JiangChengHaNiZuYiZuZiZhiXian'),
  AreaItem('530827', '孟连傣族拉祜族佤族自治县', AreaType.area, 'MengLianDaiZuLaHuZuWaZuZiZhiXian'),
  AreaItem('530828', '澜沧拉祜族自治县', AreaType.area, 'LanCangLaHuZuZiZhiXian'),
  AreaItem('530829', '西盟佤族自治县', AreaType.area, 'XiMengWaZuZiZhiXian'),
  AreaItem('530902', '临翔区', AreaType.area, 'LinXiangQu'),
  AreaItem('530921', '凤庆县', AreaType.area, 'FengQingXian'),
  AreaItem('530922', '云县', AreaType.area, 'YunXian'),
  AreaItem('530923', '永德县', AreaType.area, 'YongDeXian'),
  AreaItem('530924', '镇康县', AreaType.area, 'ZhenKangXian'),
  AreaItem('530925', '双江拉祜族佤族布朗族傣族自治县', AreaType.area, 'ShuangJiangLaHuZuWaZuBuLangZuDaiZuZiZhiXian'),
  AreaItem('530926', '耿马傣族佤族自治县', AreaType.area, 'GengMaDaiZuWaZuZiZhiXian'),
  AreaItem('530927', '沧源佤族自治县', AreaType.area, 'CangYuanWaZuZiZhiXian'),
  AreaItem('532301', '楚雄市', AreaType.area, 'ChuXiongShi'),
  AreaItem('532322', '双柏县', AreaType.area, 'ShuangBaiXian'),
  AreaItem('532323', '牟定县', AreaType.area, 'MouDingXian'),
  AreaItem('532324', '南华县', AreaType.area, 'NanHuaXian'),
  AreaItem('532325', '姚安县', AreaType.area, 'YaoAnXian'),
  AreaItem('532326', '大姚县', AreaType.area, 'DaYaoXian'),
  AreaItem('532327', '永仁县', AreaType.area, 'YongRenXian'),
  AreaItem('532328', '元谋县', AreaType.area, 'YuanMouXian'),
  AreaItem('532329', '武定县', AreaType.area, 'WuDingXian'),
  AreaItem('532331', '禄丰县', AreaType.area, 'LuFengXian'),
  AreaItem('532501', '个旧市', AreaType.area, 'GeJiuShi'),
  AreaItem('532502', '开远市', AreaType.area, 'KaiYuanShi'),
  AreaItem('532503', '蒙自市', AreaType.area, 'MengZiShi'),
  AreaItem('532504', '弥勒市', AreaType.area, 'MiLeShi'),
  AreaItem('532523', '屏边苗族自治县', AreaType.area, 'PingBianMiaoZuZiZhiXian'),
  AreaItem('532524', '建水县', AreaType.area, 'JianShuiXian'),
  AreaItem('532525', '石屏县', AreaType.area, 'ShiPingXian'),
  AreaItem('532527', '泸西县', AreaType.area, 'LuXiXian'),
  AreaItem('532528', '元阳县', AreaType.area, 'YuanYangXian'),
  AreaItem('532529', '红河县', AreaType.area, 'HongHeXian'),
  AreaItem('532530', '金平苗族瑶族傣族自治县', AreaType.area, 'JinPingMiaoZuYaoZuDaiZuZiZhiXian'),
  AreaItem('532531', '绿春县', AreaType.area, 'LvChunXian'),
  AreaItem('532532', '河口瑶族自治县', AreaType.area, 'HeKouYaoZuZiZhiXian'),
  AreaItem('532601', '文山市', AreaType.area, 'WenShanShi'),
  AreaItem('532622', '砚山县', AreaType.area, 'YanShanXian'),
  AreaItem('532623', '西畴县', AreaType.area, 'XiChouXian'),
  AreaItem('532624', '麻栗坡县', AreaType.area, 'MaLiPoXian'),
  AreaItem('532625', '马关县', AreaType.area, 'MaGuanXian'),
  AreaItem('532626', '丘北县', AreaType.area, 'QiuBeiXian'),
  AreaItem('532627', '广南县', AreaType.area, 'GuangNanXian'),
  AreaItem('532628', '富宁县', AreaType.area, 'FuNingXian'),
  AreaItem('532801', '景洪市', AreaType.area, 'JingHongShi'),
  AreaItem('532822', '勐海县', AreaType.area, 'MengHaiXian'),
  AreaItem('532823', '勐腊县', AreaType.area, 'MengLaXian'),
  AreaItem('532901', '大理市', AreaType.area, 'DaLiShi'),
  AreaItem('532922', '漾濞彝族自治县', AreaType.area, 'YangBiYiZuZiZhiXian'),
  AreaItem('532923', '祥云县', AreaType.area, 'XiangYunXian'),
  AreaItem('532924', '宾川县', AreaType.area, 'BinChuanXian'),
  AreaItem('532925', '弥渡县', AreaType.area, 'MiDuXian'),
  AreaItem('532926', '南涧彝族自治县', AreaType.area, 'NanJianYiZuZiZhiXian'),
  AreaItem('532927', '巍山彝族回族自治县', AreaType.area, 'WeiShanYiZuHuiZuZiZhiXian'),
  AreaItem('532928', '永平县', AreaType.area, 'YongPingXian'),
  AreaItem('532929', '云龙县', AreaType.area, 'YunLongXian'),
  AreaItem('532930', '洱源县', AreaType.area, 'ErYuanXian'),
  AreaItem('532931', '剑川县', AreaType.area, 'JianChuanXian'),
  AreaItem('532932', '鹤庆县', AreaType.area, 'HeQingXian'),
  AreaItem('533102', '瑞丽市', AreaType.area, 'RuiLiShi'),
  AreaItem('533103', '芒市', AreaType.area, 'MangShi'),
  AreaItem('533122', '梁河县', AreaType.area, 'LiangHeXian'),
  AreaItem('533123', '盈江县', AreaType.area, 'YingJiangXian'),
  AreaItem('533124', '陇川县', AreaType.area, 'LongChuanXian'),
  AreaItem('533301', '泸水市', AreaType.area, 'LuShuiShi'),
  AreaItem('533323', '福贡县', AreaType.area, 'FuGongXian'),
  AreaItem('533324', '贡山独龙族怒族自治县', AreaType.area, 'GongShanDuLongZuNuZuZiZhiXian'),
  AreaItem('533325', '兰坪白族普米族自治县', AreaType.area, 'LanPingBaiZuPuMiZuZiZhiXian'),
  AreaItem('533401', '香格里拉市', AreaType.area, 'XiangGeLiLaShi'),
  AreaItem('533422', '德钦县', AreaType.area, 'DeQinXian'),
  AreaItem('533423', '维西傈僳族自治县', AreaType.area, 'WeiXiLiSuZuZiZhiXian'),
  AreaItem('540102', '城关区', AreaType.area, 'ChengGuanQu'),
  AreaItem('540103', '堆龙德庆区', AreaType.area, 'DuiLongDeQingQu'),
  AreaItem('540104', '达孜区', AreaType.area, 'DaZiQu'),
  AreaItem('540121', '林周县', AreaType.area, 'LinZhouXian'),
  AreaItem('540122', '当雄县', AreaType.area, 'DangXiongXian'),
  AreaItem('540123', '尼木县', AreaType.area, 'NiMuXian'),
  AreaItem('540124', '曲水县', AreaType.area, 'QuShuiXian'),
  AreaItem('540127', '墨竹工卡县', AreaType.area, 'MoZhuGongKaXian'),
  AreaItem('540202', '桑珠孜区', AreaType.area, 'SangZhuZiQu'),
  AreaItem('540221', '南木林县', AreaType.area, 'NanMuLinXian'),
  AreaItem('540222', '江孜县', AreaType.area, 'JiangZiXian'),
  AreaItem('540223', '定日县', AreaType.area, 'DingRiXian'),
  AreaItem('540224', '萨迦县', AreaType.area, 'SaJiaXian'),
  AreaItem('540225', '拉孜县', AreaType.area, 'LaZiXian'),
  AreaItem('540226', '昂仁县', AreaType.area, 'AngRenXian'),
  AreaItem('540227', '谢通门县', AreaType.area, 'XieTongMenXian'),
  AreaItem('540228', '白朗县', AreaType.area, 'BaiLangXian'),
  AreaItem('540229', '仁布县', AreaType.area, 'RenBuXian'),
  AreaItem('540230', '康马县', AreaType.area, 'KangMaXian'),
  AreaItem('540231', '定结县', AreaType.area, 'DingJieXian'),
  AreaItem('540232', '仲巴县', AreaType.area, 'ZhongBaXian'),
  AreaItem('540233', '亚东县', AreaType.area, 'YaDongXian'),
  AreaItem('540234', '吉隆县', AreaType.area, 'JiLongXian'),
  AreaItem('540235', '聂拉木县', AreaType.area, 'NieLaMuXian'),
  AreaItem('540236', '萨嘎县', AreaType.area, 'SaGaXian'),
  AreaItem('540237', '岗巴县', AreaType.area, 'GangBaXian'),
  AreaItem('540302', '卡若区', AreaType.area, 'KaRuoQu'),
  AreaItem('540321', '江达县', AreaType.area, 'JiangDaXian'),
  AreaItem('540322', '贡觉县', AreaType.area, 'GongJueXian'),
  AreaItem('540323', '类乌齐县', AreaType.area, 'LeiWuQiXian'),
  AreaItem('540324', '丁青县', AreaType.area, 'DingQingXian'),
  AreaItem('540325', '察雅县', AreaType.area, 'ChaYaXian'),
  AreaItem('540326', '八宿县', AreaType.area, 'BaSuXian'),
  AreaItem('540327', '左贡县', AreaType.area, 'ZuoGongXian'),
  AreaItem('540328', '芒康县', AreaType.area, 'MangKangXian'),
  AreaItem('540329', '洛隆县', AreaType.area, 'LuoLongXian'),
  AreaItem('540330', '边坝县', AreaType.area, 'BianBaXian'),
  AreaItem('540402', '巴宜区', AreaType.area, 'BaYiQu'),
  AreaItem('540421', '工布江达县', AreaType.area, 'GongBuJiangDaXian'),
  AreaItem('540422', '米林县', AreaType.area, 'MiLinXian'),
  AreaItem('540423', '墨脱县', AreaType.area, 'MoTuoXian'),
  AreaItem('540424', '波密县', AreaType.area, 'BoMiXian'),
  AreaItem('540425', '察隅县', AreaType.area, 'ChaYuXian'),
  AreaItem('540426', '朗县', AreaType.area, 'LangXian'),
  AreaItem('540502', '乃东区', AreaType.area, 'NaiDongQu'),
  AreaItem('540521', '扎囊县', AreaType.area, 'ZaNangXian'),
  AreaItem('540522', '贡嘎县', AreaType.area, 'GongGaXian'),
  AreaItem('540523', '桑日县', AreaType.area, 'SangRiXian'),
  AreaItem('540524', '琼结县', AreaType.area, 'QiongJieXian'),
  AreaItem('540525', '曲松县', AreaType.area, 'QuSongXian'),
  AreaItem('540526', '措美县', AreaType.area, 'CuoMeiXian'),
  AreaItem('540527', '洛扎县', AreaType.area, 'LuoZaXian'),
  AreaItem('540528', '加查县', AreaType.area, 'JiaChaXian'),
  AreaItem('540529', '隆子县', AreaType.area, 'LongZiXian'),
  AreaItem('540530', '错那县', AreaType.area, 'CuoNaXian'),
  AreaItem('540531', '浪卡子县', AreaType.area, 'LangKaZiXian'),
  AreaItem('542421', '那曲县', AreaType.area, 'NaQuXian'),
  AreaItem('542422', '嘉黎县', AreaType.area, 'JiaLiXian'),
  AreaItem('542423', '比如县', AreaType.area, 'BiRuXian'),
  AreaItem('542424', '聂荣县', AreaType.area, 'NieRongXian'),
  AreaItem('542425', '安多县', AreaType.area, 'AnDuoXian'),
  AreaItem('542426', '申扎县', AreaType.area, 'ShenZaXian'),
  AreaItem('542427', '索县', AreaType.area, 'SuoXian'),
  AreaItem('542428', '班戈县', AreaType.area, 'BanGeXian'),
  AreaItem('542429', '巴青县', AreaType.area, 'BaQingXian'),
  AreaItem('542430', '尼玛县', AreaType.area, 'NiMaXian'),
  AreaItem('542431', '双湖县', AreaType.area, 'ShuangHuXian'),
  AreaItem('542521', '普兰县', AreaType.area, 'PuLanXian'),
  AreaItem('542522', '札达县', AreaType.area, 'ZhaDaXian'),
  AreaItem('542523', '噶尔县', AreaType.area, 'GaErXian'),
  AreaItem('542524', '日土县', AreaType.area, 'RiTuXian'),
  AreaItem('542525', '革吉县', AreaType.area, 'GeJiXian'),
  AreaItem('542526', '改则县', AreaType.area, 'GaiZeXian'),
  AreaItem('542527', '措勤县', AreaType.area, 'CuoQinXian'),
  AreaItem('610102', '新城区', AreaType.area, 'XinChengQu'),
  AreaItem('610103', '碑林区', AreaType.area, 'BeiLinQu'),
  AreaItem('610104', '莲湖区', AreaType.area, 'LianHuQu'),
  AreaItem('610111', '灞桥区', AreaType.area, 'BaQiaoQu'),
  AreaItem('610112', '未央区', AreaType.area, 'WeiYangQu'),
  AreaItem('610113', '雁塔区', AreaType.area, 'YanTaQu'),
  AreaItem('610114', '阎良区', AreaType.area, 'YanLiangQu'),
  AreaItem('610115', '临潼区', AreaType.area, 'LinTongQu'),
  AreaItem('610116', '长安区', AreaType.area, 'ChangAnQu'),
  AreaItem('610117', '高陵区', AreaType.area, 'GaoLingQu'),
  AreaItem('610118', '鄠邑区', AreaType.area, 'HuYiQu'),
  AreaItem('610122', '蓝田县', AreaType.area, 'LanTianXian'),
  AreaItem('610124', '周至县', AreaType.area, 'ZhouZhiXian'),
  AreaItem('610202', '王益区', AreaType.area, 'WangYiQu'),
  AreaItem('610203', '印台区', AreaType.area, 'YinTaiQu'),
  AreaItem('610204', '耀州区', AreaType.area, 'YaoZhouQu'),
  AreaItem('610222', '宜君县', AreaType.area, 'YiJunXian'),
  AreaItem('610302', '渭滨区', AreaType.area, 'WeiBinQu'),
  AreaItem('610303', '金台区', AreaType.area, 'JinTaiQu'),
  AreaItem('610304', '陈仓区', AreaType.area, 'ChenCangQu'),
  AreaItem('610322', '凤翔县', AreaType.area, 'FengXiangXian'),
  AreaItem('610323', '岐山县', AreaType.area, 'QiShanXian'),
  AreaItem('610324', '扶风县', AreaType.area, 'FuFengXian'),
  AreaItem('610326', '眉县', AreaType.area, 'MeiXian'),
  AreaItem('610327', '陇县', AreaType.area, 'LongXian'),
  AreaItem('610328', '千阳县', AreaType.area, 'QianYangXian'),
  AreaItem('610329', '麟游县', AreaType.area, 'LinYouXian'),
  AreaItem('610330', '凤县', AreaType.area, 'FengXian'),
  AreaItem('610331', '太白县', AreaType.area, 'TaiBaiXian'),
  AreaItem('610402', '秦都区', AreaType.area, 'QinDuQu'),
  AreaItem('610403', '杨陵区', AreaType.area, 'YangLingQu'),
  AreaItem('610404', '渭城区', AreaType.area, 'WeiChengQu'),
  AreaItem('610422', '三原县', AreaType.area, 'SanYuanXian'),
  AreaItem('610423', '泾阳县', AreaType.area, 'JingYangXian'),
  AreaItem('610424', '乾县', AreaType.area, 'QianXian'),
  AreaItem('610425', '礼泉县', AreaType.area, 'LiQuanXian'),
  AreaItem('610426', '永寿县', AreaType.area, 'YongShouXian'),
  AreaItem('610427', '彬州市', AreaType.area, 'BinZhouShi'),
  AreaItem('610428', '长武县', AreaType.area, 'ChangWuXian'),
  AreaItem('610429', '旬邑县', AreaType.area, 'XunYiXian'),
  AreaItem('610430', '淳化县', AreaType.area, 'ChunHuaXian'),
  AreaItem('610431', '武功县', AreaType.area, 'WuGongXian'),
  AreaItem('610481', '兴平市', AreaType.area, 'XingPingShi'),
  AreaItem('610502', '临渭区', AreaType.area, 'LinWeiQu'),
  AreaItem('610503', '华州区', AreaType.area, 'HuaZhouQu'),
  AreaItem('610522', '潼关县', AreaType.area, 'TongGuanXian'),
  AreaItem('610523', '大荔县', AreaType.area, 'DaLiXian'),
  AreaItem('610524', '合阳县', AreaType.area, 'HeYangXian'),
  AreaItem('610525', '澄城县', AreaType.area, 'ChengChengXian'),
  AreaItem('610526', '蒲城县', AreaType.area, 'PuChengXian'),
  AreaItem('610527', '白水县', AreaType.area, 'BaiShuiXian'),
  AreaItem('610528', '富平县', AreaType.area, 'FuPingXian'),
  AreaItem('610581', '韩城市', AreaType.area, 'HanChengShi'),
  AreaItem('610582', '华阴市', AreaType.area, 'HuaYinShi'),
  AreaItem('610602', '宝塔区', AreaType.area, 'BaoTaQu'),
  AreaItem('610603', '安塞区', AreaType.area, 'AnSaiQu'),
  AreaItem('610621', '延长县', AreaType.area, 'YanChangXian'),
  AreaItem('610622', '延川县', AreaType.area, 'YanChuanXian'),
  AreaItem('610623', '子长县', AreaType.area, 'ZiChangXian'),
  AreaItem('610625', '志丹县', AreaType.area, 'ZhiDanXian'),
  AreaItem('610626', '吴起县', AreaType.area, 'WuQiXian'),
  AreaItem('610627', '甘泉县', AreaType.area, 'GanQuanXian'),
  AreaItem('610628', '富县', AreaType.area, 'FuXian'),
  AreaItem('610629', '洛川县', AreaType.area, 'LuoChuanXian'),
  AreaItem('610630', '宜川县', AreaType.area, 'YiChuanXian'),
  AreaItem('610631', '黄龙县', AreaType.area, 'HuangLongXian'),
  AreaItem('610632', '黄陵县', AreaType.area, 'HuangLingXian'),
  AreaItem('610702', '汉台区', AreaType.area, 'HanTaiQu'),
  AreaItem('610703', '南郑区', AreaType.area, 'NanZhengQu'),
  AreaItem('610722', '城固县', AreaType.area, 'ChengGuXian'),
  AreaItem('610723', '洋县', AreaType.area, 'YangXian'),
  AreaItem('610724', '西乡县', AreaType.area, 'XiXiangXian'),
  AreaItem('610725', '勉县', AreaType.area, 'MianXian'),
  AreaItem('610726', '宁强县', AreaType.area, 'NingQiangXian'),
  AreaItem('610727', '略阳县', AreaType.area, 'LveYangXian'),
  AreaItem('610728', '镇巴县', AreaType.area, 'ZhenBaXian'),
  AreaItem('610729', '留坝县', AreaType.area, 'LiuBaXian'),
  AreaItem('610730', '佛坪县', AreaType.area, 'FoPingXian'),
  AreaItem('610802', '榆阳区', AreaType.area, 'YuYangQu'),
  AreaItem('610803', '横山区', AreaType.area, 'HengShanQu'),
  AreaItem('610822', '府谷县', AreaType.area, 'FuGuXian'),
  AreaItem('610824', '靖边县', AreaType.area, 'JingBianXian'),
  AreaItem('610825', '定边县', AreaType.area, 'DingBianXian'),
  AreaItem('610826', '绥德县', AreaType.area, 'SuiDeXian'),
  AreaItem('610827', '米脂县', AreaType.area, 'MiZhiXian'),
  AreaItem('610828', '佳县', AreaType.area, 'JiaXian'),
  AreaItem('610829', '吴堡县', AreaType.area, 'WuBaoXian'),
  AreaItem('610830', '清涧县', AreaType.area, 'QingJianXian'),
  AreaItem('610831', '子洲县', AreaType.area, 'ZiZhouXian'),
  AreaItem('610881', '神木市', AreaType.area, 'ShenMuShi'),
  AreaItem('610902', '汉滨区', AreaType.area, 'HanBinQu'),
  AreaItem('610921', '汉阴县', AreaType.area, 'HanYinXian'),
  AreaItem('610922', '石泉县', AreaType.area, 'ShiQuanXian'),
  AreaItem('610923', '宁陕县', AreaType.area, 'NingShanXian'),
  AreaItem('610924', '紫阳县', AreaType.area, 'ZiYangXian'),
  AreaItem('610925', '岚皋县', AreaType.area, 'LanGaoXian'),
  AreaItem('610926', '平利县', AreaType.area, 'PingLiXian'),
  AreaItem('610927', '镇坪县', AreaType.area, 'ZhenPingXian'),
  AreaItem('610928', '旬阳县', AreaType.area, 'XunYangXian'),
  AreaItem('610929', '白河县', AreaType.area, 'BaiHeXian'),
  AreaItem('611002', '商州区', AreaType.area, 'ShangZhouQu'),
  AreaItem('611021', '洛南县', AreaType.area, 'LuoNanXian'),
  AreaItem('611022', '丹凤县', AreaType.area, 'DanFengXian'),
  AreaItem('611023', '商南县', AreaType.area, 'ShangNanXian'),
  AreaItem('611024', '山阳县', AreaType.area, 'ShanYangXian'),
  AreaItem('611025', '镇安县', AreaType.area, 'ZhenAnXian'),
  AreaItem('611026', '柞水县', AreaType.area, 'ZuoShuiXian'),
  AreaItem('620102', '城关区', AreaType.area, 'ChengGuanQu'),
  AreaItem('620103', '七里河区', AreaType.area, 'QiLiHeQu'),
  AreaItem('620104', '西固区', AreaType.area, 'XiGuQu'),
  AreaItem('620105', '安宁区', AreaType.area, 'AnNingQu'),
  AreaItem('620111', '红古区', AreaType.area, 'HongGuQu'),
  AreaItem('620121', '永登县', AreaType.area, 'YongDengXian'),
  AreaItem('620122', '皋兰县', AreaType.area, 'GaoLanXian'),
  AreaItem('620123', '榆中县', AreaType.area, 'YuZhongXian'),
  AreaItem('620201', '雄关区', AreaType.area, 'XiongGuanQu'),
  AreaItem('620202', '镜铁区', AreaType.area, 'JingTieQu'),
  AreaItem('620203', '长城区', AreaType.area, 'ChangChengQu'),
  AreaItem('620302', '金川区', AreaType.area, 'JinChuanQu'),
  AreaItem('620321', '永昌县', AreaType.area, 'YongChangXian'),
  AreaItem('620402', '白银区', AreaType.area, 'BaiYinQu'),
  AreaItem('620403', '平川区', AreaType.area, 'PingChuanQu'),
  AreaItem('620421', '靖远县', AreaType.area, 'JingYuanXian'),
  AreaItem('620422', '会宁县', AreaType.area, 'HuiNingXian'),
  AreaItem('620423', '景泰县', AreaType.area, 'JingTaiXian'),
  AreaItem('620502', '秦州区', AreaType.area, 'QinZhouQu'),
  AreaItem('620503', '麦积区', AreaType.area, 'MaiJiQu'),
  AreaItem('620521', '清水县', AreaType.area, 'QingShuiXian'),
  AreaItem('620522', '秦安县', AreaType.area, 'QinAnXian'),
  AreaItem('620523', '甘谷县', AreaType.area, 'GanGuXian'),
  AreaItem('620524', '武山县', AreaType.area, 'WuShanXian'),
  AreaItem('620525', '张家川回族自治县', AreaType.area, 'ZhangJiaChuanHuiZuZiZhiXian'),
  AreaItem('620602', '凉州区', AreaType.area, 'LiangZhouQu'),
  AreaItem('620621', '民勤县', AreaType.area, 'MinQinXian'),
  AreaItem('620622', '古浪县', AreaType.area, 'GuLangXian'),
  AreaItem('620623', '天祝藏族自治县', AreaType.area, 'TianZhuCangZuZiZhiXian'),
  AreaItem('620702', '甘州区', AreaType.area, 'GanZhouQu'),
  AreaItem('620721', '肃南裕固族自治县', AreaType.area, 'SuNanYuGuZuZiZhiXian'),
  AreaItem('620722', '民乐县', AreaType.area, 'MinLeXian'),
  AreaItem('620723', '临泽县', AreaType.area, 'LinZeXian'),
  AreaItem('620724', '高台县', AreaType.area, 'GaoTaiXian'),
  AreaItem('620725', '山丹县', AreaType.area, 'ShanDanXian'),
  AreaItem('620802', '崆峒区', AreaType.area, 'KongTongQu'),
  AreaItem('620821', '泾川县', AreaType.area, 'JingChuanXian'),
  AreaItem('620822', '灵台县', AreaType.area, 'LingTaiXian'),
  AreaItem('620823', '崇信县', AreaType.area, 'ChongXinXian'),
  AreaItem('620824', '华亭县', AreaType.area, 'HuaTingXian'),
  AreaItem('620825', '庄浪县', AreaType.area, 'ZhuangLangXian'),
  AreaItem('620826', '静宁县', AreaType.area, 'JingNingXian'),
  AreaItem('620902', '肃州区', AreaType.area, 'SuZhouQu'),
  AreaItem('620921', '金塔县', AreaType.area, 'JinTaXian'),
  AreaItem('620922', '瓜州县', AreaType.area, 'GuaZhouXian'),
  AreaItem('620923', '肃北蒙古族自治县', AreaType.area, 'SuBeiMengGuZuZiZhiXian'),
  AreaItem('620924', '阿克塞哈萨克族自治县', AreaType.area, 'AKeSaiHaSaKeZuZiZhiXian'),
  AreaItem('620981', '玉门市', AreaType.area, 'YuMenShi'),
  AreaItem('620982', '敦煌市', AreaType.area, 'DunHuangShi'),
  AreaItem('621002', '西峰区', AreaType.area, 'XiFengQu'),
  AreaItem('621021', '庆城县', AreaType.area, 'QingChengXian'),
  AreaItem('621022', '环县', AreaType.area, 'HuanXian'),
  AreaItem('621023', '华池县', AreaType.area, 'HuaChiXian'),
  AreaItem('621024', '合水县', AreaType.area, 'HeShuiXian'),
  AreaItem('621025', '正宁县', AreaType.area, 'ZhengNingXian'),
  AreaItem('621026', '宁县', AreaType.area, 'NingXian'),
  AreaItem('621027', '镇原县', AreaType.area, 'ZhenYuanXian'),
  AreaItem('621102', '安定区', AreaType.area, 'AnDingQu'),
  AreaItem('621121', '通渭县', AreaType.area, 'TongWeiXian'),
  AreaItem('621122', '陇西县', AreaType.area, 'LongXiXian'),
  AreaItem('621123', '渭源县', AreaType.area, 'WeiYuanXian'),
  AreaItem('621124', '临洮县', AreaType.area, 'LinTaoXian'),
  AreaItem('621125', '漳县', AreaType.area, 'ZhangXian'),
  AreaItem('621126', '岷县', AreaType.area, 'MinXian'),
  AreaItem('621202', '武都区', AreaType.area, 'WuDuQu'),
  AreaItem('621221', '成县', AreaType.area, 'ChengXian'),
  AreaItem('621222', '文县', AreaType.area, 'WenXian'),
  AreaItem('621223', '宕昌县', AreaType.area, 'DangChangXian'),
  AreaItem('621224', '康县', AreaType.area, 'KangXian'),
  AreaItem('621225', '西和县', AreaType.area, 'XiHeXian'),
  AreaItem('621226', '礼县', AreaType.area, 'LiXian'),
  AreaItem('621227', '徽县', AreaType.area, 'HuiXian'),
  AreaItem('621228', '两当县', AreaType.area, 'LiangDangXian'),
  AreaItem('622901', '临夏市', AreaType.area, 'LinXiaShi'),
  AreaItem('622921', '临夏县', AreaType.area, 'LinXiaXian'),
  AreaItem('622922', '康乐县', AreaType.area, 'KangLeXian'),
  AreaItem('622923', '永靖县', AreaType.area, 'YongJingXian'),
  AreaItem('622924', '广河县', AreaType.area, 'GuangHeXian'),
  AreaItem('622925', '和政县', AreaType.area, 'HeZhengXian'),
  AreaItem('622926', '东乡族自治县', AreaType.area, 'DongXiangZuZiZhiXian'),
  AreaItem('622927', '积石山保安族东乡族撒拉族自治县', AreaType.area, 'JiShiShanBaoAnZuDongXiangZuSaLaZuZiZhiXian'),
  AreaItem('623001', '合作市', AreaType.area, 'HeZuoShi'),
  AreaItem('623021', '临潭县', AreaType.area, 'LinTanXian'),
  AreaItem('623022', '卓尼县', AreaType.area, 'ZhuoNiXian'),
  AreaItem('623023', '舟曲县', AreaType.area, 'ZhouQuXian'),
  AreaItem('623024', '迭部县', AreaType.area, 'DieBuXian'),
  AreaItem('623025', '玛曲县', AreaType.area, 'MaQuXian'),
  AreaItem('623026', '碌曲县', AreaType.area, 'LuQuXian'),
  AreaItem('623027', '夏河县', AreaType.area, 'XiaHeXian'),
  AreaItem('630102', '城东区', AreaType.area, 'ChengDongQu'),
  AreaItem('630103', '城中区', AreaType.area, 'ChengZhongQu'),
  AreaItem('630104', '城西区', AreaType.area, 'ChengXiQu'),
  AreaItem('630105', '城北区', AreaType.area, 'ChengBeiQu'),
  AreaItem('630121', '大通回族土族自治县', AreaType.area, 'DaTongHuiZuTuZuZiZhiXian'),
  AreaItem('630122', '湟中县', AreaType.area, 'HuangZhongXian'),
  AreaItem('630123', '湟源县', AreaType.area, 'HuangYuanXian'),
  AreaItem('630202', '乐都区', AreaType.area, 'LeDuQu'),
  AreaItem('630203', '平安区', AreaType.area, 'PingAnQu'),
  AreaItem('630222', '民和回族土族自治县', AreaType.area, 'MinHeHuiZuTuZuZiZhiXian'),
  AreaItem('630223', '互助土族自治县', AreaType.area, 'HuZhuTuZuZiZhiXian'),
  AreaItem('630224', '化隆回族自治县', AreaType.area, 'HuaLongHuiZuZiZhiXian'),
  AreaItem('630225', '循化撒拉族自治县', AreaType.area, 'XunHuaSaLaZuZiZhiXian'),
  AreaItem('632221', '门源回族自治县', AreaType.area, 'MenYuanHuiZuZiZhiXian'),
  AreaItem('632222', '祁连县', AreaType.area, 'QiLianXian'),
  AreaItem('632223', '海晏县', AreaType.area, 'HaiYanXian'),
  AreaItem('632224', '刚察县', AreaType.area, 'GangChaXian'),
  AreaItem('632321', '同仁县', AreaType.area, 'TongRenXian'),
  AreaItem('632322', '尖扎县', AreaType.area, 'JianZaXian'),
  AreaItem('632323', '泽库县', AreaType.area, 'ZeKuXian'),
  AreaItem('632324', '河南蒙古族自治县', AreaType.area, 'HeNanMengGuZuZiZhiXian'),
  AreaItem('632521', '共和县', AreaType.area, 'GongHeXian'),
  AreaItem('632522', '同德县', AreaType.area, 'TongDeXian'),
  AreaItem('632523', '贵德县', AreaType.area, 'GuiDeXian'),
  AreaItem('632524', '兴海县', AreaType.area, 'XingHaiXian'),
  AreaItem('632525', '贵南县', AreaType.area, 'GuiNanXian'),
  AreaItem('632621', '玛沁县', AreaType.area, 'MaQinXian'),
  AreaItem('632622', '班玛县', AreaType.area, 'BanMaXian'),
  AreaItem('632623', '甘德县', AreaType.area, 'GanDeXian'),
  AreaItem('632624', '达日县', AreaType.area, 'DaRiXian'),
  AreaItem('632625', '久治县', AreaType.area, 'JiuZhiXian'),
  AreaItem('632626', '玛多县', AreaType.area, 'MaDuoXian'),
  AreaItem('632701', '玉树市', AreaType.area, 'YuShuShi'),
  AreaItem('632722', '杂多县', AreaType.area, 'ZaDuoXian'),
  AreaItem('632723', '称多县', AreaType.area, 'ChengDuoXian'),
  AreaItem('632724', '治多县', AreaType.area, 'ZhiDuoXian'),
  AreaItem('632725', '囊谦县', AreaType.area, 'NangQianXian'),
  AreaItem('632726', '曲麻莱县', AreaType.area, 'QuMaLaiXian'),
  AreaItem('632801', '格尔木市', AreaType.area, 'GeErMuShi'),
  AreaItem('632802', '德令哈市', AreaType.area, 'DeLingHaShi'),
  AreaItem('632821', '乌兰县', AreaType.area, 'WuLanXian'),
  AreaItem('632822', '都兰县', AreaType.area, 'DuLanXian'),
  AreaItem('632823', '天峻县', AreaType.area, 'TianJunXian'),
  AreaItem('632824', '冷湖行政委员会', AreaType.area, 'LengHuHangZhengWeiYuanHui'),
  AreaItem('632825', '大柴旦行政委员会', AreaType.area, 'DaChaiDanHangZhengWeiYuanHui'),
  AreaItem('632826', '茫崖行政委员会', AreaType.area, 'MangYaHangZhengWeiYuanHui'),
  AreaItem('640104', '兴庆区', AreaType.area, 'XingQingQu'),
  AreaItem('640105', '西夏区', AreaType.area, 'XiXiaQu'),
  AreaItem('640106', '金凤区', AreaType.area, 'JinFengQu'),
  AreaItem('640121', '永宁县', AreaType.area, 'YongNingXian'),
  AreaItem('640122', '贺兰县', AreaType.area, 'HeLanXian'),
  AreaItem('640181', '灵武市', AreaType.area, 'LingWuShi'),
  AreaItem('640202', '大武口区', AreaType.area, 'DaWuKouQu'),
  AreaItem('640205', '惠农区', AreaType.area, 'HuiNongQu'),
  AreaItem('640221', '平罗县', AreaType.area, 'PingLuoXian'),
  AreaItem('640302', '利通区', AreaType.area, 'LiTongQu'),
  AreaItem('640303', '红寺堡区', AreaType.area, 'HongSiBaoQu'),
  AreaItem('640323', '盐池县', AreaType.area, 'YanChiXian'),
  AreaItem('640324', '同心县', AreaType.area, 'TongXinXian'),
  AreaItem('640381', '青铜峡市', AreaType.area, 'QingTongXiaShi'),
  AreaItem('640402', '原州区', AreaType.area, 'YuanZhouQu'),
  AreaItem('640422', '西吉县', AreaType.area, 'XiJiXian'),
  AreaItem('640423', '隆德县', AreaType.area, 'LongDeXian'),
  AreaItem('640424', '泾源县', AreaType.area, 'JingYuanXian'),
  AreaItem('640425', '彭阳县', AreaType.area, 'PengYangXian'),
  AreaItem('640502', '沙坡头区', AreaType.area, 'ShaPoTouQu'),
  AreaItem('640521', '中宁县', AreaType.area, 'ZhongNingXian'),
  AreaItem('640522', '海原县', AreaType.area, 'HaiYuanXian'),
  AreaItem('650102', '天山区', AreaType.area, 'TianShanQu'),
  AreaItem('650103', '沙依巴克区', AreaType.area, 'ShaYiBaKeQu'),
  AreaItem('650104', '新市区', AreaType.area, 'XinShiQu'),
  AreaItem('650105', '水磨沟区', AreaType.area, 'ShuiMoGouQu'),
  AreaItem('650106', '头屯河区', AreaType.area, 'TouTunHeQu'),
  AreaItem('650107', '达坂城区', AreaType.area, 'DaBanChengQu'),
  AreaItem('650109', '米东区', AreaType.area, 'MiDongQu'),
  AreaItem('650121', '乌鲁木齐县', AreaType.area, 'WuLuMuQiXian'),
  AreaItem('650202', '独山子区', AreaType.area, 'DuShanZiQu'),
  AreaItem('650203', '克拉玛依区', AreaType.area, 'KeLaMaYiQu'),
  AreaItem('650204', '白碱滩区', AreaType.area, 'BaiJianTanQu'),
  AreaItem('650205', '乌尔禾区', AreaType.area, 'WuErHeQu'),
  AreaItem('650402', '高昌区', AreaType.area, 'GaoChangQu'),
  AreaItem('650421', '鄯善县', AreaType.area, 'ShanShanXian'),
  AreaItem('650422', '托克逊县', AreaType.area, 'TuoKeXunXian'),
  AreaItem('650502', '伊州区', AreaType.area, 'YiZhouQu'),
  AreaItem('650521', '巴里坤哈萨克自治县', AreaType.area, 'BaLiKunHaSaKeZiZhiXian'),
  AreaItem('650522', '伊吾县', AreaType.area, 'YiWuXian'),
  AreaItem('652301', '昌吉市', AreaType.area, 'ChangJiShi'),
  AreaItem('652302', '阜康市', AreaType.area, 'FuKangShi'),
  AreaItem('652323', '呼图壁县', AreaType.area, 'HuTuBiXian'),
  AreaItem('652324', '玛纳斯县', AreaType.area, 'MaNaSiXian'),
  AreaItem('652325', '奇台县', AreaType.area, 'QiTaiXian'),
  AreaItem('652327', '吉木萨尔县', AreaType.area, 'JiMuSaErXian'),
  AreaItem('652328', '木垒哈萨克自治县', AreaType.area, 'MuLeiHaSaKeZiZhiXian'),
  AreaItem('652701', '博乐市', AreaType.area, 'BoLeShi'),
  AreaItem('652702', '阿拉山口市', AreaType.area, 'ALaShanKouShi'),
  AreaItem('652722', '精河县', AreaType.area, 'JingHeXian'),
  AreaItem('652723', '温泉县', AreaType.area, 'WenQuanXian'),
  AreaItem('652801', '库尔勒市', AreaType.area, 'KuErLeShi'),
  AreaItem('652822', '轮台县', AreaType.area, 'LunTaiXian'),
  AreaItem('652823', '尉犁县', AreaType.area, 'WeiLiXian'),
  AreaItem('652824', '若羌县', AreaType.area, 'RuoQiangXian'),
  AreaItem('652825', '且末县', AreaType.area, 'QieMoXian'),
  AreaItem('652826', '焉耆回族自治县', AreaType.area, 'YanQiHuiZuZiZhiXian'),
  AreaItem('652827', '和静县', AreaType.area, 'HeJingXian'),
  AreaItem('652828', '和硕县', AreaType.area, 'HeShuoXian'),
  AreaItem('652829', '博湖县', AreaType.area, 'BoHuXian'),
  AreaItem('652901', '阿克苏市', AreaType.area, 'AKeSuShi'),
  AreaItem('652922', '温宿县', AreaType.area, 'WenSuXian'),
  AreaItem('652923', '库车县', AreaType.area, 'KuCheXian'),
  AreaItem('652924', '沙雅县', AreaType.area, 'ShaYaXian'),
  AreaItem('652925', '新和县', AreaType.area, 'XinHeXian'),
  AreaItem('652926', '拜城县', AreaType.area, 'BaiChengXian'),
  AreaItem('652927', '乌什县', AreaType.area, 'WuShiXian'),
  AreaItem('652928', '阿瓦提县', AreaType.area, 'AWaTiXian'),
  AreaItem('652929', '柯坪县', AreaType.area, 'KePingXian'),
  AreaItem('653001', '阿图什市', AreaType.area, 'ATuShiShi'),
  AreaItem('653022', '阿克陶县', AreaType.area, 'AKeTaoXian'),
  AreaItem('653023', '阿合奇县', AreaType.area, 'AHeQiXian'),
  AreaItem('653024', '乌恰县', AreaType.area, 'WuQiaXian'),
  AreaItem('653101', '喀什市', AreaType.area, 'KaShiShi'),
  AreaItem('653121', '疏附县', AreaType.area, 'ShuFuXian'),
  AreaItem('653122', '疏勒县', AreaType.area, 'ShuLeXian'),
  AreaItem('653123', '英吉沙县', AreaType.area, 'YingJiShaXian'),
  AreaItem('653124', '泽普县', AreaType.area, 'ZePuXian'),
  AreaItem('653125', '莎车县', AreaType.area, 'SuoCheXian'),
  AreaItem('653126', '叶城县', AreaType.area, 'YeChengXian'),
  AreaItem('653127', '麦盖提县', AreaType.area, 'MaiGaiTiXian'),
  AreaItem('653128', '岳普湖县', AreaType.area, 'YuePuHuXian'),
  AreaItem('653129', '伽师县', AreaType.area, 'QieShiXian'),
  AreaItem('653130', '巴楚县', AreaType.area, 'BaChuXian'),
  AreaItem('653131', '塔什库尔干塔吉克自治县', AreaType.area, 'TaShiKuErGanTaJiKeZiZhiXian'),
  AreaItem('653201', '和田市', AreaType.area, 'HeTianShi'),
  AreaItem('653221', '和田县', AreaType.area, 'HeTianXian'),
  AreaItem('653222', '墨玉县', AreaType.area, 'MoYuXian'),
  AreaItem('653223', '皮山县', AreaType.area, 'PiShanXian'),
  AreaItem('653224', '洛浦县', AreaType.area, 'LuoPuXian'),
  AreaItem('653225', '策勒县', AreaType.area, 'CeLeXian'),
  AreaItem('653226', '于田县', AreaType.area, 'YuTianXian'),
  AreaItem('653227', '民丰县', AreaType.area, 'MinFengXian'),
  AreaItem('654002', '伊宁市', AreaType.area, 'YiNingShi'),
  AreaItem('654003', '奎屯市', AreaType.area, 'KuiTunShi'),
  AreaItem('654004', '霍尔果斯市', AreaType.area, 'HuoErGuoSiShi'),
  AreaItem('654021', '伊宁县', AreaType.area, 'YiNingXian'),
  AreaItem('654022', '察布查尔锡伯自治县', AreaType.area, 'ChaBuChaErXiBoZiZhiXian'),
  AreaItem('654023', '霍城县', AreaType.area, 'HuoChengXian'),
  AreaItem('654024', '巩留县', AreaType.area, 'GongLiuXian'),
  AreaItem('654025', '新源县', AreaType.area, 'XinYuanXian'),
  AreaItem('654026', '昭苏县', AreaType.area, 'ZhaoSuXian'),
  AreaItem('654027', '特克斯县', AreaType.area, 'TeKeSiXian'),
  AreaItem('654028', '尼勒克县', AreaType.area, 'NiLeKeXian'),
  AreaItem('654201', '塔城市', AreaType.area, 'TaChengShi'),
  AreaItem('654202', '乌苏市', AreaType.area, 'WuSuShi'),
  AreaItem('654221', '额敏县', AreaType.area, 'EMinXian'),
  AreaItem('654223', '沙湾县', AreaType.area, 'ShaWanXian'),
  AreaItem('654224', '托里县', AreaType.area, 'TuoLiXian'),
  AreaItem('654225', '裕民县', AreaType.area, 'YuMinXian'),
  AreaItem('654226', '和布克赛尔蒙古自治县', AreaType.area, 'HeBuKeSaiErMengGuZiZhiXian'),
  AreaItem('654301', '阿勒泰市', AreaType.area, 'ALeTaiShi'),
  AreaItem('654321', '布尔津县', AreaType.area, 'BuErJinXian'),
  AreaItem('654322', '富蕴县', AreaType.area, 'FuYunXian'),
  AreaItem('654323', '福海县', AreaType.area, 'FuHaiXian'),
  AreaItem('654324', '哈巴河县', AreaType.area, 'HaBaHeXian'),
  AreaItem('654325', '青河县', AreaType.area, 'QingHeXian'),
  AreaItem('654326', '吉木乃县', AreaType.area, 'JiMuNaiXian'),
  AreaItem('659001', '石河子市', AreaType.area, 'ShiHeZiShi'),
  AreaItem('659002', '阿拉尔市', AreaType.area, 'ALaErShi'),
  AreaItem('659003', '图木舒克市', AreaType.area, 'TuMuShuKeShi'),
  AreaItem('659004', '五家渠市', AreaType.area, 'WuJiaQuShi'),
  AreaItem('659005', '北屯市', AreaType.area, 'BeiTunShi'),
  AreaItem('659006', '铁门关市', AreaType.area, 'TieMenGuanShi'),
  AreaItem('659007', '双河市', AreaType.area, 'ShuangHeShi'),
  AreaItem('659008', '可克达拉市', AreaType.area, 'KeKeDaLaShi'),
  AreaItem('659009', '昆玉市', AreaType.area, 'KunYuShi'),
  AreaItem('710101', '中正区', AreaType.area, 'ZhongZhengQu'),
  AreaItem('710102', '大同区', AreaType.area, 'DaTongQu'),
  AreaItem('710103', '中山区', AreaType.area, 'ZhongShanQu'),
  AreaItem('710104', '松山区', AreaType.area, 'SongShanQu'),
  AreaItem('710105', '大安区', AreaType.area, 'DaAnQu'),
  AreaItem('710106', '万华区', AreaType.area, 'WanHuaQu'),
  AreaItem('710107', '信义区', AreaType.area, 'XinYiQu'),
  AreaItem('710108', '士林区', AreaType.area, 'ShiLinQu'),
  AreaItem('710109', '北投区', AreaType.area, 'BeiTouQu'),
  AreaItem('710110', '内湖区', AreaType.area, 'NeiHuQu'),
  AreaItem('710111', '南港区', AreaType.area, 'NanGangQu'),
  AreaItem('710112', '文山区', AreaType.area, 'WenShanQu'),
  AreaItem('710201', '新兴区', AreaType.area, 'XinXingQu'),
  AreaItem('710202', '前金区', AreaType.area, 'QianJinQu'),
  AreaItem('710203', '苓雅区', AreaType.area, 'LingYaQu'),
  AreaItem('710204', '盐埕区', AreaType.area, 'YanChengQu'),
  AreaItem('710205', '鼓山区', AreaType.area, 'GuShanQu'),
  AreaItem('710206', '旗津区', AreaType.area, 'QiJinQu'),
  AreaItem('710207', '前镇区', AreaType.area, 'QianZhenQu'),
  AreaItem('710208', '三民区', AreaType.area, 'SanMinQu'),
  AreaItem('710209', '左营区', AreaType.area, 'ZuoYingQu'),
  AreaItem('710210', '楠梓区', AreaType.area, 'NanZiQu'),
  AreaItem('710211', '小港区', AreaType.area, 'XiaoGangQu'),
  AreaItem('710242', '仁武区', AreaType.area, 'RenWuQu'),
  AreaItem('710243', '大社区', AreaType.area, 'DaSheQu'),
  AreaItem('710244', '冈山区', AreaType.area, 'GangShanQu'),
  AreaItem('710245', '路竹区', AreaType.area, 'LuZhuQu'),
  AreaItem('710246', '阿莲区', AreaType.area, 'ALianQu'),
  AreaItem('710247', '田寮区', AreaType.area, 'TianLiaoQu'),
  AreaItem('710248', '燕巢区', AreaType.area, 'YanChaoQu'),
  AreaItem('710249', '桥头区', AreaType.area, 'QiaoTouQu'),
  AreaItem('710250', '梓官区', AreaType.area, 'ZiGuanQu'),
  AreaItem('710251', '弥陀区', AreaType.area, 'MiTuoQu'),
  AreaItem('710252', '永安区', AreaType.area, 'YongAnQu'),
  AreaItem('710253', '湖内区', AreaType.area, 'HuNeiQu'),
  AreaItem('710254', '凤山区', AreaType.area, 'FengShanQu'),
  AreaItem('710255', '大寮区', AreaType.area, 'DaLiaoQu'),
  AreaItem('710256', '林园区', AreaType.area, 'LinYuanQu'),
  AreaItem('710257', '鸟松区', AreaType.area, 'NiaoSongQu'),
  AreaItem('710258', '大树区', AreaType.area, 'DaShuQu'),
  AreaItem('710259', '旗山区', AreaType.area, 'QiShanQu'),
  AreaItem('710260', '美浓区', AreaType.area, 'MeiNongQu'),
  AreaItem('710261', '六龟区', AreaType.area, 'LiuGuiQu'),
  AreaItem('710262', '内门区', AreaType.area, 'NeiMenQu'),
  AreaItem('710263', '杉林区', AreaType.area, 'ShanLinQu'),
  AreaItem('710264', '甲仙区', AreaType.area, 'JiaXianQu'),
  AreaItem('710265', '桃源区', AreaType.area, 'TaoYuanQu'),
  AreaItem('710266', '那玛夏区', AreaType.area, 'NaMaXiaQu'),
  AreaItem('710267', '茂林区', AreaType.area, 'MaoLinQu'),
  AreaItem('710268', '茄萣区', AreaType.area, 'QieDingQu'),
  AreaItem('710301', '中西区', AreaType.area, 'ZhongXiQu'),
  AreaItem('710302', '东区', AreaType.area, 'DongQu'),
  AreaItem('710303', '南区', AreaType.area, 'NanQu'),
  AreaItem('710304', '北区', AreaType.area, 'BeiQu'),
  AreaItem('710305', '安平区', AreaType.area, 'AnPingQu'),
  AreaItem('710306', '安南区', AreaType.area, 'AnNanQu'),
  AreaItem('710339', '永康区', AreaType.area, 'YongKangQu'),
  AreaItem('710340', '归仁区', AreaType.area, 'GuiRenQu'),
  AreaItem('710341', '新化区', AreaType.area, 'XinHuaQu'),
  AreaItem('710342', '左镇区', AreaType.area, 'ZuoZhenQu'),
  AreaItem('710343', '玉井区', AreaType.area, 'YuJingQu'),
  AreaItem('710344', '楠西区', AreaType.area, 'NanXiQu'),
  AreaItem('710345', '南化区', AreaType.area, 'NanHuaQu'),
  AreaItem('710346', '仁德区', AreaType.area, 'RenDeQu'),
  AreaItem('710347', '关庙区', AreaType.area, 'GuanMiaoQu'),
  AreaItem('710348', '龙崎区', AreaType.area, 'LongQiQu'),
  AreaItem('710349', '官田区', AreaType.area, 'GuanTianQu'),
  AreaItem('710350', '麻豆区', AreaType.area, 'MaDouQu'),
  AreaItem('710351', '佳里区', AreaType.area, 'JiaLiQu'),
  AreaItem('710352', '西港区', AreaType.area, 'XiGangQu'),
  AreaItem('710353', '七股区', AreaType.area, 'QiGuQu'),
  AreaItem('710354', '将军区', AreaType.area, 'JiangJunQu'),
  AreaItem('710355', '学甲区', AreaType.area, 'XueJiaQu'),
  AreaItem('710356', '北门区', AreaType.area, 'BeiMenQu'),
  AreaItem('710357', '新营区', AreaType.area, 'XinYingQu'),
  AreaItem('710358', '后壁区', AreaType.area, 'HouBiQu'),
  AreaItem('710359', '白河区', AreaType.area, 'BaiHeQu'),
  AreaItem('710360', '东山区', AreaType.area, 'DongShanQu'),
  AreaItem('710361', '六甲区', AreaType.area, 'LiuJiaQu'),
  AreaItem('710362', '下营区', AreaType.area, 'XiaYingQu'),
  AreaItem('710363', '柳营区', AreaType.area, 'LiuYingQu'),
  AreaItem('710364', '盐水区', AreaType.area, 'YanShuiQu'),
  AreaItem('710365', '善化区', AreaType.area, 'ShanHuaQu'),
  AreaItem('710366', '大内区', AreaType.area, 'DaNeiQu'),
  AreaItem('710367', '山上区', AreaType.area, 'ShanShangQu'),
  AreaItem('710368', '新市区', AreaType.area, 'XinShiQu'),
  AreaItem('710369', '安定区', AreaType.area, 'AnDingQu'),
  AreaItem('710401', '中区', AreaType.area, 'ZhongQu'),
  AreaItem('710402', '东区', AreaType.area, 'DongQu'),
  AreaItem('710403', '南区', AreaType.area, 'NanQu'),
  AreaItem('710404', '西区', AreaType.area, 'XiQu'),
  AreaItem('710405', '北区', AreaType.area, 'BeiQu'),
  AreaItem('710406', '北屯区', AreaType.area, 'BeiTunQu'),
  AreaItem('710407', '西屯区', AreaType.area, 'XiTunQu'),
  AreaItem('710408', '南屯区', AreaType.area, 'NanTunQu'),
  AreaItem('710431', '太平区', AreaType.area, 'TaiPingQu'),
  AreaItem('710432', '大里区', AreaType.area, 'DaLiQu'),
  AreaItem('710433', '雾峰区', AreaType.area, 'WuFengQu'),
  AreaItem('710434', '乌日区', AreaType.area, 'WuRiQu'),
  AreaItem('710435', '丰原区', AreaType.area, 'FengYuanQu'),
  AreaItem('710436', '后里区', AreaType.area, 'HouLiQu'),
  AreaItem('710437', '石冈区', AreaType.area, 'ShiGangQu'),
  AreaItem('710438', '东势区', AreaType.area, 'DongShiQu'),
  AreaItem('710439', '和平区', AreaType.area, 'HePingQu'),
  AreaItem('710440', '新社区', AreaType.area, 'XinSheQu'),
  AreaItem('710441', '潭子区', AreaType.area, 'TanZiQu'),
  AreaItem('710442', '大雅区', AreaType.area, 'DaYaQu'),
  AreaItem('710443', '神冈区', AreaType.area, 'ShenGangQu'),
  AreaItem('710444', '大肚区', AreaType.area, 'DaDuQu'),
  AreaItem('710445', '沙鹿区', AreaType.area, 'ShaLuQu'),
  AreaItem('710446', '龙井区', AreaType.area, 'LongJingQu'),
  AreaItem('710447', '梧栖区', AreaType.area, 'WuQiQu'),
  AreaItem('710448', '清水区', AreaType.area, 'QingShuiQu'),
  AreaItem('710449', '大甲区', AreaType.area, 'DaJiaQu'),
  AreaItem('710450', '外埔区', AreaType.area, 'WaiPuQu'),
  AreaItem('710451', '大安区', AreaType.area, 'DaAnQu'),
  AreaItem('710614', '南投市', AreaType.area, 'NanTouShi'),
  AreaItem('710615', '中寮乡', AreaType.area, 'ZhongLiaoXiang'),
  AreaItem('710616', '草屯镇', AreaType.area, 'CaoTunZhen'),
  AreaItem('710617', '国姓乡', AreaType.area, 'GuoXingXiang'),
  AreaItem('710618', '埔里镇', AreaType.area, 'PuLiZhen'),
  AreaItem('710619', '仁爱乡', AreaType.area, 'RenAiXiang'),
  AreaItem('710620', '名间乡', AreaType.area, 'MingJianXiang'),
  AreaItem('710621', '集集镇', AreaType.area, 'JiJiZhen'),
  AreaItem('710622', '水里乡', AreaType.area, 'ShuiLiXiang'),
  AreaItem('710623', '鱼池乡', AreaType.area, 'YuChiXiang'),
  AreaItem('710624', '信义乡', AreaType.area, 'XinYiXiang'),
  AreaItem('710625', '竹山镇', AreaType.area, 'ZhuShanZhen'),
  AreaItem('710626', '鹿谷乡', AreaType.area, 'LuGuXiang'),
  AreaItem('710701', '仁爱区', AreaType.area, 'RenAiQu'),
  AreaItem('710702', '信义区', AreaType.area, 'XinYiQu'),
  AreaItem('710703', '中正区', AreaType.area, 'ZhongZhengQu'),
  AreaItem('710704', '中山区', AreaType.area, 'ZhongShanQu'),
  AreaItem('710705', '安乐区', AreaType.area, 'AnLeQu'),
  AreaItem('710706', '暖暖区', AreaType.area, 'NuanNuanQu'),
  AreaItem('710707', '七堵区', AreaType.area, 'QiDuQu'),
  AreaItem('710801', '东区', AreaType.area, 'DongQu'),
  AreaItem('710802', '北区', AreaType.area, 'BeiQu'),
  AreaItem('710803', '香山区', AreaType.area, 'XiangShanQu'),
  AreaItem('710901', '东区', AreaType.area, 'DongQu'),
  AreaItem('710902', '西区', AreaType.area, 'XiQu'),
  AreaItem('711130', '万里区', AreaType.area, 'WanLiQu'),
  AreaItem('711131', '金山区', AreaType.area, 'JinShanQu'),
  AreaItem('711132', '板桥区', AreaType.area, 'BanQiaoQu'),
  AreaItem('711133', '汐止区', AreaType.area, 'XiZhiQu'),
  AreaItem('711134', '深坑区', AreaType.area, 'ShenKengQu'),
  AreaItem('711135', '石碇区', AreaType.area, 'ShiDingQu'),
  AreaItem('711136', '瑞芳区', AreaType.area, 'RuiFangQu'),
  AreaItem('711137', '平溪区', AreaType.area, 'PingXiQu'),
  AreaItem('711138', '双溪区', AreaType.area, 'ShuangXiQu'),
  AreaItem('711139', '贡寮区', AreaType.area, 'GongLiaoQu'),
  AreaItem('711140', '新店区', AreaType.area, 'XinDianQu'),
  AreaItem('711141', '坪林区', AreaType.area, 'PingLinQu'),
  AreaItem('711142', '乌来区', AreaType.area, 'WuLaiQu'),
  AreaItem('711143', '永和区', AreaType.area, 'YongHeQu'),
  AreaItem('711144', '中和区', AreaType.area, 'ZhongHeQu'),
  AreaItem('711145', '土城区', AreaType.area, 'TuChengQu'),
  AreaItem('711146', '三峡区', AreaType.area, 'SanXiaQu'),
  AreaItem('711147', '树林区', AreaType.area, 'ShuLinQu'),
  AreaItem('711148', '莺歌区', AreaType.area, 'YingGeQu'),
  AreaItem('711149', '三重区', AreaType.area, 'SanZhongQu'),
  AreaItem('711150', '新庄区', AreaType.area, 'XinZhuangQu'),
  AreaItem('711151', '泰山区', AreaType.area, 'TaiShanQu'),
  AreaItem('711152', '林口区', AreaType.area, 'LinKouQu'),
  AreaItem('711153', '芦洲区', AreaType.area, 'LuZhouQu'),
  AreaItem('711154', '五股区', AreaType.area, 'WuGuQu'),
  AreaItem('711155', '八里区', AreaType.area, 'BaLiQu'),
  AreaItem('711156', '淡水区', AreaType.area, 'DanShuiQu'),
  AreaItem('711157', '三芝区', AreaType.area, 'SanZhiQu'),
  AreaItem('711158', '石门区', AreaType.area, 'ShiMenQu'),
  AreaItem('711214', '宜兰市', AreaType.area, 'YiLanShi'),
  AreaItem('711215', '头城镇', AreaType.area, 'TouChengZhen'),
  AreaItem('711216', '礁溪乡', AreaType.area, 'JiaoXiXiang'),
  AreaItem('711217', '壮围乡', AreaType.area, 'ZhuangWeiXiang'),
  AreaItem('711218', '员山乡', AreaType.area, 'YuanShanXiang'),
  AreaItem('711219', '罗东镇', AreaType.area, 'LuoDongZhen'),
  AreaItem('711220', '三星乡', AreaType.area, 'SanXingXiang'),
  AreaItem('711221', '大同乡', AreaType.area, 'DaTongXiang'),
  AreaItem('711222', '五结乡', AreaType.area, 'WuJieXiang'),
  AreaItem('711223', '冬山乡', AreaType.area, 'DongShanXiang'),
  AreaItem('711224', '苏澳镇', AreaType.area, 'SuAoZhen'),
  AreaItem('711225', '南澳乡', AreaType.area, 'NanAoXiang'),
  AreaItem('711314', '竹北市', AreaType.area, 'ZhuBeiShi'),
  AreaItem('711315', '湖口乡', AreaType.area, 'HuKouXiang'),
  AreaItem('711316', '新丰乡', AreaType.area, 'XinFengXiang'),
  AreaItem('711317', '新埔镇', AreaType.area, 'XinPuZhen'),
  AreaItem('711318', '关西镇', AreaType.area, 'GuanXiZhen'),
  AreaItem('711319', '芎林乡', AreaType.area, 'XiongLinXiang'),
  AreaItem('711320', '宝山乡', AreaType.area, 'BaoShanXiang'),
  AreaItem('711321', '竹东镇', AreaType.area, 'ZhuDongZhen'),
  AreaItem('711322', '五峰乡', AreaType.area, 'WuFengXiang'),
  AreaItem('711323', '横山乡', AreaType.area, 'HengShanXiang'),
  AreaItem('711324', '尖石乡', AreaType.area, 'JianShiXiang'),
  AreaItem('711325', '北埔乡', AreaType.area, 'BeiPuXiang'),
  AreaItem('711326', '峨眉乡', AreaType.area, 'EMeiXiang'),
  AreaItem('711414', '中坜区', AreaType.area, 'ZhongLiQu'),
  AreaItem('711415', '平镇区', AreaType.area, 'PingZhenQu'),
  AreaItem('711416', '龙潭区', AreaType.area, 'LongTanQu'),
  AreaItem('711417', '杨梅区', AreaType.area, 'YangMeiQu'),
  AreaItem('711418', '新屋区', AreaType.area, 'XinWuQu'),
  AreaItem('711419', '观音区', AreaType.area, 'GuanYinQu'),
  AreaItem('711420', '桃园区', AreaType.area, 'TaoYuanQu'),
  AreaItem('711421', '龟山区', AreaType.area, 'GuiShanQu'),
  AreaItem('711422', '八德区', AreaType.area, 'BaDeQu'),
  AreaItem('711423', '大溪区', AreaType.area, 'DaXiQu'),
  AreaItem('711424', '复兴区', AreaType.area, 'FuXingQu'),
  AreaItem('711425', '大园区', AreaType.area, 'DaYuanQu'),
  AreaItem('711426', '芦竹区', AreaType.area, 'LuZhuQu'),
  AreaItem('711519', '竹南镇', AreaType.area, 'ZhuNanZhen'),
  AreaItem('711520', '头份市', AreaType.area, 'TouFenShi'),
  AreaItem('711521', '三湾乡', AreaType.area, 'SanWanXiang'),
  AreaItem('711522', '南庄乡', AreaType.area, 'NanZhuangXiang'),
  AreaItem('711523', '狮潭乡', AreaType.area, 'ShiTanXiang'),
  AreaItem('711524', '后龙镇', AreaType.area, 'HouLongZhen'),
  AreaItem('711525', '通霄镇', AreaType.area, 'TongXiaoZhen'),
  AreaItem('711526', '苑里镇', AreaType.area, 'YuanLiZhen'),
  AreaItem('711527', '苗栗市', AreaType.area, 'MiaoLiShi'),
  AreaItem('711528', '造桥乡', AreaType.area, 'ZaoQiaoXiang'),
  AreaItem('711529', '头屋乡', AreaType.area, 'TouWuXiang'),
  AreaItem('711530', '公馆乡', AreaType.area, 'GongGuanXiang'),
  AreaItem('711531', '大湖乡', AreaType.area, 'DaHuXiang'),
  AreaItem('711532', '泰安乡', AreaType.area, 'TaiAnXiang'),
  AreaItem('711533', '铜锣乡', AreaType.area, 'TongLuoXiang'),
  AreaItem('711534', '三义乡', AreaType.area, 'SanYiXiang'),
  AreaItem('711535', '西湖乡', AreaType.area, 'XiHuXiang'),
  AreaItem('711536', '卓兰镇', AreaType.area, 'ZhuoLanZhen'),
  AreaItem('711727', '彰化市', AreaType.area, 'ZhangHuaShi'),
  AreaItem('711728', '芬园乡', AreaType.area, 'FenYuanXiang'),
  AreaItem('711729', '花坛乡', AreaType.area, 'HuaTanXiang'),
  AreaItem('711730', '秀水乡', AreaType.area, 'XiuShuiXiang'),
  AreaItem('711731', '鹿港镇', AreaType.area, 'LuGangZhen'),
  AreaItem('711732', '福兴乡', AreaType.area, 'FuXingXiang'),
  AreaItem('711733', '线西乡', AreaType.area, 'XianXiXiang'),
  AreaItem('711734', '和美镇', AreaType.area, 'HeMeiZhen'),
  AreaItem('711735', '伸港乡', AreaType.area, 'ShenGangXiang'),
  AreaItem('711736', '员林市', AreaType.area, 'YuanLinShi'),
  AreaItem('711737', '社头乡', AreaType.area, 'SheTouXiang'),
  AreaItem('711738', '永靖乡', AreaType.area, 'YongJingXiang'),
  AreaItem('711739', '埔心乡', AreaType.area, 'PuXinXiang'),
  AreaItem('711740', '溪湖镇', AreaType.area, 'XiHuZhen'),
  AreaItem('711741', '大村乡', AreaType.area, 'DaCunXiang'),
  AreaItem('711742', '埔盐乡', AreaType.area, 'PuYanXiang'),
  AreaItem('711743', '田中镇', AreaType.area, 'TianZhongZhen'),
  AreaItem('711744', '北斗镇', AreaType.area, 'BeiDouZhen'),
  AreaItem('711745', '田尾乡', AreaType.area, 'TianWeiXiang'),
  AreaItem('711746', '埤头乡', AreaType.area, 'PiTouXiang'),
  AreaItem('711747', '溪州乡', AreaType.area, 'XiZhouXiang'),
  AreaItem('711748', '竹塘乡', AreaType.area, 'ZhuTangXiang'),
  AreaItem('711749', '二林镇', AreaType.area, 'ErLinZhen'),
  AreaItem('711750', '大城乡', AreaType.area, 'DaChengXiang'),
  AreaItem('711751', '芳苑乡', AreaType.area, 'FangYuanXiang'),
  AreaItem('711752', '二水乡', AreaType.area, 'ErShuiXiang'),
  AreaItem('711919', '番路乡', AreaType.area, 'FanLuXiang'),
  AreaItem('711920', '梅山乡', AreaType.area, 'MeiShanXiang'),
  AreaItem('711921', '竹崎乡', AreaType.area, 'ZhuQiXiang'),
  AreaItem('711922', '阿里山乡', AreaType.area, 'ALiShanXiang'),
  AreaItem('711923', '中埔乡', AreaType.area, 'ZhongPuXiang'),
  AreaItem('711924', '大埔乡', AreaType.area, 'DaPuXiang'),
  AreaItem('711925', '水上乡', AreaType.area, 'ShuiShangXiang'),
  AreaItem('711926', '鹿草乡', AreaType.area, 'LuCaoXiang'),
  AreaItem('711927', '太保市', AreaType.area, 'TaiBaoShi'),
  AreaItem('711928', '朴子市', AreaType.area, 'PuZiShi'),
  AreaItem('711929', '东石乡', AreaType.area, 'DongShiXiang'),
  AreaItem('711930', '六脚乡', AreaType.area, 'LiuJiaoXiang'),
  AreaItem('711931', '新港乡', AreaType.area, 'XinGangXiang'),
  AreaItem('711932', '民雄乡', AreaType.area, 'MinXiongXiang'),
  AreaItem('711933', '大林镇', AreaType.area, 'DaLinZhen'),
  AreaItem('711934', '溪口乡', AreaType.area, 'XiKouXiang'),
  AreaItem('711935', '义竹乡', AreaType.area, 'YiZhuXiang'),
  AreaItem('711936', '布袋镇', AreaType.area, 'BuDaiZhen'),
  AreaItem('712121', '斗南镇', AreaType.area, 'DouNanZhen'),
  AreaItem('712122', '大埤乡', AreaType.area, 'DaPiXiang'),
  AreaItem('712123', '虎尾镇', AreaType.area, 'HuWeiZhen'),
  AreaItem('712124', '土库镇', AreaType.area, 'TuKuZhen'),
  AreaItem('712125', '褒忠乡', AreaType.area, 'BaoZhongXiang'),
  AreaItem('712126', '东势乡', AreaType.area, 'DongShiXiang'),
  AreaItem('712127', '台西乡', AreaType.area, 'TaiXiXiang'),
  AreaItem('712128', '仑背乡', AreaType.area, 'LunBeiXiang'),
  AreaItem('712129', '麦寮乡', AreaType.area, 'MaiLiaoXiang'),
  AreaItem('712130', '斗六市', AreaType.area, 'DouLiuShi'),
  AreaItem('712131', '林内乡', AreaType.area, 'LinNeiXiang'),
  AreaItem('712132', '古坑乡', AreaType.area, 'GuKengXiang'),
  AreaItem('712133', '莿桐乡', AreaType.area, 'CiTongXiang'),
  AreaItem('712134', '西螺镇', AreaType.area, 'XiLuoZhen'),
  AreaItem('712135', '二仑乡', AreaType.area, 'ErLunXiang'),
  AreaItem('712136', '北港镇', AreaType.area, 'BeiGangZhen'),
  AreaItem('712137', '水林乡', AreaType.area, 'ShuiLinXiang'),
  AreaItem('712138', '口湖乡', AreaType.area, 'KouHuXiang'),
  AreaItem('712139', '四湖乡', AreaType.area, 'SiHuXiang'),
  AreaItem('712140', '元长乡', AreaType.area, 'YuanChangXiang'),
  AreaItem('712434', '屏东市', AreaType.area, 'PingDongShi'),
  AreaItem('712435', '三地门乡', AreaType.area, 'SanDiMenXiang'),
  AreaItem('712436', '雾台乡', AreaType.area, 'WuTaiXiang'),
  AreaItem('712437', '玛家乡', AreaType.area, 'MaJiaXiang'),
  AreaItem('712438', '九如乡', AreaType.area, 'JiuRuXiang'),
  AreaItem('712439', '里港乡', AreaType.area, 'LiGangXiang'),
  AreaItem('712440', '高树乡', AreaType.area, 'GaoShuXiang'),
  AreaItem('712441', '盐埔乡', AreaType.area, 'YanPuXiang'),
  AreaItem('712442', '长治乡', AreaType.area, 'ChangZhiXiang'),
  AreaItem('712443', '麟洛乡', AreaType.area, 'LinLuoXiang'),
  AreaItem('712444', '竹田乡', AreaType.area, 'ZhuTianXiang'),
  AreaItem('712445', '内埔乡', AreaType.area, 'NeiPuXiang'),
  AreaItem('712446', '万丹乡', AreaType.area, 'WanDanXiang'),
  AreaItem('712447', '潮州镇', AreaType.area, 'ChaoZhouZhen'),
  AreaItem('712448', '泰武乡', AreaType.area, 'TaiWuXiang'),
  AreaItem('712449', '来义乡', AreaType.area, 'LaiYiXiang'),
  AreaItem('712450', '万峦乡', AreaType.area, 'WanLuanXiang'),
  AreaItem('712451', '崁顶乡', AreaType.area, 'KanDingXiang'),
  AreaItem('712452', '新埤乡', AreaType.area, 'XinPiXiang'),
  AreaItem('712453', '南州乡', AreaType.area, 'NanZhouXiang'),
  AreaItem('712454', '林边乡', AreaType.area, 'LinBianXiang'),
  AreaItem('712455', '东港镇', AreaType.area, 'DongGangZhen'),
  AreaItem('712456', '琉球乡', AreaType.area, 'LiuQiuXiang'),
  AreaItem('712457', '佳冬乡', AreaType.area, 'JiaDongXiang'),
  AreaItem('712458', '新园乡', AreaType.area, 'XinYuanXiang'),
  AreaItem('712459', '枋寮乡', AreaType.area, 'FangLiaoXiang'),
  AreaItem('712460', '枋山乡', AreaType.area, 'FangShanXiang'),
  AreaItem('712461', '春日乡', AreaType.area, 'ChunRiXiang'),
  AreaItem('712462', '狮子乡', AreaType.area, 'ShiZiXiang'),
  AreaItem('712463', '车城乡', AreaType.area, 'CheChengXiang'),
  AreaItem('712464', '牡丹乡', AreaType.area, 'MuDanXiang'),
  AreaItem('712465', '恒春镇', AreaType.area, 'HengChunZhen'),
  AreaItem('712466', '满州乡', AreaType.area, 'ManZhouXiang'),
  AreaItem('712517', '台东市', AreaType.area, 'TaiDongShi'),
  AreaItem('712518', '绿岛乡', AreaType.area, 'LvDaoXiang'),
  AreaItem('712519', '兰屿乡', AreaType.area, 'LanYuXiang'),
  AreaItem('712520', '延平乡', AreaType.area, 'YanPingXiang'),
  AreaItem('712521', '卑南乡', AreaType.area, 'BeiNanXiang'),
  AreaItem('712522', '鹿野乡', AreaType.area, 'LuYeXiang'),
  AreaItem('712523', '关山镇', AreaType.area, 'GuanShanZhen'),
  AreaItem('712524', '海端乡', AreaType.area, 'HaiDuanXiang'),
  AreaItem('712525', '池上乡', AreaType.area, 'ChiShangXiang'),
  AreaItem('712526', '东河乡', AreaType.area, 'DongHeXiang'),
  AreaItem('712527', '成功镇', AreaType.area, 'ChengGongZhen'),
  AreaItem('712528', '长滨乡', AreaType.area, 'ChangBinXiang'),
  AreaItem('712529', '金峰乡', AreaType.area, 'JinFengXiang'),
  AreaItem('712530', '大武乡', AreaType.area, 'DaWuXiang'),
  AreaItem('712531', '达仁乡', AreaType.area, 'DaRenXiang'),
  AreaItem('712532', '太麻里乡', AreaType.area, 'TaiMaLiXiang'),
  AreaItem('712615', '花莲市', AreaType.area, 'HuaLianShi'),
  AreaItem('712616', '新城乡', AreaType.area, 'XinChengXiang'),
  AreaItem('712618', '秀林乡', AreaType.area, 'XiuLinXiang'),
  AreaItem('712619', '吉安乡', AreaType.area, 'JiAnXiang'),
  AreaItem('712620', '寿丰乡', AreaType.area, 'ShouFengXiang'),
  AreaItem('712621', '凤林镇', AreaType.area, 'FengLinZhen'),
  AreaItem('712622', '光复乡', AreaType.area, 'GuangFuXiang'),
  AreaItem('712623', '丰滨乡', AreaType.area, 'FengBinXiang'),
  AreaItem('712624', '瑞穗乡', AreaType.area, 'RuiSuiXiang'),
  AreaItem('712625', '万荣乡', AreaType.area, 'WanRongXiang'),
  AreaItem('712626', '玉里镇', AreaType.area, 'YuLiZhen'),
  AreaItem('712627', '卓溪乡', AreaType.area, 'ZhuoXiXiang'),
  AreaItem('712628', '富里乡', AreaType.area, 'FuLiXiang'),
  AreaItem('712707', '马公市', AreaType.area, 'MaGongShi'),
  AreaItem('712708', '西屿乡', AreaType.area, 'XiYuXiang'),
  AreaItem('712709', '望安乡', AreaType.area, 'WangAnXiang'),
  AreaItem('712710', '七美乡', AreaType.area, 'QiMeiXiang'),
  AreaItem('712711', '白沙乡', AreaType.area, 'BaiShaXiang'),
  AreaItem('712712', '湖西乡', AreaType.area, 'HuXiXiang'),
  AreaItem('810101', '中西区', AreaType.area, 'ZhongXiQu'),
  AreaItem('810102', '东区', AreaType.area, 'DongQu'),
  AreaItem('810103', '九龙城区', AreaType.area, 'JiuLongChengQu'),
  AreaItem('810104', '观塘区', AreaType.area, 'GuanTangQu'),
  AreaItem('810105', '南区', AreaType.area, 'NanQu'),
  AreaItem('810106', '深水埗区', AreaType.area, 'ShenShuiBuQu'),
  AreaItem('810107', '湾仔区', AreaType.area, 'WanZiQu'),
  AreaItem('810108', '黄大仙区', AreaType.area, 'HuangDaXianQu'),
  AreaItem('810109', '油尖旺区', AreaType.area, 'YouJianWangQu'),
  AreaItem('810110', '离岛区', AreaType.area, 'LiDaoQu'),
  AreaItem('810111', '葵青区', AreaType.area, 'KuiQingQu'),
  AreaItem('810112', '北区', AreaType.area, 'BeiQu'),
  AreaItem('810113', '西贡区', AreaType.area, 'XiGongQu'),
  AreaItem('810114', '沙田区', AreaType.area, 'ShaTianQu'),
  AreaItem('810115', '屯门区', AreaType.area, 'TunMenQu'),
  AreaItem('810116', '大埔区', AreaType.area, 'DaPuQu'),
  AreaItem('810117', '荃湾区', AreaType.area, 'QuanWanQu'),
  AreaItem('810118', '元朗区', AreaType.area, 'YuanLangQu'),
  AreaItem('820101', '澳门半岛', AreaType.area, 'AoMenBanDao'),
  AreaItem('820102', '凼仔', AreaType.area, 'DangZi'),
  AreaItem('820103', '路凼城', AreaType.area, 'LuDangCheng'),
  AreaItem('820104', '路环', AreaType.area, 'LuHuan'),
];